2018-01-28 13:24  dezperado

	* [r1568] NEWS, doc/fim.man.in, src/fim.cpp, src/fim.h: Documented
	  expansion of @variables and @# comments in read descriptions.

2018-01-28 12:56  dezperado

	* [r1567] NEWS, src/Image.h: Lonely '@' in description text will be
	  preserved.

2018-01-28 11:34  dezperado

	* [r1566] ChangeLog, src/testdir/test19.ok, src/testdir/test20.ok:
	  new switch and fimrc required tests update.

2018-01-28 11:12  dezperado

	* [r1565] ChangeLog, doc/fim.man.in, doc/fimgs.man.in,
	  doc/fimrc.man.in: man page rebuild and ChangeLog update.

2018-01-28 10:58  dezperado

	* [r1564] NEWS, src/FontServer.cpp, src/fim.cpp: Added an
	  --verbose-font-load switch to set _fbfont_verbosity=1.

2018-01-28 10:50  dezperado

	* [r1563] NEWS, src/FontServer.cpp, src/fim.h, src/help.cpp: New
	  variable '_fbfont_verbosity' sets verbose font loading.

2018-01-28 10:26  dezperado

	* [r1562] src/FontServer.cpp: on the way of making font loading
	  more verbose

2018-01-25 22:59  dezperado

	* [r1561] NEWS, src/fim.cpp: fix: short options -b, -h, (and in
	  trunk also -R) were not getting optional argument (e.g. -b1).

2018-01-25 10:58  dezperado

	* [r1560] src/fim.cpp: got rid of spurious '/:' after 'B' in
	  optstring.

2018-01-21 16:19  dezperado

	* [r1559] NEWS, src/fimrc: Key combination C-r now assigned to
	  "reload ''".

2018-01-21 15:53  dezperado

	* [r1558] src/Browser.cpp, src/CommandConsole.cpp,
	  src/FramebufferDevice.cpp, src/Image.cpp, src/common.cpp,
	  src/fim.h: Will build and work without stat.h (not passing all
	  tests though).

2018-01-09 23:17  dezperado

	* [r1557] src/fimgs: fimgs will check for fim presence after
	  processing eventual '-m'. this fixes broken `make'. in branches
	  0.3 0.4 0.5 trunk.

2018-01-09 22:51  dezperado

	* [r1556] doc/Makefile.am: subdir doc/ was missing a goal producing
	  the man pages at `make'

2018-01-09 21:49  dezperado

	* [r1555] NEWS, src/FbiStuff.cpp, src/FbiStuffBit1.cpp,
	  src/FbiStuffBit24.cpp, src/FbiStuffBmp.cpp, src/FbiStuffDjvu.cpp,
	  src/FbiStuffGif.cpp, src/FbiStuffJasPer.cpp,
	  src/FbiStuffJpeg.cpp, src/FbiStuffLoader.h,
	  src/FbiStuffMagick.cpp, src/FbiStuffMatrixMarket.cpp,
	  src/FbiStuffPcx.cpp, src/FbiStuffPdf.cpp, src/FbiStuffPng.cpp,
	  src/FbiStuffPpm.cpp, src/FbiStuffPs.cpp, src/FbiStuffText.cpp,
	  src/FbiStuffTiff.cpp, src/FbiStuffUFRaw.cpp, src/FbiStuffXyz.cpp:
	  fix: symbol from fbi sources clashed with gcc-6 onwards, breaking
	  compilation. update for 0.3, 0.4, 0.5, trunk.

2018-01-09 20:51  dezperado

	* [r1554] src/Browser.cpp: C++11 builds will use
	  std::shuffle/std::mt19937 instead of std::random_shuffle.

2018-01-07 01:24  dezperado

	* [r1553] src/Browser.cpp, src/fim.h: goto on changed variable
	  value, for any variable in a group. shall update man page.

2017-12-18 21:41  dezperado

	* [r1552] src/testdir/test19.ok, src/testdir/test20.ok: whoops:
	  forgot to update testdir after recent changes in fimrc.

2017-12-18 20:44  dezperado

	* [r1551] Makefile.am: fix: change r1529 used grepping on 'jpg'
	  instead of on 'jpeg' in `make tests'.

2017-12-17 12:37  dezperado

	* [r1550] NEWS: in 0.5 as well, failed enlarge shall not lead to
	  inconsistent image state; message in case.

2017-12-17 12:25  dezperado

	* [r1549] NEWS, src/FbiStuff.cpp: a message will be emitted when
	  failing allocation at enlarge.

2017-12-17 12:23  dezperado

	* [r1548] src/fim_stream.cpp, src/fim_stream.h: unsigned int
	  overload for fim_stream (fim::cout), and preprocessor
	  displacement.

2017-12-17 01:33  dezperado

	* [r1547] src/fim_wrappers.h: zero'ing the pointer after free()
	  wrapper: this makes execution of FbiStuff::scale_image to be more
	  robust.

2017-12-17 01:07  dezperado

	* [r1546] src/FbiStuff.cpp: if using --verbose-load,
	  FbiStuff::scale_image will display a failure mesage to stdout in
	  case of failed alloc.

2017-12-10 23:13  dezperado

	* [r1545] Makefile.am, doc/Makefile.am, doc/fim.man,
	  doc/fim.man.in, doc/fimgs.man, doc/fimgs.man.in, doc/fimrc.man,
	  doc/fimrc.man.in, src/fim.h: not keeping track of man pages, but
	  only their *.in counterparts.

2017-12-10 21:43  dezperado

	* [r1544] NEWS, src/fimrc: key combination C-w assigned to setting
	  auto-scaling to width.

2017-12-10 21:23  dezperado

	* [r1543] NEWS, src/SDLDevice.cpp, src/fim.h: smoother scroll of
	  large images.

2017-12-05 23:23  dezperado

	* [r1542] src/SDLDevice.cpp, src/Viewport.cpp, src/Viewport.h:
	  templated the internals of Viewport::pan_to

2017-11-26 10:42  dezperado

	* [r1541] NEWS, doc/fim.man, doc/fimrc.man, src/fim.cpp: documented
	  the ssh variable probing in man page.

2017-11-26 10:40  dezperado

	* [r1540] NEWS, src/fim.cpp, src/fim.h: if SSH_TTY set and no
	  output device specified, will give precedence to aalib.

2017-11-26 10:07  dezperado

	* [r1539] NEWS, src/FbiStuffText.cpp: bugfix: in --as-text will
	  avoid repeated reload of file. (in 0.4, 0.5, trunk)

2017-11-26 08:36  dezperado

	* [r1538] doc/fim.man, src/CommandConsole-init.cpp,
	  src/FbiStuffText.cpp, src/fim.cpp, src/fim.h: documented the
	  replacement for non-printable characters.

2017-11-26 08:19  dezperado

	* [r1537] doc/fim.man, src/fim.cpp: Mention of
	  _preferred_rendering_width in --as-text documentation.

2017-11-18 09:53  dezperado

	* [r1536] NEWS, doc/fim.man, doc/fimrc.man, src/Browser.cpp,
	  src/fim.h: added a 'list markall' command.

2017-10-25 22:24  dezperado

	* [r1535] src/fim.cpp: fix: duplicate removal was off when random
	  shuffle on. now is also on.

2017-10-25 22:20  dezperado

	* [r1534] src/fim.cpp: fix: -u option was broken, in that duplicate
	  check would later sort over again.

2017-10-15 19:36  dezperado

	* [r1533] src/FbiStuff.cpp: Comments cleanup and one duplicate
	  printout removal in FbiStuff.cpp.

2017-10-15 19:11  dezperado

	* [r1532] src/FbiStuff.cpp, src/fim.h: Changed the
	  FIM_MSG_WAIT_PIPING macro to accept a parameter.

2017-10-15 10:28  dezperado

	* [r1531] doc/fimrc.man, src/CommandConsole-help.cpp: documentation
	  fix for QUOTED_FLOAT / UNQUOTED_FLOAT.

2017-10-15 10:18  dezperado

	* [r1530] src/testdir/test12.in, src/testdir/test12.ok,
	  src/testdir/test14.in, src/testdir/test22.in,
	  src/testdir/test22.ok, src/testdir/test3.in,
	  src/testdir/test3.ok, src/testdir/test7.in, src/testdir/test7.ok,
	  src/testdir/test8.in, src/testdir/test8.ok: Polished a bit a few
	  tests.

2017-10-15 10:17  dezperado

	* [r1529] Makefile.am: jpeg support is now a requisite of `make
	  tests' (now will fail before failing in testdir).

2017-10-13 21:12  dezperado

	* [r1528] scripts/tests/font.sh: Added the -b switch to the font
	  tests.

2017-10-13 21:09  dezperado

	* [r1527] Makefile.am, src/testdir/Makefile, src/testdir/test20.ok:
	  Using the -X option in the tests.

2017-10-13 20:35  dezperado

	* [r1526] NEWS, src/FontServer.cpp: Hardcoded font (if configured
	  in) will serve as fallback font.

2017-10-10 22:55  dezperado

	* [r1525] src/fim.h: FIM_WANT_PIC_CMTS_RELOAD shall depend on C++11
	  being on.

2017-10-10 22:47  dezperado

	* [r1524] NEWS, doc/fim.man, src/fim.cpp, src/fim.h: Added an
	  --no-pipe-load/-X switch, to work as
	  _no_external_loader_programs=1;

2017-10-10 22:11  dezperado

	* [r1523] Makefile.am, README: `make tests' goal now requires png
	  and gif support explicitly.

2017-10-10 22:06  dezperado

	* [r1522] src/FbiStuff.cpp: Fix in 0.4, 0.5, trunk: 'convert'
	  conversion message had duplicated 'through'.

2017-10-10 21:42  dezperado

	* [r1521] configure.ac: Certain sdl-config (e.g. opensuse for
	  libsdl-1.2.15) ship without --static-libs switch.
	  The configure will detect an error value and retry with --libs.

2017-10-07 17:24  dezperado

	* [r1520] src/Browser.cpp, src/Browser.h, src/FramebufferDevice.h,
	  src/grammar.h: Revisions r1513 and r1518 had broken the pre-C++11
	  version --- fix.

2017-10-07 17:01  dezperado

	* [r1519] src/FramebufferDevice.cpp, src/FramebufferDevice.h: Got
	  rid of obsolete commented-out FramebufferDevice::status_screen().

2017-10-07 16:58  dezperado

	* [r1518] src/FramebufferDevice.cpp, src/FramebufferDevice.h: In
	  Framebuffer: fb_mem_offset_ is now ptrdiff_t; deleted a few C
	  casts ; comments cleanup.

2017-10-07 16:44  dezperado

	* [r1517] src/FramebufferDevice.cpp: Deleted old commented
	  unfinished code for FIM_WANTS_DOUBLE_BUFFERING.

2017-10-07 16:41  dezperado

	* [r1516] src/FramebufferDevice.cpp, src/FramebufferDevice.h:
	  FramebufferDevice::fb_setmode will not return error when not
	  necessary.

2017-10-07 16:22  dezperado

	* [r1515] src/FramebufferDevice.cpp: Fix of long standing harmless
	  silly defect in FramebufferDevice::fb_memset. Comments.

2017-10-07 15:51  dezperado

	* [r1514] src/DebugConsole.cpp, src/DisplayDevice.cpp,
	  src/FbiStuffBmp.cpp, src/FramebufferDevice.cpp: replaced most of
	  calls to fim_memset with calls to std::fill_n.

2017-10-07 15:14  dezperado

	* [r1513] src/Browser.cpp, src/Browser.h: Modernizing flist_t
	  further.

2017-10-07 13:34  dezperado

	* [r1512] src/testdir/test17.in, src/testdir/test17.ok: Improved
	  testing of "list" command (test 17) .

2017-10-07 13:14  dezperado

	* [r1511] src/Browser.cpp, src/grammar.h: fix: Browser::_clear_list
	  was not updating _filelistlen.

2017-10-07 12:45  dezperado

	* [r1510] src/Browser.cpp: fix: 'list "filesnum"' was not returning
	  output.

2017-10-07 11:32  dezperado

	* [r1509] src/Browser.cpp, src/Browser.h: Most of flist_t is in
	  Browser.cpp now.

2017-10-07 10:56  dezperado

	* [r1508] src/Browser.cpp, src/Browser.h: will use
	  flist_t::size_type.

2017-10-07 10:14  dezperado

	* [r1507] AUTHORS, NEWS, src/Browser.cpp, src/Namespace.h: Adjusted
	  an ambiguous use of std::string. Comments.

2017-10-01 19:40  dezperado

	* [r1506] NEWS, src/Image.h: expansion of @# comments in read
	  descriptions.

2017-09-30 23:48  dezperado

	* [r1505] src/Browser.cpp: Number of min different values for a
	  group displayed is customatizable (numeric arg to 'list "vars"').

2017-09-30 23:07  dezperado

	* [r1504] NEWS, src/Browser.cpp: fix to "list 'vars'": to-string
	  conversion from size_t did not give what required.

2017-09-30 22:56  dezperado

	* [r1503] NEWS, src/Browser.cpp, src/Image.h, src/Namespace.h,
	  src/common.cpp, src/common.h: description variables beginning
	  with '_' will not go into i:.

2017-09-30 21:38  dezperado

	* [r1502] NEWS, src/Browser.cpp, src/Namespace.h: list 'vars' will
	  list differing description variables.

2017-09-30 19:27  dezperado

	* [r1501] NEWS, src/SDLDevice.cpp: The 'menu key' in SDL mode will
	  show a temporary mouse click actions menu.

2017-09-30 15:06  dezperado

	* [r1500] doc/fim.man, doc/fimrc.man, src/fim.h: My response to fim
	  bug report #109387 ("Consider clarifying the ! (run system
	  command) in documentation").

2017-09-30 10:48  dezperado

	* [r1499] NEWS, src/Image.h, src/fim.h: Expansion of @variables in
	  read descriptions.

2017-09-10 18:31  dezperado

	* [r1498] src/FbiStuff.cpp, src/fim.h: In C++14 mode, using the
	  [[deprecate]] attribute where appropriate.

2017-09-10 18:11  dezperado

	* [r1497] src/fim.h: In-class member initializers for ViewportState
	  in C++11 mode.

2017-09-10 18:05  dezperado

	* [r1496] src/Image.h, src/fim.h: Got rid of a spurious Image
	  constructor.

2017-09-10 16:09  dezperado

	* [r1495] src/fim.h: Using the [[fallthrough]] in C++17 mode (not
	  C++11 actually...)

2017-09-10 15:40  dezperado

	* [r1494] src/DummyDisplayDevice.h, src/Viewport.cpp: Bugfix to the
	  failing test introduced in the last commit (with bug introduced
	  just after r1481).

2017-09-10 15:38  dezperado

	* [r1493] Makefile.am: In a `make tests' test that used to pass
	  until r1481 or so.

2017-09-10 12:53  dezperado

	* [r1492] src/AADevice.cpp, src/AADevice.h, src/Cache.h,
	  src/DisplayDevice.cpp, src/DisplayDevice.h, src/FimWindow.h,
	  src/FontServer.h, src/Image.h, src/fim.cpp, src/fim.h:
	  Deactivated AADevice::format_console() in favour of
	  DisplayDevice::format_console(), now virtual final.
	  More classes declared as final.

2017-09-10 09:13  dezperado

	* [r1491] NEWS, src/Image.h: A second fix to description file
	  reading: was needlessly skipping a character.

2017-09-10 09:11  dezperado

	* [r1490] NEWS, src/Image.h: bugfix: description file reading could
	  crash due to wrong check.

2017-09-07 12:44  dezperado

	* [r1489] src/fim.cpp, src/fim.h: In C++11 mode, using the
	  [[fallthrough]] attribute where appropriate.

2017-09-07 10:26  dezperado

	* [r1488] src/CommandConsole.cpp, src/fim.cpp, src/fim.h: In C++11
	  mode, using the [[noreturn]] attribute for non-returning
	  functions.

2017-09-07 09:12  dezperado

	* [r1487] src/CommandConsole.cpp: When in C++14, using
	  std::this_thread::sleep_for instead of usleep().

2017-08-19 14:24  dezperado

	* [r1486] src/CACADevice.cpp: Whoops: r1481 broke build; fix.

2017-08-19 12:28  dezperado

	* [r1485] NEWS, doc/fimrc.man, src/Viewport.cpp, src/Viewport.h,
	  src/fim.h, src/help.cpp: Caption of _caption_over_image will take
	  at most half of the screen.

2017-08-19 11:52  dezperado

	* [r1484] NEWS, doc/fimrc.man, src/Viewport.cpp, src/fim.h,
	  src/help.cpp: If _caption_over_image=3, image will be possibly
	  drawn below the caption.

2017-08-19 11:39  dezperado

	* [r1483] src/Viewport.cpp, src/Viewport.h: Introduced
	  Viewport::pixelable_height() to express the height destined to
	  image only.

2017-08-19 10:18  dezperado

	* [r1482] src/Viewport.cpp, src/Viewport.h:
	  Viewport::viewport_height() will not substract status line height
	  now.

2017-08-19 09:38  dezperado

	* [r1481] src/AADevice.cpp, src/AADevice.h, src/CACADevice.cpp,
	  src/CACADevice.h, src/DisplayDevice.h: introduced
	  DisplayDevice::font_height()

2017-08-19 09:08  dezperado

	* [r1480] NEWS, doc/fimrc.man, src/fimrc: The 'v' and 'S' keys will
	  redraw as well.

2017-08-19 08:34  dezperado

	* [r1479] src/Viewport.cpp, src/Viewport.h: Mechanisms for
	  rescaling after comment displayed on top (inactive).

2017-08-15 21:22  dezperado

	* [r1478] NEWS, src/CommandConsole.cpp: Description line can be of
	  any length.

2017-08-13 23:41  dezperado

	* [r1477] NEWS, src/CommandConsole.cpp, src/fim.h: Description line
	  can be of any length, and individual component substrings length
	  limit is larger now.

2017-08-13 14:14  dezperado

	* [r1476] src/CommandConsole.cpp: In trunk and 0.5: bugfix: expando
	  mechanism crashed on long comment strings.

2017-07-29 09:04  dezperado

	* [r1475] src/fim.cpp: To ease reproducible builds (0.5 and trunk):
	  build __DATE__ won't be printed by -V anymore.
	  See r1039 all except this change were implemented, following
	  Alexis BienvenÃ¼e's patch from Debian bug #820932.

2017-07-29 08:39  dezperado

	* [r1474] NEWS, configure.ac, doc/fim.man, doc/fimrc.man,
	  src/fim.h: New configure option, defaulting to:
	  --enable-paths-in-man: Generate man pages with configure
	  specified paths (e.g. sysconfdir, docdir).

2017-07-24 22:49  dezperado

	* [r1473] src/Command.cpp, src/Command.h,
	  src/CommandConsole-init.cpp: Making the constructor of Command a
	  member function template, so to write one constructor instead of
	  three.
	  Removed a few useless constructor invocations when instantiating
	  Command in a CommandConsole call.

2017-07-24 22:28  dezperado

	* [r1472] src/Command.cpp, src/Command.h: Making Command code
	  cleaner by the use of std::function and std::bind (C++11 mode).

2017-07-24 21:45  dezperado

	* [r1471] src/CACADevice.cpp, src/Command.cpp, src/Command.h,
	  src/Image.cpp: A bit of cleanup in Command.
	  Removed an unused variable in CACADevice.
	  Changed new invocation style in one point.

2017-07-23 22:56  dezperado

	* [r1470] doc/fimrc.man, src/CommandConsole-help.cpp,
	  src/CommandConsole-init.cpp, src/fim.h, src/fimrc: Documented
	  autocommands and rewrote last man fimrc section.

2017-07-23 21:51  dezperado

	* [r1469] doc/fimrc.man, src/fim.h: Documented command 'rotate'.

2017-07-23 21:39  dezperado

	* [r1468] NEWS, src/fim.cpp: fix: -s switch was broken in 0.4, 0.5,
	  trunk.

2017-07-23 21:23  dezperado

	* [r1467] doc/fim.man, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole-cmd.cpp, src/CommandConsole-init.cpp,
	  src/CommandConsole-var.cpp, src/CommandConsole.cpp,
	  src/Image.cpp, src/Image.h, src/Viewport.cpp, src/fim.cpp,
	  src/testdir/test19.ok, src/yacc.ypp: Got rid of useless
	  Image::c_page() and Browser::c_page() and Image::gray_negate().
	  Comments cleanup.

2017-07-23 12:56  dezperado

	* [r1466] doc/fimrc.man, src/CommandConsole-help.cpp,
	  src/CommandConsole.cpp, src/fim.h: Tidying up documentation of
	  commands further, especially punctuation and quoting.

2017-07-23 11:15  dezperado

	* [r1465] doc/fim.man, doc/fimrc.man, src/CommandConsole-help.cpp,
	  src/CommandConsole.cpp, src/fim.cpp, src/fim.h, src/help.cpp:
	  Documentation improvement fixes: adding newlines to command help
	  strings, introduced preprocessors symbols for a few switches.

2017-07-23 11:11  dezperado

	* [r1464] src/CommandConsole-help.cpp:
	  CommandConsole::get_commands_reference() will add a ".fi\n" after
	  each command doc newline, so to have a newline in the man page as
	  well.

2017-07-23 11:04  dezperado

	* [r1463] src/Arg.cpp: fix: Arg would not compile in C++03.

2017-07-23 08:17  dezperado

	* [r1462] src/Arg.cpp, src/Arg.h, src/fim.h, src/fim_string.cpp,
	  src/fim_string.h, src/help.cpp: Another pass of doc strings
	  cleanup.

2017-07-23 07:51  dezperado

	* [r1461] doc/fim.man, doc/fimrc.man, src/fim.h, src/help.cpp:
	  Ensuring each variable description sentence ends with a dot.

2017-07-23 07:45  dezperado

	* [r1460] doc/fimrc.man, src/fim.h, src/help.cpp: Doc typo fix
	  (again in 0.5 and trunk).

2017-07-23 07:38  dezperado

	* [r1459] doc/fimrc.man, src/CommandConsole-help.cpp: Doc typo fix.

2017-07-22 21:42  dezperado

	* [r1458] src/Browser.cpp, src/Cache.cpp, src/Cache.h,
	  src/CommandConsole.cpp, src/FimWindow.cpp, src/FimWindow.h,
	  src/Image.h, src/Viewport.cpp, src/Viewport.h: Pruning usage of
	  getImage() further.

2017-07-22 20:38  dezperado

	* [r1457] src/Browser.cpp, src/Cache.cpp, src/testdir/Makefile,
	  src/testdir/test22.in, src/testdir/test22.ok: In a test for the
	  "reload ''" syntax.

2017-07-22 20:10  dezperado

	* [r1456] src/Browser.cpp, src/Image.cpp, src/Image.h: fix:
	  'reload' was not fully effective; now it should.

2017-07-22 19:52  dezperado

	* [r1455] src/Browser.cpp, src/Browser.h, src/Cache.cpp,
	  src/Cache.h, src/Viewport.cpp, src/Viewport.h:
	  Cache::freeCachedImage() has now a flag for asking forced file
	  deletion.

2017-07-22 19:02  dezperado

	* [r1454] src/Browser.cpp, src/Browser.h, src/FimWindow.cpp,
	  src/FimWindow.h, src/Viewport.cpp, src/Viewport.h: Moved glue
	  code for color manipulation, image rotation, page goto and image
	  scaling from Browser into Viewport. So Browser does no Image*
	  manipulation now.

2017-07-22 18:02  dezperado

	* [r1453] src/Browser.cpp, src/FimWindow.cpp, src/FimWindow.h,
	  src/Image.cpp, src/Image.h, src/Viewport.cpp, src/Viewport.h:
	  Making further small functions const or preferring invoking
	  const.

2017-07-22 17:04  dezperado

	* [r1452] src/DebugConsole.h, src/Namespace.h: All data members of
	  MiniConsole are now private, and Namespace does not declare
	  friends anymore.

2017-07-22 16:27  dezperado

	* [r1451] src/CommandConsole.cpp, src/DisplayDevice.cpp,
	  src/FramebufferDevice.cpp: Moved the original fbi framebuffer
	  console switch redrawing invocation of redisplay() into the main
	  loop.

2017-07-22 15:48  dezperado

	* [r1450] src/CommandConsole-init.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/DebugConsole.cpp, src/DebugConsole.h:
	  Eliminated friend access rights for CommandConsole in
	  MiniConsole.

2017-07-22 14:12  dezperado

	* [r1449] src/CommandConsole-var.cpp, src/CommandConsole.h,
	  src/Namespace.cpp, src/Namespace.h, src/Var.cpp, src/Var.h: Made
	  the getVariable() functions return const.
	  Makde Var::find() const.

2017-07-22 13:49  dezperado

	* [r1448] doc/fim.man, doc/fimrc.man, src/fim.cpp: Doc example fix
	  for branches 0.4 0.5 and trunk for option -c.

2017-07-22 13:18  dezperado

	* [r1447] NEWS, doc/fim.man, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/fim.cpp: If no semicolon (;)
	  terminating -C argument, one will be appended.

2017-07-22 12:08  dezperado

	* [r1446] NEWS, doc/fim.man, doc/fimrc.man, src/Cache.cpp,
	  src/fim.h, src/help.cpp: Added option 'C' to _debug_commands, so
	  to have extra verbose cache output.

2017-07-22 11:37  dezperado

	* [r1445] src/Cache.cpp: Preparing the ground for user-verbosity of
	  Cache via FIM_CACHE_DEBUG.

2017-07-22 11:34  dezperado

	* [r1444] src/Namespace.cpp, src/Namespace.h: Added
	  Namespace::getGlobalVariable().

2017-07-22 09:51  dezperado

	* [r1443] src/Browser.cpp, src/Image.cpp, src/Image.h,
	  src/SDLDevice.cpp, src/Viewport.cpp, src/Viewport.h: Cleanup of
	  Viewport internals and client code.

2017-07-21 22:59  dezperado

	* [r1442] src/DisplayDevice.cpp, src/DisplayDevice.h,
	  src/Viewport.cpp: Moved Viewport::fs_multiline_puts() into
	  DisplayDevice::fs_multiline_puts().

2017-07-21 22:50  dezperado

	* [r1441] src/CommandConsole-init.cpp, src/CommandConsole.h,
	  src/FimWindow.cpp, src/FimWindow.h, src/Namespace.cpp,
	  src/Namespace.h, src/Viewport.cpp, src/Viewport.h: Broken friend
	  access of Viewport into CommandConsole.
	  Among required changes, was adding Namespace::isSetGlobalVar().

2017-07-21 22:21  dezperado

	* [r1440] src/testdir/test19.ok, src/testdir/test20.ok: Adjustment
	  of tests 19 and 20 to last commit.

2017-07-21 21:39  dezperado

	* [r1439] doc/fimrc.man, src/CommandConsole-cmd.cpp,
	  src/DebugConsole.h, src/fimrc: Changed defaults for j and k: now
	  if in console mode will scroll console.

2017-07-21 21:02  dezperado

	* [r1438] src/CommandConsole.cpp: A fix to
	  CommandConsole::getInfoCustom: 1435 lessed 'i' expando value
	  (current file index) by -1.

2017-07-21 20:52  dezperado

	* [r1437] src/DebugConsole.cpp: Cleaned up MiniConsole::do_dump a
	  bit.

2017-07-21 14:55  dezperado

	* [r1436] src/Command.h, src/CommandConsole-cmd.cpp,
	  src/CommandConsole-help.cpp, src/CommandConsole-init.cpp,
	  src/CommandConsole.cpp, src/CommandConsole.h: The CommandConsole
	  will keep a vector of Command objects, not anymore pointers to
	  such.
	  Along the way, make some member functions const.

2017-07-21 12:55  dezperado

	* [r1435] src/Browser.h, src/CommandConsole.cpp: Cleanup of
	  CommandConsole::getInfoCustom().

2017-07-21 12:32  dezperado

	* [r1434] src/Namespace.cpp, src/Namespace.h: Cleaned up a bit
	  comments/look of Namespace.

2017-07-21 12:31  dezperado

	* [r1433] src/CommandConsole.cpp: Cleaned up and recommented a bit
	  CommandConsole::command_generator.

2017-07-21 10:54  dezperado

	* [r1432] src/FbiStuff.cpp, src/FbiStuff.h,
	  src/FramebufferDevice.cpp, src/Image.cpp: Corrected
	  fbi_img_pixel_count() and added fbi_img_pixel_bytes().

2017-07-21 10:31  dezperado

	* [r1431] src/CommandConsole.cpp, src/Image.cpp, src/Image.h: Added
	  six const accessor functions to Image:: so that could remove the
	  friend access specifier introduced in last commit.

2017-07-21 09:46  dezperado

	* [r1430] src/Browser.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/Image.cpp, src/Image.h,
	  src/Viewport.cpp: moved Image::getInfoCustom() to
	  CommandConsole::getInfoCustom().

2017-07-21 08:43  dezperado

	* [r1429] src/CommandConsole.cpp: CommandConsole::Namespace::rnsp_
	  now non NULL.

2017-07-20 14:45  dezperado

	* [r1428] src/CommandConsole.cpp: Restrictung use of
	  std::map<..>::erase(..iterator..) to C++11 mode only.

2017-07-20 14:38  dezperado

	* [r1427] src/CommandConsole-cmd.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/Image.h, src/Namespace.cpp, src/Var.h,
	  src/testdir/test19.ok: General minor cleanup of CommandConsole.
	  Cleaning up a few old-style casts in several files.
	  Updated the test case 19 to reflect change of last commit (which
	  changed amount of traffic on debug console).

2017-07-20 13:44  dezperado

	* [r1426] src/CommandConsole.cpp: Return message when binding was
	  wrong (always 'reassigned'). Corrected.

2017-07-20 09:29  dezperado

	* [r1425] src/Image.h: Wrote a small wrapper in VNamespace so that
	  can avoid a friend declaration.

2017-07-20 09:28  dezperado

	* [r1424] configure.ac: unmarked the 'seek magic signatures' as
	  unrecommended, in the configure script.

2017-07-20 09:03  dezperado

	* [r1423] src/AADevice.h, src/Browser.h, src/CACADevice.h,
	  src/Cache.h, src/Command.h, src/CommandConsole.h,
	  src/DebugConsole.h, src/DummyDisplayDevice.h, src/FbiStuff.h,
	  src/FramebufferDevice.h, src/Image.h, src/Imlib2Device.h,
	  src/SDLDevice.h, src/Var.h, src/Viewport.h, src/fim.h,
	  src/fim_string.h: When compiling for C++11, using the final
	  specifier on the many non-base classes.

2017-07-20 08:40  dezperado

	* [r1422] src/FramebufferDevice.cpp, src/FramebufferDevice.h:
	  Tightened members access specifiers of FramebufferDevice.

2017-07-19 23:28  dezperado

	* [r1421] src/Browser.h, src/Cache.h, src/Command.h,
	  src/FimWindow.h, src/Image.h, src/Namespace.h, src/Viewport.h,
	  src/fim_string.h: Declared as explicit a number of constructors
	  of larger classes.

2017-07-19 22:09  dezperado

	* [r1420] src/CommandConsole.h, src/DisplayDevice.cpp,
	  src/DisplayDevice.h, src/FbiStuff.cpp, src/FbiStuff.h,
	  src/FramebufferDevice.cpp, src/FramebufferDevice.h, src/fim.h:
	  Got rid of need for friend access of FbiStuff into
	  CommandConsole.

2017-07-19 21:39  dezperado

	* [r1419] src/CommandConsole.h, src/fim.h: Oops: fix: last commit
	  forgot this change in fim.h.

2017-07-19 21:17  dezperado

	* [r1418] src/CommandConsole.cpp, src/CommandConsole.h,
	  src/FbiStuff.cpp: CommandConsole::switch_if_needed() breaks the
	  need for access of FbiStuff to the display device.

2017-07-19 21:00  dezperado

	* [r1417] NEWS, configure.ac, src/FbiStuff.cpp: framebuffer console
	  switch off while loading: configure with the
	  --enable-framebuffer-switch-while-loading switch to have it back.

2017-07-19 20:33  dezperado

	* [r1416] src/FbiStuff.cpp: Enclosed two accesses to quite internal
	  DisplayDevice stuff in two macros.
	  Eliminated one DisplayDevice pointer check: we assume loading
	  images after CommandConsole (and components) initialization.

2017-07-19 13:46  dezperado

	* [r1415] configure.ac: In all branches: removed old leftover
	  declaring missing PNG support misleadingly.

2017-07-19 13:25  dezperado

	* [r1414] src/Browser.cpp, src/fim_interpreter.cpp,
	  src/fim_string.cpp, src/fim_string.h: Building with
	  -pedantic-errors on g++-6.1 was broken.
	  To fix this, avoiding a macro redefinition, and added an operator
	  overload for fim::string.

2017-07-19 12:03  dezperado

	* [r1413] NEWS, configure.ac: fix: configure would fail on
	  --disable-aa and absent aalib.

2017-07-19 10:42  dezperado

	* [r1408] src/Image.h: Debian's g++-6.3.0 seems less permissive
	  than Ubuntu's g++-5.4.0 wrt Image's Namespace access mode in
	  CommandConsole::rns(), so
	  reverting back to public inheritance for now.
	  r1407 was a typo (private instead of public)

2017-07-17 23:18  dezperado

	* [r1407] src/Image.h: Debian's g++-6.3.0 seems less permissive
	  than Ubuntu's g++-5.4.0 wrt Image's Namespace access mode in
	  CommandConsole::rns(), so reverting back to public inheritance
	  for now.

2017-07-17 11:05  dezperado

	* [r1406] src/Image.cpp, src/Image.h, src/Viewport.cpp,
	  src/testdir/test20.in, src/testdir/test20.ok: Tidying up Image
	  and logic of access/modify to its variables.

2017-07-17 08:45  dezperado

	* [r1405] src/Viewport.cpp: Viewport used to make two read access
	  to (non-existent) v: variables. Not anymore.

2017-07-17 08:40  dezperado

	* [r1404] src/Image.cpp: Image used to make three read access to
	  (non-existent) v: variables. Not anymore.

2017-07-16 23:03  dezperado

	* [r1403] NEWS, configure.ac: Configure changes:
	  --enable-seek-magic is now default; displaying values of YACC LEX
	  CXX CXXFLAGS LIBS prefix; declaring as influential variables:
	  LIBTIFF LIBGIF LIBJPEG LIBPS LIBDJVU LIBPOPPLER.

2017-07-16 22:06  dezperado

	* [r1402] src/Browser.cpp, src/Image.cpp, src/Image.h,
	  src/Viewport.cpp: Cleaned up class Image: access permissions,
	  data/function members.

2017-07-16 19:50  dezperado

	* [r1401] src/Makefile.am, src/Viewport.cpp, src/Viewport.h:
	  Tightened a bit access permissions in class Viewport.

2017-07-16 16:05  dezperado

	* [r1400] src/testdir/test20.in, src/testdir/test20.ok: It seems
	  like test 20 needed an update. Given also a few new test lines.

2017-07-16 15:48  dezperado

	* [r1399] src/CommandConsole-cmd.cpp: fix: a few commits ago had
	  broken comparison on empty return value fim::string.

2017-07-16 15:26  dezperado

	* [r1398] doc/fimrc.man, src/fimrc, src/testdir/test19.ok,
	  src/testdir/test20.ok: Since console key codes alias Backspace
	  and C-h, giving up one for the Help message in the console.

2017-07-16 14:37  dezperado

	* [r1397] src/testdir/test20.ok: Update of test case to previous
	  two commits.

2017-07-16 14:33  dezperado

	* [r1396] NEWS, src/CommandConsole-cmd.cpp, src/fim.cpp: Command
	  'help' will give multiple answers if matching.
	  Adjusted --help message description.

2017-07-16 14:17  dezperado

	* [r1395] NEWS, src/CommandConsole-cmd.cpp,
	  src/CommandConsole-init.cpp, src/defaultConfiguration.cpp:
	  Command 'help' will also consider key bindings.

2017-07-16 13:15  dezperado

	* [r1394] src/testdir/test20.in, src/testdir/test20.ok: Test 20
	  will query 'bind' as well now.

2017-07-16 11:40  dezperado

	* [r1393] src/fim.cpp: fim --help now reminds about --help
	  {help-item} syntax.

2017-07-16 11:24  dezperado

	* [r1392] src/testdir/Makefile, src/testdir/test21.in,
	  src/testdir/test21.ok: In a test for command 'basename'.

2017-07-16 11:20  dezperado

	* [r1391] doc/fimrc.man, src/CommandConsole-cmd.cpp,
	  src/CommandConsole.cpp, src/fim.h, src/help.cpp,
	  src/testdir/Makefile, src/testdir/test20.in,
	  src/testdir/test20.ok: Introduced variable '_last_cmd_output'.
	  Command 'basename' uses '_last_cmd_output' now.
	  New test for '_last_cmd_output' and 'help' (test20).

2017-07-16 10:15  dezperado

	* [r1390] src/fim.cpp: fix: help '-' was broken.

2017-07-16 10:05  dezperado

	* [r1389] NEWS, doc/fim.man, src/CommandConsole-cmd.cpp,
	  src/CommandConsole.h, src/fim.cpp, src/fim.h: If further
	  arguments follow switch --help, individual help messages will be
	  shown.

2017-07-16 09:40  dezperado

	* [r1388] src/fim.cpp: A trunk specific fix: e.g. "help '--cmd'"
	  was broken, in that an int was being printed out; solved with a
	  cast to char.
	  Avoiding a C style cast and pretty-adjusted a printout in the
	  same function.

2017-07-16 00:43  dezperado

	* [r1387] src/testdir/Makefile, src/testdir/test10.in,
	  src/testdir/test11.in, src/testdir/test12.in,
	  src/testdir/test14.in, src/testdir/test15.in,
	  src/testdir/test16.in, src/testdir/test17.in,
	  src/testdir/test18.in: `make tests' will display first line of
	  each test*.in file on failed test.
	  Updated each *.in file to have an info comment.

2017-07-16 00:29  dezperado

	* [r1386] src/testdir/Makefile, src/testdir/test19.in,
	  src/testdir/test19.ok: A minimal first test for the console
	  mechanism.

2017-07-15 22:14  dezperado

	* [r1385] src/Browser.cpp, src/Browser.h: The Browser::push* member
	  functions are a bit more efficient now.

2017-07-15 21:47  dezperado

	* [r1384] src/Browser.cpp, src/Browser.h: Will spare one stat()
	  call at recursive files pushing.

2017-07-15 21:01  dezperado

	* [r1383] src/Browser.cpp, src/Browser.h,
	  src/CommandConsole-cmd.cpp, src/CommandConsole.cpp:
	  Browser::push() -> Browser::push_path()

2017-07-15 19:21  dezperado

	* [r1382] NEWS, doc/fimrc.man, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole.cpp, src/fim.h: Command 'goto' accepts
	  multiple arguments; those after the first triggering a jump will
	  be ignored.

2017-07-15 18:17  dezperado

	* [r1381] NEWS, doc/fimrc.man, src/fimrc: Aliases for the 'goto'
	  syntax just introduced.

2017-07-15 18:08  dezperado

	* [r1380] NEWS, doc/fimrc.man, src/Browser.cpp, src/fim.h: Command
	  goto {'-/'|'+/'}[C] will jump to a file based on C (either of
	  sdubSDUB, default 'S').

2017-07-15 14:48  dezperado

	* [r1379] NEWS, doc/fimrc.man, src/Browser.cpp, src/fim.h: Command
	  goto {'-/'|'+/'} will jump to next or previous file in a
	  different directory.

2017-07-15 12:55  dezperado

	* [r1378] src/DebugConsole.h, src/Namespace.cpp: A change (r1298)
	  in the NameSpace setGlobalVariable was wrong (broke
	  DebugConsole's PageUp/PageDown scroll mechanism). Fixed now.

2017-07-15 10:35  dezperado

	* [r1377] src/CommandConsole-cmd.cpp: User friendlier messages from
	  'recording' command.

2017-07-15 10:25  dezperado

	* [r1376] doc/fimrc.man: Doc update from last commit.

2017-07-15 10:16  dezperado

	* [r1375] doc/fimrc.man, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole.cpp, src/fim.cpp, src/fim.h, src/fimrc: Got
	  rid of scrolldown and scrollforward, and moved into 'scroll' and
	  'scroll "forward"'.

2017-07-15 09:38  dezperado

	* [r1374] src/Browser.cpp, src/Browser.h: Got rid of obsolete
	  Browser::fcmd_reduce and Browser::fcmd_magnify.

2017-07-14 23:21  dezperado

	* [r1373] src/Browser.cpp, src/CommandConsole.h: Cleaning up
	  Browser.cpp a bit, mostly from obsolete comments.

2017-07-14 22:26  dezperado

	* [r1372] src/CommandConsole.cpp: Deleting obsolete comments and
	  updating them, in CommandConsole.

2017-07-14 21:54  dezperado

	* [r1371] src/Browser.cpp, src/Browser.h, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/grammar.h: Browser::fcmd_redisplay() ->
	  CommandConsole::fcmd_redisplay()

2017-07-14 21:42  dezperado

	* [r1370] src/Browser.cpp, src/Browser.h, src/CommandConsole.cpp,
	  src/CommandConsole.h: Browser::fcmd_display() ->
	  CommandConsole::fcmd_display()

2017-07-14 21:30  dezperado

	* [r1369] src/Browser.cpp, src/Browser.h, src/CommandConsole.cpp,
	  src/CommandConsole.h: Cleaning up a bit around the *display*
	  functions across Browser and CommandConsole.

2017-07-14 20:31  dezperado

	* [r1368] src/CommandConsole.cpp: Cleaned up a bit
	  CommandConsole::record_action()

2017-07-14 20:13  dezperado

	* [r1367] src/CommandConsole-cmd.cpp, src/CommandConsole.h: The
	  recording commands give some info on the console now.

2017-07-14 19:46  dezperado

	* [r1366] NEWS, src/CommandConsole-cmd.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h: fix: 'recording' command was non
	  functioning properly.
	  applied fix to 0.4, 0.5, trunk.

2017-07-14 15:03  dezperado

	* [r1365] NEWS, src/CommandConsole-cmd.cpp, src/grammar.h: fix:
	  will not pop back last if calling recording 'stop' outside of
	  recording mode.
	  fix: won't clear recorded list if calling recording 'start'
	  multiple times.

2017-07-14 14:37  dezperado

	* [r1364] src/CommandConsole.cpp:
	  CommandConsole::execute_internal() will return quit()'s results.
	  CommandConsole::quit() will disable interactive loop variable.

2017-07-14 14:13  dezperado

	* [r1363] NEWS, doc/fimrc.man, src/Browser.cpp,
	  src/CommandConsole.cpp, src/fim.cpp, src/fim.h, src/help.cpp: If
	  _debug_commands contains 'B', clear screen and print background
	  loading files.

2017-07-14 13:35  dezperado

	* [r1362] src/CommandConsole-cmd.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h: Assigning a help message in
	  CommandConsole::bind() itself.

2017-07-14 12:47  dezperado

	* [r1361] src/fim.h: Using static_cast instead of old-style casts
	  in a few int/float scaling macros.

2017-07-14 12:32  dezperado

	* [r1360] src/Arg.cpp, src/Arg.h, src/CommandConsole-cmd.cpp,
	  src/fim.h, src/fim_string.h, src/fim_types.h: Moved definition of
	  args_t and a few free functions acting on args_t into Arg.h /
	  Arg.cpp.

2017-07-14 12:14  dezperado

	* [r1359] NEWS, src/fim.cpp, src/fim.h: Specifying more than once
	  any of -p -i - will issue a warning.

2017-07-14 12:01  dezperado

	* [r1358] doc/fim.man, src/CommandConsole-cmd.cpp,
	  src/CommandConsole.cpp, src/fim.cpp, src/fim.h: Small
	  improvements in error checks/propagation, documentation messages.

2017-07-14 11:09  dezperado

	* [r1357] src/fim.cpp, src/fim.h: A warning will be displayed if
	  --sort-fsize or --sort-mtime invoked.

2017-07-14 10:45  dezperado

	* [r1356] doc/fimrc.man, src/fim.cpp, src/fim.h, src/help.cpp: Doc
	  fix for _scale_style.

2017-07-14 10:42  dezperado

	* [r1355] doc/fim.man, src/CommandConsole-init.cpp, src/fim.cpp,
	  src/fim.h: Fixed a few error and help messages and comments.

2017-07-14 09:51  dezperado

	* [r1354] src/CommandConsole.cpp, src/CommandConsole.h,
	  src/common.cpp, src/common.h: fix: _debug_commands='k' was
	  printing only first char of keysym; now the other chars as well.
	  Added a fim_key_escape().

2017-07-13 21:34  dezperado

	* [r1353] src/fim_interpreter.cpp: The verbose interpreter mode
	  will indent with spaces according to the execution stack depth.

2017-07-13 21:03  dezperado

	* [r1352] doc/fim.man, src/fim.cpp, src/fim.h: Extra interpreter
	  verbosity achievable by specifying --verbose-interpreter twice.

2017-07-13 20:55  dezperado

	* [r1351] NEWS, doc/fimrc.man, src/fim.h, src/fim_interpreter.cpp,
	  src/help.cpp: _debug_commands now accepts 'i' to display internal
	  interpreter steps.

2017-07-13 20:46  dezperado

	* [r1350] src/fim_interpreter.cpp: Cleaning up interpreter a
	  further bit and improving the (compile time disabled) debug
	  output.

2017-07-13 18:17  dezperado

	* [r1349] src/common.cpp: pick_word() used not to close() file
	  descriptor: fixed.
	  Generalized a bit the inners of fim_rand().

2017-07-13 17:05  dezperado

	* [r1348] src/fim_interpreter.cpp: Got rid of obsolete code and
	  casts from the fim interpreter.

2017-07-13 16:30  dezperado

	* [r1347] src/CommandConsole-init.cpp: Using std::static_assert for
	  a few compile time type tests.

2017-07-13 15:40  dezperado

	* [r1346] src/fim.h: Whoops: last commit was broken; fix.

2017-07-13 15:21  dezperado

	* [r1345] src/DebugConsole.h, src/FbiStuff.cpp, src/fim.cpp,
	  src/fim.h, src/fim_interpreter.cpp, src/help.cpp: Removed a few
	  dead comments or code.
	  Renamed a few preprocessor symbols.
	  Moved a few vars initializations.

2017-07-13 14:51  dezperado

	* [r1344] src/fim_interpreter.cpp: Abandoning old-style casts for
	  C++ style reinterpret_cast in vscon().

2017-07-13 14:26  dezperado

	* [r1343] src/CommandConsole.cpp, src/fim.h: Improved readability
	  of CommandConsole by moving most long help strings in a separate
	  place.

2017-07-13 13:27  dezperado

	* [r1342] src/CommandConsole.cpp, src/common.cpp, src/common.h:
	  Commented the unused trhex function.
	  Removed the fim_cmd_id constructor on Command() constructors.
	  comment typo fix.

2017-07-13 13:10  dezperado

	* [r1341] src/Browser.cpp, src/CommandConsole-help.cpp,
	  src/Image.cpp, src/fim.cpp: Slimming string concatenation with
	  std::ostringstream.

2017-07-13 10:18  dezperado

	* [r1340] src/CommandConsole-cmd.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/Viewport.cpp, src/common.cpp,
	  src/common.h: CommandConsole::fcmd_cd's static variable is now
	  CommandConsole::oldcwd_;
	  Moved some functionality to fim_getcwd().
	  CommandConsole::fcmd_basename's static variable is not static
	  anymore.
	  Sparing a few further fim_string::c_str() calls.

2017-07-12 22:55  dezperado

	* [r1339] src/Browser.cpp, src/Cache.cpp, src/Command.h,
	  src/CommandConsole-cmd.cpp, src/CommandConsole-help.cpp,
	  src/CommandConsole.cpp, src/FimWindow.cpp, src/FimWindow.h,
	  src/Image.cpp, src/Image.h, src/fim.h, src/fim_interpreter.cpp,
	  src/fim_string.cpp, src/grammar.h: substituting many occurrences
	  of std::vector<fim::string> with more appropriate typedef args_t.
	  thanks to user-defined conversion to const char*, not invoking
	  fim::string::c_str() anymore in many cases.
	  Command's data members are private now.
	  comparison operators in Command now work on references.

2017-07-12 21:00  dezperado

	* [r1338] doc/fimrc.man, src/CommandConsole-help.cpp,
	  src/CommandConsole.cpp, src/fim.h: Improved documentation of
	  commands a bit, and updated man fimrc consequently.

2017-07-12 20:16  dezperado

	* [r1337] doc/fimrc.man, src/CommandConsole-cmd.cpp,
	  src/CommandConsole.cpp: Better documented the internal `basename'
	  command and changed its internals from POSIX's basename() to
	  fim_basename_of.

2017-07-11 10:14  dezperado

	* [r1336] src/CommandConsole-cmd.cpp, src/CommandConsole.cpp,
	  src/Image.h, src/Namespace.cpp, src/Var.cpp: Constructing even
	  more strings using std::ostringstream.

2017-07-10 23:19  dezperado

	* [r1335] NEWS, doc/fim.man, doc/fimrc.man, src/CommandConsole.cpp,
	  src/fim.h, src/help.cpp: --verbose-interpreter can accept all of
	  "ack" letters now ('k' stays for keys).

2017-07-10 22:51  dezperado

	* [r1334] NEWS, doc/fim.man, src/CommandConsole.cpp, src/fim.cpp,
	  src/fim.h, src/fim_string.cpp, src/testdir/test14.ok: New switch
	  --verbose-interpreter to execute interpreter verbosely by setting
	  adequately _debug_commands.

2017-07-10 22:33  dezperado

	* [r1333] NEWS, src/common.cpp, src/grammar.h, src/lex.lex,
	  src/testdir/test18.ok: Strings specified within single quotes
	  will have single quotes escaped, just as double quotes.

2017-07-10 22:07  dezperado

	* [r1332] src/testdir/test18.ok: Whoops: last commit's test18.ok
	  had to look like this one.

2017-07-10 21:59  dezperado

	* [r1331] src/testdir/Makefile, src/testdir/test18.in,
	  src/testdir/test18.ok: In a new test for the string escaping
	  mechanism.

2017-07-10 17:41  dezperado

	* [r1330] NEWS, doc/fimrc.man, src/CommandConsole.cpp, src/Var.h,
	  src/fim.h, src/fimrc, src/help.cpp, src/testdir/test14.in,
	  src/testdir/test15.in: Variable '_debug_commands' is now a
	  string.
	  Added a Var::find() member function to look for single chars in
	  such variables.

2017-07-10 12:25  dezperado

	* [r1329] configure.ac, src/common.cpp, src/fim_types.h: A helper
	  macro to avoid repeated sizeof's to determine fim_int size:

2017-07-10 12:04  dezperado

	* [r1328] src/Arg.cpp, src/Arg.h, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/fim.h: Got rid of near-useless class
	  Arg.

2017-07-10 10:50  dezperado

	* [r1327] src/Var.h: In Var::getInt of trunk and 0.5: using
	  fim_atoi instead of atoi.

2017-07-10 10:32  dezperado

	* [r1325] NEWS, src/FbiStuff.cpp, src/fim.cpp: Internal type for
	  --offset is now everywhere fim_int.

2017-07-10 09:43  dezperado

	* [r1324] src/CommandConsole.cpp, src/FbiStuff.cpp, src/fim.cpp,
	  src/grammar.h: Uniformed the identifiers names in the two files
	  handling --offset . Comments cleanup.

2017-07-09 23:34  dezperado

	* [r1323] NEWS, src/FbiStuff.cpp: fix: in --offset mode, avoiding
	  probing for external loader programs.

2017-07-09 22:00  dezperado

	* [r1321] NEWS, src/FbiStuff.cpp, src/fim.h, src/help.cpp: Heavy
	  fixes to _seek_magic (first serious fixes since r247).

2017-07-09 19:56  dezperado

	* [r1320] src/FbiStuff.cpp, src/fim.cpp: Rationalized a bit the
	  temporaries handling on --verbose-loading and --offset options.
	  Adjusted a bit the --verbose-loading messages.

2017-07-09 19:18  dezperado

	* [r1319] NEWS, doc/fim.man, src/fim.cpp: --verbose-load option for
	  verbose file loading.

2017-07-09 19:07  dezperado

	* [r1318] src/FbiStuff.cpp, src/fim.h: Further messages for verbose
	  mode file load.

2017-07-09 17:41  dezperado

	* [r1317] NEWS, doc/fim.man, doc/fimrc.man, src/FbiStuff.cpp,
	  src/fim.h, src/grammar.h, src/help.cpp: -C '_seek_magic=..' will
	  now probe whole range of specified signature.

2017-07-09 17:10  dezperado

	* [r1316] NEWS, src/fim.h: in trunk and 0.5 branch: fix in
	  _seek_magic documentation (-C, not -c).

2017-07-09 17:03  dezperado

	* [r1315] src/fim.cpp: In 0.5 and trunk: adjust of --offset option
	  documentation string.

2017-07-09 15:41  dezperado

	* [r1314] NEWS, src/fim.cpp: In trunk and branch 0.5, dating to
	  r795:
	  bugfix: --offset option was ignoring lower bytes-offset.

2017-07-09 14:18  dezperado

	* [r1313] src/CommandConsole.cpp, src/FbiStuffBit1.cpp,
	  src/FbiStuffBit24.cpp, src/fim_types.h: Avoiding a few
	  unnecessary signed/unsigned conversions/comparisons.
	  Fixed a misleading indentation.

2017-07-09 13:39  dezperado

	* [r1312] NEWS, src/FbiStuffPs.cpp: in all branches: fix: a check
	  was missing in the PS decoder when reading from stdin.

2017-07-09 12:54  dezperado

	* [r1311] src/Browser.cpp, src/Cache.cpp,
	  src/CommandConsole-cmd.cpp, src/CommandConsole.cpp,
	  src/Image.cpp: Not giving raw strings (.c_str()) anymore to
	  setVariable/setGlobalVariable.

2017-07-09 11:58  dezperado

	* [r1310] src/Browser.h, src/Viewport.h: Reverting changes of r1308
	  wrt Browser and Viewport: inheritance public again (not yet ready
	  for protected Namespace inheritance).

2017-07-09 09:40  dezperado

	* [r1309] src/Cache.cpp: Improving readability of Cache by using
	  std::ostringstream;

2017-07-09 09:29  dezperado

	* [r1308] src/Browser.h, src/Cache.h, src/Viewport.h: Restricted
	  Namespace inheritance access specifiers: in Browser to protected,
	  in Cache to private, in Viewport to protected.

2017-07-08 23:25  dezperado

	* [r1307] src/CommandConsole.cpp, src/DebugConsole.cpp: fix: had
	  forgotten to reformat console after font rescale.
	  Replaced min with FIM_MIN in MiniConsole.

2017-07-08 23:05  dezperado

	* [r1306] src/Cache.h: Build fix: revisions 1293-1305 were
	  including <cstdint> only, which builds only since C++11.

2017-07-08 22:24  dezperado

	* [r1305] src/AADevice.cpp, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole-cmd.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/SDLDevice.cpp, src/Var.h, src/fim.h,
	  src/yacc.ypp: Substituted FIM_CNS_KEY_NULL with FIM_SYM_NULL_KEY.
	  Deleted lots of obsolete code and comments.
	  Slimming string concatenation with std::ostringstream.
	  Changed a bit definition of Var.
	  In the yacc.ypp using C++ standard includes (<c.. instead of
	  ...h>).

2017-07-08 18:48  dezperado

	* [r1304] src/DisplayDevice.cpp, src/DisplayDevice.h: Cleaning up
	  DisplayDevice code a bit, mostly out of old comments.

2017-07-08 18:18  dezperado

	* [r1303] src/Image.cpp: Commented back a printout accidentally
	  uncommented.

2017-07-08 18:17  dezperado

	* [r1302] src/CommandConsole-var.cpp, src/CommandConsole.h,
	  src/Namespace.cpp, src/Namespace.h: Each of the setVariable and
	  setGlobalVariable member functions in Namespace and
	  CommandConsole will return the source value just in the given
	  type.

2017-07-08 16:18  dezperado

	* [r1301] src/Var.h: Cleaned up a bit in class Var. Now Var::set
	  returns not zero but the value.

2017-07-08 12:42  dezperado

	* [r1300] src/Browser.cpp, src/Viewport.cpp, src/fim.h: Slimmer
	  code for ViewportState store/restore.

2017-07-08 12:30  dezperado

	* [r1299] src/Browser.cpp, src/Cache.cpp, src/Image.h,
	  src/Viewport.cpp, src/Viewport.h, src/fim.h: Cleaning up Viewport
	  interface and implementation a bit.

2017-07-08 11:30  dezperado

	* [r1298] src/Browser.cpp, src/Cache.cpp, src/CommandConsole.cpp,
	  src/DebugConsole.cpp: Further removing (fim_int) conversion
	  operator when invoking setGlobalVariable member functions.

2017-07-08 11:16  dezperado

	* [r1297] src/AADevice.cpp, src/AADevice.h,
	  src/CommandConsole-init.cpp, src/CommandConsole.cpp,
	  src/DisplayDevice.cpp, src/DisplayDevice.h: On DisplayDevice and
	  hierarchhy: init_console -> format_console.

2017-07-08 11:11  dezperado

	* [r1296] src/Browser.cpp, src/Browser.h, src/CommandConsole.cpp,
	  src/Image.cpp, src/Image.h, src/Namespace.h, src/Viewport.cpp:
	  Got rid of an image->setVariable() in CommandConsole, and further
	  related changes.

2017-07-07 23:17  dezperado

	* [r1295] src/Image.cpp, src/Image.h, src/Viewport.cpp: Added a
	  Image::set_auto_props to avoid setGlobalVariable("i:".. -like
	  statements in Viewport.

2017-07-07 22:53  dezperado

	* [r1294] src/Image.cpp, src/Image.h, src/Namespace.h,
	  src/Viewport.cpp: With some exceptions, restricting access
	  specification of set* member functions of Namespace().

2017-07-07 21:19  dezperado

	* [r1293] src/Cache.h, src/FbiStuff.cpp, src/FbiStuff.h,
	  src/FontServer.h, src/FramebufferDevice.h, src/Viewport.cpp,
	  src/fim.h, src/fim_plugin.cpp: Using C++ styled include headers
	  for standard library (<c...>).

2017-07-07 20:18  dezperado

	* [r1292] src/Cache.cpp, src/Image.cpp, src/Viewport.cpp: Using
	  fim_int to take variables from getVariable(... .

2017-07-07 20:11  dezperado

	* [r1291] src/Image.cpp: In Image, abandoned
	  setGlobalVariable("i:".. in favour of setVariable(...

2017-07-07 19:46  dezperado

	* [r1290] src/Image.cpp, src/Image.h: Image::is_mirrored and
	  Image::is_flipped return now bool.

2017-07-07 17:09  dezperado

	* [r1289] src/Image.cpp: Using std::for_each for
	  Image::fim_negate_rgb when in C++11 mode. With a commented
	  parallel version for C++17 (using
	  std::execution::parallel_policy).

2017-07-07 16:32  dezperado

	* [r1288] src/AADevice.cpp, src/CommandConsole-cmd.cpp,
	  src/CommandConsole-init.cpp, src/CommandConsole.cpp,
	  src/FbiStuff.cpp, src/Image.cpp, src/SDLDevice.cpp,
	  src/defaultConfiguration.cpp, src/fim.cpp: Removing (fim_int)
	  conversion operator when invoking the various setVariable /
	  setGlobalVariable member functions, now offering int and unsigned
	  int overloads.

2017-07-07 16:30  dezperado

	* [r1287] src/CommandConsole-var.cpp, src/CommandConsole.h,
	  src/Namespace.cpp, src/Namespace.h: Further overloads of
	  setVariable for (unsigned int).

2017-07-07 15:34  dezperado

	* [r1286] src/CommandConsole-var.cpp, src/CommandConsole.h,
	  src/Namespace.cpp, src/Namespace.h: Added plain int overloads of
	  setVariable (both Namespace and CommandConsole versions) for the
	  case fim_int is not int.

2017-07-07 14:53  dezperado

	* [r1285] src/Image.cpp, src/Image.h: Got rid of
	  Image::prev_page(), Image::next_page(), added Image::have_page().

2017-07-07 14:33  dezperado

	* [r1284] src/FbiStuff.cpp, src/Image.cpp, src/fim.h: Cleaned up
	  FbiStuff::rotate_image a bit.

2017-07-07 13:19  dezperado

	* [r1283] src/fim_string.cpp, src/fim_string.h: Trimming further
	  dead code from fim::string.

2017-07-07 13:12  dezperado

	* [r1282] src/fim_string.cpp, src/fim_string.h: Removed dead code
	  of old fim::string.

2017-07-07 13:07  dezperado

	* [r1281] src/Browser.cpp: Browser::fcmd_scale won't ignore error
	  codes originating from Image's scaling functions.

2017-07-07 12:45  dezperado

	* [r1280] src/Image.cpp, src/Image.h: Got rid of Image::ms_
	  (trivial to compute).

2017-07-07 12:40  dezperado

	* [r1279] src/Image.cpp, src/Image.h, src/SDLDevice.cpp,
	  src/fim_string.cpp: Comments fix.
	  Now Image::negate,Image::identity,Image::desaturate returning an
	  error code.

2017-07-07 12:04  dezperado

	* [r1278] src/Image.cpp, src/Image.h: Every invocation of
	  do_scale_rotate now propagates error value.

2017-07-07 11:40  dezperado

	* [r1277] src/FbiStuff.cpp: Removed a few useless casts on
	  fim_pm_alloc return.

2017-07-07 11:36  dezperado

	* [r1276] src/FbiStuff.cpp, src/FbiStuff.h,
	  src/FramebufferDevice.cpp, src/Image.cpp: Introduced
	  fbi_img_pixel_count().

2017-07-07 11:10  dezperado

	* [r1275] src/Image.cpp, src/fim_types.h: a new typedef for pixel
	  count quantities; using it for a bunch of image manipulating
	  static functions.

2017-07-07 11:01  dezperado

	* [r1274] src/AADevice.cpp, src/SDLDevice.cpp, src/fim.h:
	  introduced FIM_CNS_KEY_NULL: null key value for fim_key_t.

2017-07-07 10:50  dezperado

	* [r1273] src/Browser.cpp, src/Image.cpp, src/Image.h,
	  src/Viewport.cpp: Cleaning up Image: renamed members (also public
	  ones), deleted obsolete comments.

2017-07-07 09:39  dezperado

	* [r1272] TODO, src/Image.h, src/Viewport.cpp: Added
	  Image::get_ida_image() and made img_ private.

2017-07-07 09:21  dezperado

	* [r1271] src/AADevice.cpp, src/AADevice.h, src/CACADevice.cpp,
	  src/CACADevice.h, src/DisplayDevice.h, src/DummyDisplayDevice.h,
	  src/FramebufferDevice.cpp, src/FramebufferDevice.h,
	  src/Imlib2Device.cpp, src/Imlib2Device.h, src/SDLDevice.cpp,
	  src/SDLDevice.h: All the *display* member functions of the
	  *DisplayDevice* classes now take the ida_image_img pointer
	  argument with the const qualifier.

2017-07-07 08:12  dezperado

	* [r1270] src/Cache.cpp, src/Image.cpp, src/Image.h: Got rid of
	  Image::getClone()

2017-07-06 14:02  dezperado

	* [r1269] src/fim.h: When in C++14 mode, will use small templated
	  functions instead of current FIM_MIN and FIM_MAX preprocessor
	  acros.

2017-07-06 11:56  dezperado

	* [r1268] src/CommandConsole-init.cpp, src/CommandConsole.cpp,
	  src/FbiStuffJpeg.cpp, src/FontServer.cpp, src/Imlib2Device.cpp,
	  src/Makefile.am, src/SDLDevice.cpp, src/Viewport.cpp,
	  src/common.cpp, src/examples.h, src/fim_plugin.cpp,
	  src/grammar.h: Substituting "const fim_char_t *" with "const
	  fim_char_t * const" where appropriate.

2017-06-21 23:21  dezperado

	* [r1267] src/fim_stream.cpp: Small fix for when using fim_stream
	  in an isolated environment (FIM_INDEPENDENT_NAMESPACE).

2017-06-21 23:10  dezperado

	* [r1266] src/Namespace.cpp: revision 1095 changed signature of
	  Namespace's operator<<(std::ostream os, const Namespace& ns) by
	  removing reference to first argument. Fix.

2017-06-17 12:44  dezperado

	* [r1265] doc/FIM.TXT, src/fimgs: Replaced argument to rm: -fRd
	  with -fR in branches 0.3, 0.4, 0.5 and trunk.

2017-06-17 00:17  dezperado

	* [r1258] NEWS, configure.ac: fix for 0.4, 0.5, trunk: configure
	  will use always `sdl-config --static-lib` instead of --libs in
	  non-static-only cases.

2017-06-07 21:37  dezperado

	* [r1255] src/CommandConsole-cmd.cpp, src/fim.h: Functionality to
	  bind all keys to a specific command. For now off by default.

2017-05-29 10:00  dezperado

	* [r1254] src/fim_interpreter.cpp: fix: Inclusion of <cstdarg> was
	  missing from fim_interpreter.cpp --- forgot it in r1120.

2017-04-22 14:22  dezperado

	* [r1253] NEWS, doc/fim.man, doc/fimrc.man, src/Browser.cpp,
	  src/CommandConsole.cpp, src/defaultConfiguration.cpp,
	  src/fim.cpp, src/fim.h, src/fimrc: Command 'pan' accepts '-' and
	  '+' to jump to prev/next file if border is reached.

2017-04-22 13:34  dezperado

	* [r1252] src/Viewport.cpp, src/Viewport.h: Viewport's pan_*
	  functions return 'false' when stuck.

2017-04-22 08:09  dezperado

	* [r1251] doc/fimrc.man, src/fimrc: in a default alias "refresh"
	  for "desc 'reload';redisplay;" and binding "F5".

2017-04-18 21:18  dezperado

	* [r1250] doc/fimrc.man, src/Makefile.am, src/fimrc: The built-in
	  fimrc is slimmer now: fewer lines and no useless semicolons at
	  commands specification's end.

2017-04-18 17:45  dezperado

	* [r1249] doc/fimrc.man, src/Makefile.am, src/fimrc: src/fimrc
	  lines beginning with three pound signs '###' will not go in the
	  documentation.

2017-04-18 17:13  dezperado

	* [r1248] NEWS, doc/fimrc.man, src/fimrc: Will show mouse cursor in
	  full screen (SDL mode).

2017-04-18 13:23  dezperado

	* [r1247] NEWS, src/SDLDevice.cpp: Better positioning of the
	  on-screen mouse control grid.

2017-04-18 09:25  dezperado

	* [r1246] NEWS, src/SDLDevice.cpp, src/SDLDevice.h: Boxed version
	  of fill_rect for better visibility of overlay grid.

2017-04-18 09:11  dezperado

	* [r1245] src/SDLDevice.cpp: Removed reference to
	  SDLDevice::fill_rect() bug in SDLDevice::draw_help_map.

2017-04-18 09:08  dezperado

	* [r1244] src/SDLDevice.cpp: Solved the defect in
	  SDLDevice::fill_rect(..) (x coords were begin and end, not first
	  and last).

2017-04-17 21:58  dezperado

	* [r1243] src/SDLDevice.cpp: Commented a verbose printout.
	  Adjusting a bit use of fill_rect.

2017-04-17 20:55  dezperado

	* [r1242] NEWS, doc/fimrc.man, src/SDLDevice.cpp, src/fim.h,
	  src/fimrc, src/help.cpp: The _want_wm_mouse_ctrl variable is now
	  a string, and its contents will represent the customizable,
	  clickable 3x3 on-screen keys grid.

2017-04-17 20:33  dezperado

	* [r1241] NEWS, doc/fimrc.man, src/SDLDevice.cpp, src/fim.h,
	  src/help.cpp: The "_want_wm_mouse_ctrl=1" option has now three
	  toggle states controlled by the right mouse button. The third
	  one, just introduced, is a gentler version of the 3x3 grid info
	  from the last commits: just eight ticks around the screen.

2017-04-17 20:05  dezperado

	* [r1240] NEWS, src/DisplayDevice.cpp, src/DisplayDevice.h,
	  src/SDLDevice.cpp: Still on the '_want_wm_mouse_ctrl=1': bindings
	  are now saved once in a local string constant.

2017-04-17 19:43  dezperado

	* [r1239] src/SDLDevice.cpp: prefixed the static variable
	  draw_help_map_ with 'fim_'.

2017-04-17 19:32  dezperado

	* [r1238] NEWS, src/SDLDevice.cpp: Changed the key bindings 3x3
	  grid for "_want_wm_mouse_ctrl=1".

2017-04-17 19:05  dezperado

	* [r1237] src/SDLDevice.cpp: Changed binding of middle image mouse
	  area from '=' to 'a' (_want_wm_mouse_ctrl=1 case).

2017-04-17 19:01  dezperado

	* [r1236] NEWS, doc/fimrc.man, src/SDLDevice.cpp, src/fim.h,
	  src/help.cpp: In SDL mode: clicking the middle button will
	  display usage info if _want_wm_mouse_ctrl==1.

2017-04-17 17:40  dezperado

	* [r1235] NEWS, src/SDLDevice.cpp: fix: mouse movement under SDL
	  used to trigger unnecessary screen redraws. (was using
	  redisplay() instead of display()).

2017-04-17 16:47  dezperado

	* [r1234] doc/fimrc.man, src/SDLDevice.cpp, src/SDLDevice.h,
	  src/fim.h, src/help.cpp: If _want_wm_mouse_ctrl==1, middle mouse
	  click will display a help map.

2017-04-17 15:17  dezperado

	* [r1233] NEWS, doc/fimrc.man, src/SDLDevice.cpp, src/fim.h,
	  src/fimrc, src/help.cpp: Variable "_want_wm_mouse_ctrl" will
	  control mouse click/movement behaviour in SDL mode.

2017-04-17 13:13  dezperado

	* [r1232] NEWS, doc/fimrc.man, src/fim.h, src/help.cpp: Updated
	  'experimental' from certain variables doc string.
	  NEWS typo fix.

2017-04-17 13:10  dezperado

	* [r1231] NEWS, doc/fimrc.man, src/Cache.cpp, src/fim.h, src/fimrc,
	  src/help.cpp: Introduced variable _min_cached_images: the minimum
	  number of images to keep from eviction.
	  If less than four can lead to inefficiencies: e.g. when jumping
	  between two images, each time an erase and a prefetch of
	  neighboring images would trigger.
	  Before this change, 'fim a.jpg b.jpg c.jpg -k n -k p -c quit'
	  could be entering in that phase with e.g. three images.

2017-04-17 12:54  dezperado

	* [r1230] NEWS, src/Cache.cpp: fix: lastly used image will be
	  erased at last, after eventually prefetched images.

2017-04-17 12:04  dezperado

	* [r1229] src/FbiStuff.cpp: Fix: moved a misplaced FIM_PR in
	  FbiStuff::read_image().

2017-04-17 11:52  dezperado

	* [r1228] NEWS, doc/fim.man, src/CommandConsole.cpp, src/fim.cpp:
	  Keysym of -k switch can be prefixed by a repetition count number
	  now.

2017-04-17 11:49  dezperado

	* [r1227] src/CommandConsole.cpp: fix: the -k switch used to
	  incorrectly handling digits; impeding this now.

2017-04-17 10:50  dezperado

	* [r1226] NEWS, doc/fimrc.man, src/CommandConsole.cpp: Autocommand
	  "PostInteractiveCommand" does not trigger anymore after "quit"
	  command.

2017-04-16 21:13  dezperado

	* [r1225] README, TODO, debian/control, distros/debian/control,
	  src/Viewport.cpp: Jargon check n correction round: 'frame buffer'
	  -> 'framebuffer' around.
	  TODO file update trim.

2017-04-16 19:11  dezperado

	* [r1224] NEWS, src/FbiStuff.cpp, src/Var.h, src/fim.h,
	  src/fim_stream.cpp: Using raw string literals in a few a bit
	  backslash-intensive strings. Many more shall follow once we break
	  backcompatibility with C++03.
	  A few comments forgotten in a few files during last commits.

2017-04-16 18:31  dezperado

	* [r1223] NEWS, doc/fimrc.man, src/Browser.cpp, src/fim.h,
	  src/fimrc, src/help.cpp: Introduced variable to govern tolerance
	  of 'scrollforward': _scroll_skip_page_fraction.

2017-04-16 18:12  dezperado

	* [r1222] src/Browser.cpp, src/Browser.h,
	  src/CommandConsole-help.cpp, src/CommandConsole-var.cpp,
	  src/CommandConsole.cpp: Uniformization: renamed
	  Browser::c_image() and Browser::image() into
	  Browser::c_getImage() and Browser::getImage().

2017-04-16 17:43  dezperado

	* [r1221] NEWS, src/Var.h, src/common.cpp, src/common.h,
	  src/fim_stream.cpp, src/fim_string.cpp: Wrote a
	  fim_snprintf_fim_int function to confine some -pedantic-errors
	  unfriendly code.
	  NEWS update from last commit.

2017-04-16 17:19  dezperado

	* [r1220] README, configure.ac, src/fimrc: configure doc line typo
	  fix.
	  Alias "unlimit" will reset the limited list.
	  README note about GPG key.

2017-04-16 14:45  dezperado

	* [r1219] NEWS, README, configure.ac: NEWS file: reordering by
	  importance the improvements for upcoming 0.6.
	  Removed section 8.2 of the README.
	  A note in the configure.

2017-04-16 13:09  dezperado

	* [r1218] doc/fim.man, src/fim.cpp: Mentioned the image format
	  detection mechanism in man page preamble (with reference to
	  _file_loader).
	  Apostrophes in -A switch documentation line.

2017-04-16 12:53  dezperado

	* [r1217] NEWS, doc/fim.man, src/fim.cpp, src/fim.h: -r
	  {width:height} / --resolution {width:height} will behave as
	  expected in SDL mode.

2017-04-16 12:17  dezperado

	* [r1216] doc/fim.man, src/fim.cpp: -A/--autotop help fix.

2017-04-16 12:04  dezperado

	* [r1215] NEWS, doc/fimrc.man, src/FbiStuff.cpp, src/fim.h,
	  src/fimrc, src/help.cpp: if variable _downscale_huge_at_load is 1
	  (default now), will downscale automatically huge images at load
	  time.

2017-04-16 09:10  dezperado

	* [r1214] doc/fim.man, src/fim.cpp: Mentioned that
	  -k/--keysym-press press can be repeated.

2017-04-15 22:31  dezperado

	* [r1213] NEWS, doc/fimrc.man, src/CommandConsole.cpp: A few
	  corrections to CommandConsole::fcmd_font. Rebuilt man fimrc.

2017-04-15 21:49  dezperado

	* [r1212] src/CommandConsole.cpp: r1210 had broken C++98 build:
	  fix.

2017-04-15 21:42  dezperado

	* [r1211] NEWS, doc/fimrc.man, src/fimrc: Changed a bit definitions
	  of font_magnify and font_reduce: these will switch manual font
	  size control (more immediate feel).

2017-04-15 21:29  dezperado

	* [r1210] NEWS, doc/fimrc.man, src/CommandConsole.cpp,
	  src/FontServer.cpp, src/FontServer.h, src/fim.h, src/fimrc: new
	  experimental command 'font' to control displayed font and scan
	  font directories.

2017-04-15 20:05  dezperado

	* [r1209] src/CommandConsole.cpp, src/CommandConsole.h,
	  src/FontServer.cpp, src/fim.h: Added an experimental "font"
	  command (not active at the moment) to scan directories and load
	  entire lists of fonts, then cycle through them.

2017-04-15 14:03  dezperado

	* [r1208] NEWS, src/FramebufferDevice.h: In trunk and branches 0.3,
	  0.4, 0.5:
	  bugfix: on certain framebuffer configurations part of the screen
	  would not be redrawn.
	  Usage of FB_MEM_LINE_OFFSET was incorrect: now using
	  fb_fix_.line_length (now in FB_MEM_LINE_LENGTH).
	  This encompasses the eventual mismatch and makes clear_line()
	  invocations in FramebufferDevice::svga_display_image_new ()
	  appear in the correct position.

2017-04-14 22:39  dezperado

	* [r1207] NEWS: In last commit forgot to update NEWS. Doing this
	  now.

2017-04-14 22:23  dezperado

	* [r1206] NEWS, configure.ac, src/FbiStuff.cpp: configure
	  --with-tmpfile will specify a new temporary directory. Using
	  tempnam() instead.

2017-04-14 21:35  dezperado

	* [r1205] NEWS, src/fim.h, src/help.cpp: FIM_VID_FILE_BUFFERED_FROM
	  contained a trailing dot from r1202.

2017-04-14 21:05  dezperado

	* [r1204] NEWS, src/FbiStuff.cpp: In 0.3, 0.4, 0.5, and trunk,
	  bugfix: conversion from external program was vulnerable to
	  failure due to missing check.
	  (fim_execlp used to return without waitpid())

2017-04-14 17:32  dezperado

	* [r1203] src/FbiStuff.cpp: whoops: variable tpfn was being
	  declared under the wrong preprocessor conditional.

2017-04-14 17:29  dezperado

	* [r1202] NEWS, doc/fimrc.man, src/FbiStuff.cpp, src/fim.h,
	  src/help.cpp: if an image has been decoded from a temporary file,
	  its name is in i:_buffered_in_tmpfile.

2017-04-14 16:45  dezperado

	* [r1201] src/FbiStuff.cpp: Wrote a fim_tempnam() function, will
	  have to phase out hardcoded temporary file names eventually.

2017-04-14 16:22  dezperado

	* [r1200] NEWS, src/FbiStuff.cpp: will consider magic number "<svg"
	  enough to classify a file as SVG.
	  load SVG by invoking inkscape <file.svg> --without-gui
	  --export-png <temp.png>.

2017-04-14 15:04  dezperado

	* [r1199] NEWS, doc/fimrc.man, src/fimrc: Introduced "font_reduce"
	  and "font_magnify" aliases and bound to '[' ']' keys.
	  Introduced "toggle_font_auto_scale" alias and bound to '|' key.

2017-04-14 13:09  dezperado

	* [r1198] NEWS, doc/fimrc.man, src/CommandConsole.cpp,
	  src/DisplayDevice.cpp, src/DisplayDevice.h, src/fim.h,
	  src/help.cpp: If _fbfont_as_screen_fraction>0, font will be
	  scaled to exceed 1/_fbfont_as_screen_fraction of both width and
	  height.
	  If _fbfont_as_screen_fraction<0, font scaling will be fixed.

2017-04-14 11:41  dezperado

	* [r1197] NEWS, src/Browser.cpp, src/Viewport.cpp, src/Viewport.h:
	  Introduced a tolerance to make onBottom() onRight() onLeft()
	  onTop() trigger earlier.
	  If scrollable border less than 1/16 of screen, 'scrollforward'
	  will skip it.

2017-04-14 11:10  dezperado

	* [r1196] NEWS, doc/fimgs.man, doc/fimrc.man, src/fimgs: In case of
	  CBZ,CBR,PDF,PS,DVI file, fimgs will use '--autotop --autowidth'.

2017-04-14 10:43  dezperado

	* [r1195] NEWS, src/fimgs: fimgs script will probe for
	  unrar-nonfree/rar/unrar-free (in this order).

2017-04-14 10:29  dezperado

	* [r1194] src/AADevice.cpp, src/AADevice.h, src/CACADevice.cpp,
	  src/CACADevice.h, src/DisplayDevice.cpp, src/DisplayDevice.h,
	  src/DummyDisplayDevice.h, src/FramebufferDevice.cpp,
	  src/FramebufferDevice.h, src/Imlib2Device.cpp,
	  src/Imlib2Device.h, src/SDLDevice.cpp, src/SDLDevice.h:
	  DisplayDevice::get_chars_per_line() and
	  DisplayDevice::get_chars_per_column() now return fim_coo_t.
	  And so in AADevice, CACADevice, DummyDisplayDevice,
	  FramebufferDevice, Imlib2Device, SDLDevice.

2017-04-14 10:20  dezperado

	* [r1193] src/AADevice.h, src/CACADevice.h, src/DisplayDevice.h,
	  src/DummyDisplayDevice.h, src/FramebufferDevice.h,
	  src/Imlib2Device.cpp, src/Imlib2Device.h, src/SDLDevice.h:
	  DisplayDevice::get_bpp() is now const. And so for AADevice,
	  CACADevice, DummyDisplayDevice, FramebufferDevice, Imlib2Device,
	  SDLDevice.

2017-04-14 10:17  dezperado

	* [r1192] src/AADevice.cpp, src/AADevice.h, src/CACADevice.cpp,
	  src/CACADevice.h, src/DisplayDevice.h, src/DummyDisplayDevice.h,
	  src/FramebufferDevice.cpp, src/FramebufferDevice.h,
	  src/Imlib2Device.cpp, src/Imlib2Device.h, src/SDLDevice.cpp,
	  src/SDLDevice.h: DisplayDevice::get_chars_per_line() and
	  DisplayDevice::get_chars_per_column() are now const. And so for
	  AADevice, CACADevice, DummyDisplayDevice, FramebufferDevice,
	  Imlib2Device, SDLDevice.

2017-04-14 10:10  dezperado

	* [r1191] src/AADevice.cpp, src/AADevice.h, src/CACADevice.cpp,
	  src/CACADevice.h, src/Imlib2Device.h, src/SDLDevice.h:
	  txt_height() and txt_width() are now const in AADevice,
	  CACADevice, Imlib2Device, SDLDevice.

2017-04-14 09:57  dezperado

	* [r1190] src/AADevice.cpp, src/AADevice.h, src/CACADevice.cpp,
	  src/CACADevice.h, src/DisplayDevice.h, src/DummyDisplayDevice.h,
	  src/FramebufferDevice.h, src/Imlib2Device.cpp,
	  src/Imlib2Device.h, src/SDLDevice.cpp, src/SDLDevice.h:
	  DisplayDevice::height() and DisplayDevice::width() are now const.
	  And so for AADevice, CACADevice, DummyDisplayDevice,
	  FramebufferDevice, Imlib2Device, SDLDevice.

2017-04-14 09:26  dezperado

	* [r1189] src/CommandConsole.cpp, src/CommandConsole.h: Moved code
	  into new CommandConsole::update_font_size().

2017-04-14 08:46  dezperado

	* [r1188] configure.ac, doc/fimrc.man, src/fim.h: Added
	  --enable-c++17 and FIM_USE_CXX17 (assuming (__cplusplus> 201707L)
	  to suffice).

2017-04-14 08:21  dezperado

	* [r1187] NEWS, configure.ac: New default is configure
	  --font-magnifying-factor=0

2017-04-13 18:35  dezperado

	* [r1186] src/AADevice.cpp, src/FbiStuffDjvu.cpp,
	  src/SDLDevice.cpp, src/Viewport.cpp: The newly introduced
	  FIM_INT_SCALE_FRAC macro was not being used correctly in a few
	  cases; fixing with a static_cast.

2017-04-12 07:50  dezperado

	* [r1185] src/AADevice.cpp, src/Browser.cpp, src/FbiStuff.cpp,
	  src/FbiStuffDjvu.cpp, src/Image.cpp, src/Viewport.cpp, src/fim.h:
	  Introduced the FIM_INT_SCALE_FRAC macro for the division involing
	  integer to floating-point conversion for scaling purposes.

2017-04-10 12:16  dezperado

	* [r1184] NEWS, src/FbiStuff.cpp, src/fim.h: Will resize huge
	  images not to exceed too much screen size.

2017-04-09 21:14  dezperado

	* [r1183] src/Cache.h: avoiding a premature return in
	  PACA::asyncPrefetch().

2017-04-09 20:52  dezperado

	* [r1182] src/Browser.cpp, src/Viewport.cpp, src/fim.h: deleted
	  Viewport::setState and Viewport::getState in favour of of
	  ViewportState::store and ViewportState::restore, inherited by
	  Viewport.

2017-04-09 14:11  dezperado

	* [r1181] NEWS, src/FbiStuffGif.cpp: In branches 0.4 0.5 and trunk:
	  fix: gif error handling could have led to NULL pointer usage.

2017-04-09 14:05  dezperado

	* [r1180] src/CommandConsole-cmd.cpp, src/FbiStuffDjvu.cpp,
	  src/SDLDevice.cpp, src/b2ba.c, src/fim.cpp: Getting rid of a few
	  unused variables and including an unincluded header.

2017-04-09 13:44  dezperado

	* [r1179] src/Browser.cpp: Small fix: avoiding an ambiguity in a
	  conditional for FIM_WANT_VAR_GOTO.

2017-04-09 13:39  dezperado

	* [r1178] src/Image.cpp: In branches 0.5 and trunk, abandoned %a
	  sscanf code in favour of %m, avoiding ambiguity and warnings.

2017-04-09 12:42  dezperado

	* [r1177] src/Image.cpp, src/Image.h: In branches 0.4 0.5 and trunk
	  got rid of unused Image::scale_increment.
	  In branches 0.5 and trunk Image::setscale Image::scale_multiply
	  scaling now only when supplied argument has a meaningful value.

2017-04-09 12:13  dezperado

	* [r1176] src/Browser.cpp: In Browser::goto_image_internal,
	  avoiding using a negative index in FIM_WANT_VAR_GOTO handling.

2017-04-09 11:37  dezperado

	* [r1175] src/FbiStuffLoader.h: Fix: last commit (1174) deleted
	  accidentally a comment slash, breaking build.

2017-04-09 11:01  dezperado

	* [r1174] src/FbiStuff.cpp, src/FbiStuffJpeg.cpp,
	  src/FbiStuffLoader.h, src/Image.cpp, src/fim.h: Typo fix in 0.5
	  and trunk: s/EXPERIMEMTAL/EXPERIMENTAL/g

2017-04-09 10:51  dezperado

	* [r1173] src/Browser.cpp, src/Browser.h, src/Cache.cpp,
	  src/FbiStuff.cpp, src/Image.cpp, src/common.cpp: Suppressing some
	  -Wall warnings by adjusting a few conversions, parentheses,
	  initializations.

2017-04-09 09:21  dezperado

	* [r1172] configure.ac: In branch 0.5 and trunk corrected a wrong
	  configure message about missing libjasper.

2017-04-09 09:17  dezperado

	* [r1171] src/CommandConsole-var.cpp, src/Viewport.cpp, src/fim.h:
	  Deactivate FIM_IMG_NAKED_PTRS on C++11 or more.

2017-04-09 08:25  dezperado

	* [r1170] src/Browser.cpp, src/Browser.h, src/Cache.cpp,
	  src/Cache.h, src/CommandConsole-var.cpp, src/FimWindow.cpp,
	  src/FimWindow.h, src/Viewport.cpp, src/Viewport.h: Moved
	  dummy_img_ out of Cache, into fim::fim_dummy_img.
	  Had to change a few definitions along the way..

2017-04-08 17:08  dezperado

	* [r1169] src/Viewport.cpp, src/Viewport.h: A few new functions for
	  Viewport from existing snippets.

2017-04-08 12:47  dezperado

	* [r1168] configure.ac, src/Browser.cpp, src/Cache.cpp,
	  src/Viewport.cpp: Got rid of the FIM_BUGGED_CACHE flag.
	  Fixed a bug introduced in 1166 (insufficient deletion of cached
	  data (pointers were not deleted)).

2017-04-08 09:46  dezperado

	* [r1167] src/CommandConsole-var.cpp: Avoiding a few dirty casts in
	  CommandConsole's variable managing code.

2017-04-08 08:33  dezperado

	* [r1166] src/Cache.cpp, src/Cache.h: Got rid of Cache::is_in_cache
	  and Cache::free_all.

2017-04-08 08:04  dezperado

	* [r1165] src/Cache.cpp, src/Cache.h: in Cache: lru_t now maps
	  cache_key_y (not ImagePtr) to fim_time_t.

2017-04-07 20:52  dezperado

	* [r1164] src/Browser.cpp, src/CommandConsole.cpp, src/fim.h,
	  src/help-acm.cpp: Introduced
	  FIM_AUTOCMD_EXEC_PRE/FIM_AUTOCMD_EXEC_POST to compact the code a
	  bit..

2017-04-07 17:26  dezperado

	* [r1163] src/Browser.cpp, src/CommandConsole-cmd.cpp,
	  src/CommandConsole-var.cpp, src/CommandConsole.cpp,
	  src/FbiStuff.cpp, src/FbiStuffXyz.cpp, src/Image.cpp,
	  src/SDLDevice.cpp, src/fim.cpp, src/fim_interpreter.cpp,
	  src/fim_string.cpp: Tidying up the code further in several places
	  through the use of declarations in conditions.

2017-04-07 13:25  dezperado

	* [r1162] src/Cache.cpp: double fix: in Cache, was returning value
	  -1 where false had to.

2017-04-07 13:09  dezperado

	* [r1161] src/Browser.cpp, src/Browser.h, src/Cache.cpp,
	  src/Cache.h, src/FimWindow.h: Cleaning the Cache class code a
	  bit.
	  Introducing use of FIM_NULL further.

2017-04-07 07:29  dezperado

	* [r1160] src/Browser.cpp, src/Browser.h, src/Cache.cpp,
	  src/CommandConsole-cmd.cpp, src/CommandConsole-var.cpp,
	  src/Image.cpp, src/Image.h, src/Viewport.cpp, src/fim.h: Slowly
	  phasing out of naked pointers for Image (introduced
	  FIM_IMG_NAKED_PTRS).

2017-04-06 18:31  dezperado

	* [r1159] src/Browser.cpp, src/Browser.h, src/Cache.cpp,
	  src/Cache.h, src/CommandConsole-cmd.cpp,
	  src/CommandConsole-var.cpp, src/FbiStuffMagick.cpp,
	  src/FimWindow.cpp, src/FimWindow.h, src/Image.cpp, src/Image.h,
	  src/Viewport.cpp, src/Viewport.h, src/fim_plugin.cpp: Substituted
	  almost every 'Image*' with a typedef/alias 'ImagePtr'.

2017-04-06 14:49  dezperado

	* [r1158] src/Browser.cpp, src/Browser.h, src/Cache.cpp,
	  src/Cache.h, src/FbiStuffMagick.cpp, src/FimWindow.cpp,
	  src/FimWindow.h, src/Image.cpp, src/Image.h, src/Viewport.h:
	  Image *\* -> Image*

2017-04-05 15:31  dezperado

	* [r1157] src/Browser.cpp, src/Browser.h,
	  src/CommandConsole-cmd.cpp: In C++11, use std::unique_ptr<Image>
	  as Browser::default_image_.

2017-04-01 16:40  dezperado

	* [r1156] NEWS, doc/fimrc.man, src/Browser.cpp, src/FbiStuff.cpp,
	  src/Image.cpp, src/Image.h, src/fim.h: scale '<'/scale '>' will
	  shrink/magnify the image using cached mipmaps.

2017-04-01 16:31  dezperado

	* [r1155] NEWS, src/FbiStuff.cpp: fix: the largest mipmap was not
	  always being used. (trunk and 0.5-rc3)

2017-04-01 10:17  dezperado

	* [r1154] NEWS, doc/fimgs.man, src/fimgs: fimgs script will probe
	  for unrar-free/rar/unrar-nonfree.
	  fimgs man page updated.

2017-04-01 09:13  dezperado

	* [r1153] TODO, doc/fimgs.man, src/Image.cpp, src/fimgs: fimgs will
	  probe /dev/shm for temporary files.
	  changed a %k expando specifier comment.

2017-04-01 08:22  dezperado

	* [r1152] TODO, src/Image.cpp, src/Image.h: Cleaned
	  Image::getInfoCustom a bit.

2017-04-01 07:49  dezperado

	* [r1151] TODO, src/Image.cpp, src/Image.h: Moved inner ugly
	  rotation code into a separate Image member function.

2017-04-01 07:29  dezperado

	* [r1150] configure.ac, src/Image.cpp, src/Image.h: Mutated an ugly
	  block of code into Image::fetchExifToolInfo().

2017-03-11 23:35  dezperado

	* [r1149] NEWS, doc/fimrc.man, src/Viewport.cpp, src/fim.h,
	  src/help.cpp: Added a '_caption_over_image_fmt' variable to
	  customize overlay string contents.

2017-03-11 22:34  dezperado

	* [r1148] NEWS, doc/fimrc.man, src/Browser.cpp, src/fim.h: The
	  `goto {+|-}identifier[+]' syntax now accepts a trailing `+' to
	  signify nonempty value requirement.

2017-03-11 18:53  dezperado

	* [r1147] NEWS, doc/fim.man, doc/fimrc.man, src/Browser.cpp,
	  src/fim.h: Added a `goto [+|-]identifier' syntax to jump to next
	  file having a different value of i:identifier.
	  In rebuilding man fimrc, the if/else update propagated in the man
	  file.

2017-03-11 11:23  dezperado

	* [r1146] Makefile.am: Makefile update with two rules: devhelp
	  (developer help) and uptrunk (upload trunk tarball).

2017-03-11 10:25  dezperado

	* [r1145] NEWS, configure.ac: In Savannah bug #47588
	  (https://savannah.nongnu.org/bugs/?47588, credits to "Paul") it
	  was pointed out that configure script was misleadingly
	  complaining about missing readline, when really curses/ncurses
	  was missing. Fixing this by putting detection of curses/ncurses
	  elsewhere and giving a less misleading message.

2017-03-10 20:51  dezperado

	* [r1144] NEWS, src/Makefile.am, src/lex.lex: Feedback (savannah
	  bug #47728) suggests that -fl is not necessary here (where option
	  noyywrap is being activated).
	  Checked also in flex-2.6 manual.
	  Thanks go to stasheck dot fora at gmail com.
	  Removing LEXLIB from fim_LDADD in trunk and branch 0.5.

2017-03-10 18:52  dezperado

	* [r1143] NEWS, src/FbiStuffPpm.cpp: fix: support for PPM files
	  with 2 bytes per sample.
	  (thanks to Zythyr for noticing the problem)

2017-03-06 23:48  dezperado

	* [r1142] src/fim_interpreter.cpp: Using C++11's "emplace_back" in
	  one situation where it could speed up the code a tiny little bit.

2017-03-06 23:19  dezperado

	* [r1141] src/fim_wrappers.h: fim_malloc & similar wrappers to the
	  <stdlib.h> header will now use std:: prefixed version
	  (std::malloc).

2017-03-06 23:08  dezperado

	* [r1140] src/FbiStuff.cpp, src/FbiStuff.h, src/FbiStuffBit1.cpp,
	  src/FbiStuffBit24.cpp, src/FbiStuffBmp.cpp,
	  src/FbiStuffFbtools.cpp, src/FbiStuffGif.cpp,
	  src/FbiStuffJasPer.cpp, src/FbiStuffLoader.cpp,
	  src/FbiStuffPcx.cpp, src/FbiStuffPng.cpp, src/FbiStuffPpm.cpp,
	  src/FbiStuffText.cpp, src/FbiStuffTiff.cpp,
	  src/FbiStuffUFRaw.cpp, src/FbiStuffXyz.cpp, src/FontServer.h,
	  src/common.cpp, src/fim.h, src/fim_plugin.cpp: #include
	  <stdlib.h> -> #include <cstdlib>

2017-03-05 01:22  dezperado

	* [r1139] src/Browser.cpp, src/fim.h: in a
	  FIM_WANT_PROGRESS_RECURSIVE_LOADING option (inactive) and future
	  code to print a line when loading recursively directories in
	  background (for future use).

2017-03-03 21:31  dezperado

	* [r1138] src/CommandConsole.cpp, src/Image.h, src/fimrc: Comments
	  to console_scroll_down and console_scroll_up in the fimrc.
	  Compacted a few iterator invocations in the Commandconsole.
	  Using C++11 iterators cbegin()/cend() and auto.

2017-02-05 14:26  dezperado

	* [r1137] src/Browser.h: copy_from_bitset is now const and in C++11
	  mode uses cbegin()/cend() as well as emplace_back().

2016-12-06 16:09  dezperado

	* [r1136] NEWS, doc/fimrc.man, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole.cpp: limit '-set_union' will merge current
	  limited list with the new one.
	  doc fixes and moved some list managing code into flist_t
	  implementation.

2016-12-05 22:24  dezperado

	* [r1135] NEWS, doc/fimrc.man, src/Browser.cpp,
	  src/CommandConsole.cpp: limit '-merge' will merge current limited
	  list with the new one.

2016-12-04 23:29  dezperado

	* [r1134] NEWS, src/Browser.h, src/CommandConsole-cmd.cpp,
	  src/fim.h: brought "desc 'reload'" also to non-C++11 builds.

2016-12-04 17:16  dezperado

	* [r1133] NEWS, doc/fim.man, doc/fimrc.man, src/Browser.h,
	  src/CommandConsole-cmd.cpp, src/fim.cpp, src/fim.h: desc 'reload'
	  loads once again description files specified at the command line
	  with --load-image-descriptions-file (TODO: c++11 only for now).

2016-12-02 16:20  dezperado

	* [r1132] doc/fim.man, doc/fimrc.man, src/fim.h, src/help.cpp: In
	  trunk and 0.5: fixed doc string of _info_fmt_str w.r.t. the
	  EXIF_DateTimeOriginal example.

2016-11-27 20:46  dezperado

	* [r1131] NEWS, src/Browser.cpp, src/Browser.h, src/Image.h,
	  src/fim.cpp: Won't check for duplicates on command line specified
	  files unless sorting is requested.

2016-11-27 20:09  dezperado

	* [r1130] NEWS, src/Browser.cpp, src/Browser.h, src/fim.cpp: Won't
	  check for duplicates on command line specified files.

2016-11-27 18:45  dezperado

	* [r1129] doc/fimrc.man, src/CommandConsole.cpp, src/Image.h: Typo
	  fix in `limit' documentation.
	  A few indentation steps + placeholder code in descriptions
	  reading code.

2016-11-27 18:31  dezperado

	* [r1128] NEWS, src/Browser.h: `limit' optimization from r1127: was
	  broken for non-C++11; fix.

2016-11-27 18:28  dezperado

	* [r1127] NEWS, src/Browser.cpp, src/Browser.h: Optimization: using
	  the new flist_t::copy_from_bitset to speed up `limit'.

2016-11-27 16:50  dezperado

	* [r1126] Makefile.am, NEWS: Added a stand-alone `make ltests' goal
	  to test fim' language only.

2016-11-27 16:38  dezperado

	* [r1125] src/CommandConsole-cmd.cpp, src/CommandConsole-var.cpp:
	  Fix to incorrect using of at(), without previous lenght check.
	  Used to break `make tests'

2016-11-27 12:42  dezperado

	* [r1124] NEWS, configure.ac: Fix to configure script regex_t
	  check: was unnecessarily broken (both 0.5 and trunk).

2016-11-03 07:32  dezperado

	* [r1123] src/b2ba.c: This commit applies to 0.5-rc3 and trunk the
	  patch
	  https://anonscm.debian.org/git/collab-maint/fim.git/commit/?id=1a203628a9435209d21e067a651f2fbe3e4a9586
	  from Rafael Laboissiere, which has description
	  "Description: Make the code robust to the system's endianness
	  The code in src/b2ba.c was producing different results according
	  to the system being little or big-endian. Indeed, the variable
	  "byte" used for storing the value obtained by the read function
	  must be exactly one-byte long, otherwise the printf command will
	  output a "wrong" representation of the value in big-endian system
	  (for instance "0x36000000" instead iof "0x36"). This wrong
	  representation yielded compilation errors with g++ v6 in
	  big-endian sytems when file + default_font_byte_array.h was
	  included in FontServer.cpp."
	  and solves Debian Bug#841471.

2016-11-02 21:17  dezperado

	* [r1122] src/Makefile.am: This commit applies to 0.5-rc3 and trunk
	  the patch
	  https://anonscm.debian.org/git/collab-maint/fim.git/commit/?id=9601783e07e8a8fe51402b255b300edb702e8dbb
	  from Rafael Laboissiere, which has description
	  "In src/Makefile.am, the rule for building yacc.tab.cpp contains
	  also the target file yacc.tab.hpp. In cases where make is
	  parellelized (for instance, by calling "make -j4"), this rule may
	  cause nasty problems because it may be called twice, one with "-o
	  yacc.tab.cpp" and the other with "-o yacc.tab.hpp", which yields
	  a corrupt yacc.tab.hpp file. (See, for instance, this build log
	  on armel:
	  https://buildd.debian.org/status/fetch.php?pkg=fim&arch=armel&ver=0.5~rc2-2&stamp=1477910045).
	  This patch makes yacc.tab.hpp a dependency of yacc.tab.cc, which
	  seems to fix the problem."
	  and fixes Debian Bug#842751.

2016-10-10 13:22  dezperado

	* [r1121] THANKS: Typo fix (e->a): Thanks go to Martin Klaiber for
	  having made this emerge, as well as pointed out -P problems and
	  framebuffer mode flickering.

2016-10-10 13:11  dezperado

	* [r1120] THANKS, src/FbiStuff.cpp: Including the <cstdarg> header
	  for va_list, va_arg, va_start, va_end, which was missing!
	  Thanks go to Martin Kleiber for having made this emerge, as well
	  as pointed out -P problems and framebuffer mode flickering.

2016-10-10 13:09  dezperado

	* [r1119] src/FramebufferDevice.cpp: Deactivating a clear_rect()
	  which might have fixed a few cases where a clear screen seems
	  missing, but also introduced flickering --- this has to be fixed
	  differently than enabling this as done in r882.

2016-10-08 15:19  dezperado

	* [r1118] src/Cache.cpp, src/CommandConsole-cmd.cpp,
	  src/CommandConsole-var.cpp: Adapted to compile with
	  -pedantic-errors under Debian's g++ 4.7.2-5.

2016-10-08 14:32  dezperado

	* [r1117] src/CommandConsole-cmd.cpp, src/CommandConsole.cpp: Two
	  changes to build under -std=c++11 -pedantic-errors in gcc-5.4.0.

2016-10-08 14:19  dezperado

	* [r1116] doc/fim.man, doc/fimrc.man, src/fim.h, src/help.cpp:
	  Update to _filelistlen documentation.

2016-10-08 12:48  dezperado

	* [r1115] Makefile.am, media/numbers, media/numbers/0.gif,
	  media/numbers/1.gif, media/numbers/2.gif, media/numbers/3.gif,
	  media/numbers/4.gif, media/numbers/5.gif, media/numbers/6.gif,
	  media/numbers/7.gif, media/numbers/8.gif, media/numbers/9.gif,
	  src/testdir/Makefile, src/testdir/test17.in,
	  src/testdir/test17.ok: Added in a list/limit commands test case
	  (test17).
	  Added also 10 gif files in media/numbers/ (0.gif to 9.gif) to
	  serve test17.
	  Adjusted the root Makefile to include in the dist also
	  media/multipage.

2016-10-08 12:37  dezperado

	* [r1114] src/Browser.cpp, src/Browser.h: flist_t::erase_at_bitset
	  was buggy in CXX11 mode: fix.

2016-09-30 23:55  dezperado

	* [r1113] NEWS, doc/fim.man, doc/fimrc.man, src/Image.cpp,
	  src/SDLDevice.cpp, src/Viewport.cpp, src/fim.cpp: Fix to the
	  -P/--text-reading switch (seems to be broken in version 0.5).

2016-09-30 21:22  dezperado

	* [r1112] NEWS, doc/fimrc.man, src/Browser.cpp,
	  src/CommandConsole.cpp, src/FbiStuff.cpp, src/FbiStuff.h,
	  src/Image.cpp, src/Image.h, src/fim.h, src/grammar.h: "color
	  'identity'": populate the image with 'RGB identity' pixels.

2016-09-30 16:17  dezperado

	* [r1111] NEWS, doc/fimrc.man, src/Browser.cpp,
	  src/CommandConsole.cpp, src/Image.cpp, src/Image.h, src/fimrc,
	  src/grammar.h: Now "color CVS" (CVS among 'protanopia',
	  'deuteranopia', 'tritanopia', 'p', 'd', 't') simulates a color
	  vision deficiency.
	  Adding 'daltonize' applies a tentative color correction.
	  "color 'colorblind'" is short for "color 'deuteranopia'" (bound
	  to key '[').
	  Key ']' bound to "color 'colorblind' 'daltonize'".
	  Introduced a pixel intensity floating point type alias
	  (fim_pif_t).

2016-09-30 15:32  dezperado

	* [r1110] NEWS, doc/fimrc.man, src/Image.cpp: In the few past
	  commits, forgot to update man page; also fixed an incorrectness
	  in L,M,S computing in fim_simulate_cvd().

2016-09-30 08:00  dezperado

	* [r1109] NEWS, src/Image.cpp: Roundoff filtering in the colorblind
	  filter.

2016-09-30 07:39  dezperado

	* [r1108] NEWS, doc/fimrc.man, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole.cpp, src/Image.cpp, src/fim.h, src/fimrc:
	  Removed commands 'negate' and 'desaturate'; use new command
	  "color": "color 'negate'" and "color 'desaturate'".
	  "color 'colorblind'" will simulate a Color Vision Deficiency.
	  Bound to key 'J'.

2016-09-29 23:41  dezperado

	* [r1107] NEWS, src/Image.cpp, src/Image.h: Initiated code for
	  simulating Color Vision Deficiency (using resources from
	  http://www.daltonize.org).

2016-09-22 21:19  dezperado

	* [r1106] src/AADevice.h, src/FramebufferDevice.h, src/SDLDevice.h,
	  src/fim.h: Declaring the overriding member functions of
	  DisplayDevice as override.

2016-09-21 00:24  dezperado

	* [r1105] NEWS, src/AADevice.cpp, src/Cache.cpp, src/Cache.h,
	  src/CommandConsole-cmd.cpp, src/CommandConsole-init.cpp,
	  src/CommandConsole.cpp, src/DisplayDevice.cpp,
	  src/FbiStuffJasPer.cpp, src/FimWindow.cpp, src/FontServer.cpp,
	  src/SDLDevice.cpp, src/common.cpp, src/fim.cpp, src/fim.h,
	  src/fim_plugin.cpp, src/fim_string.cpp: If using C++11, will mark
	  a number of "const" variables as "constexpr" instead (via
	  FIM_CONSTEXPR).
	  Changed DisplayDevice::get_bresults_string and
	  DisplayDevice::quickbench a bit (twice the redraws now).
	  NEWS file correction.

2016-09-20 21:58  dezperado

	* [r1104] NEWS, src/fim.cpp, src/fim.h: Language standard level
	  (and a few features) will be enabled and set from the value of
	  the predefined __cplusplus macro.

2016-09-20 21:36  dezperado

	* [r1103] src/FramebufferDevice.cpp, src/FramebufferDevice.h,
	  src/SDLDevice.cpp, src/SDLDevice.h, src/fim.h: If using C++11,
	  will mark a number of functions (not all the relevant ones, so
	  far) as "noexcept".

2016-09-19 21:08  dezperado

	* [r1102] src/Var.h: Whoops: in the previous commit forgot to call
	  std::string's shrink_to_fit on c++11 only ! fix.

2016-09-19 21:05  dezperado

	* [r1101] src/Image.h, src/Namespace.h, src/Var.h: It seems like
	  one can gain back around 10% of memory from strings between
	  capacity() and size() via the use of shrink_to_fit() (C++11
	  only).

2016-09-19 19:56  dezperado

	* [r1100] src/AADevice.cpp, src/AADevice.h, src/Arg.h,
	  src/Browser.cpp, src/Browser.h, src/CACADevice.h, src/Cache.h,
	  src/CommandConsole-cmd.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/DebugConsole.cpp, src/DebugConsole.h,
	  src/DisplayDevice.cpp, src/DisplayDevice.h,
	  src/DummyDisplayDevice.h, src/FimWindow.cpp, src/FimWindow.h,
	  src/FramebufferDevice.cpp, src/FramebufferDevice.h,
	  src/Image.cpp, src/Image.h, src/Imlib2Device.cpp,
	  src/Imlib2Device.h, src/Namespace.h, src/SDLDevice.cpp,
	  src/SDLDevice.h, src/Var.cpp, src/Var.h, src/Viewport.cpp,
	  src/Viewport.h, src/common.cpp, src/common.h, src/fim.cpp,
	  src/fim.h, src/fim_interpreter.cpp, src/fim_string.cpp,
	  src/fim_string.h: Enforcing the reference '&' just right of the
	  type (no spaces inbetween), and one space before the identifier.
	  for w in nodeType string MiniConsole key_type FimWindow port
	  stream Var MiniConsole CommandConsole Image fim_fn_t fid_t Cache
	  Arg args_t fim_bitset_t Browser ; do
	  sed -i s/$w' & */'$w'\& /g' src/*cpp src/*.h
	  done
	  sed -i 's/-20.. Miche/-2016 Miche/g' `svn diff | grep Index | cut
	  -d \ -f 2 `

2016-09-19 17:17  dezperado

	* [r1099] src/Browser.cpp, src/Browser.h, src/Cache.cpp,
	  src/CommandConsole-cmd.cpp, src/CommandConsole-init.cpp,
	  src/CommandConsole.cpp, src/Image.cpp, src/fim.cpp,
	  src/fim_string.cpp: Improving the style of a few expressions,
	  saving a few ctor's, nothing relevant.

2016-09-19 00:19  dezperado

	* [r1098] src/Browser.cpp, src/Browser.h,
	  src/CommandConsole-cmd.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/FimWindow.cpp, src/FimWindow.h,
	  src/fim.h: Introduced typedef / type alias fim_cxr for
	  fim::string in return arguments from fcmd_* member functions (not
	  their internals y
	  et so far).
	  The variable limiting message is now more informative.

2016-09-18 23:06  dezperado

	* [r1097] NEWS, src/fim.cpp: If compiled without --enable-c++11, -B
	  / --background-recursive will behave as -R.

2016-09-18 22:51  dezperado

	* [r1096] doc/fim.man, src/Command.h, src/CommandConsole.cpp,
	  src/CommandConsole.h: sed -i 's/fim_cls_id/fim_cls/g' src/*.h
	  src/*.cpp

2016-09-18 22:49  dezperado

	* [r1095] src/Browser.cpp, src/Browser.h, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/Image.cpp, src/Image.h,
	  src/Namespace.cpp, src/Namespace.h, src/fim.h: Widening the use
	  of the fim_fn_t typedef / type alias.

2016-09-18 21:58  dezperado

	* [r1094] src/Command.h, src/CommandConsole-init.cpp,
	  src/CommandConsole.cpp, src/CommandConsole.h, src/FimWindow.cpp,
	  src/Namespace.cpp, src/Namespace.h: Introduced two typedefs /
	  aliases for fim::string: fim_cmd_id (command id) and fim_cls_id
	  (command line statement). Began their diffusion in the code.

2016-09-18 20:15  dezperado

	* [r1093] src/CommandConsole-var.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/Namespace.cpp, src/Namespace.h,
	  src/Var.h: Abandoning fim::string in favour of fim_var_id for
	  fim::Namespace-related fim language variable identifiers.

2016-09-18 18:49  dezperado

	* [r1092] src/Browser.cpp, src/CommandConsole-cmd.cpp,
	  src/CommandConsole-help.cpp, src/fim.cpp: Tidying up
	  CommandConsole::get_reference_manual.
	  Removed useless spurious "using" declarations from fim.cpp.
	  A few shorter usage forms in Browser.cpp and
	  CommandConsole-cmd.cpp.

2016-09-18 16:52  dezperado

	* [r1091] src/Browser.cpp, src/CommandConsole-var.cpp,
	  src/CommandConsole.cpp, src/Var.cpp, src/Viewport.cpp,
	  src/defaultConfiguration.cpp: Using braced initializers (C++11)
	  in a few places where this clarifies the code.

2016-09-18 10:32  dezperado

	* [r1090] configure.ac, src/fim.h: The configure will now set a
	  FIM_USE_CXX_STD with a language standard level (instead of
	  FIM_USE_CXX11 and FIM_USE_CXX14).

2016-09-18 09:53  dezperado

	* [r1089] src/fim_string.cpp, src/fim_string.h: Moved current code
	  up, dead code down in fim's string sources.

2016-09-18 09:39  dezperado

	* [r1088] src/fim_string.cpp: Switching to use std::to_string
	  instead of snprintf() when in C++-11 mode.

2016-09-18 08:56  dezperado

	* [r1087] src/DebugConsole.cpp, src/DebugConsole.h: Revision r1085
	  had broke C++11 build: forgot to delete now useless DebugConsole
	  copy constructor body.

2016-09-18 08:47  dezperado

	* [r1086] src/Arg.h, src/Browser.h, src/Cache.h, src/Image.cpp,
	  src/Image.h, src/Var.h, src/Viewport.cpp, src/Viewport.h,
	  src/fim_string.cpp, src/fim_string.h: Switching to the convention
	  of using 'rhs' for the argument of assignment operators
	  (operator=) and copy constructors.

2016-09-17 22:55  dezperado

	* [r1085] src/Browser.h, src/Cache.h, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/DebugConsole.h: When in C++11,
	  delete'ing a few "operator=" and copy constructor member
	  functions among Browser, Cache, CommandConsole, DebugConsole.

2016-09-17 22:46  dezperado

	* [r1084] configure.ac, src/common.cpp: Experimental flag to enable
	  C++14 constructs.
	  Return type inference could be useful in a few places; this is
	  just an example reminder about it.

2016-09-17 21:44  dezperado

	* [r1083] src/Cache.h, src/Image.h, src/Namespace.h,
	  src/fim_types.h: When compiling as C++11, replacing typedefs with
	  alias declarations.
	  This leaves the code ready for templatization, supported by alias
	  declarations, and when adopting C++14 in the future, even
	  transformations as std::remove_const<T>::type,
	  std::remove_reference<T>::type,
	  std::add_lvalue_reference<T>::type, will be usable.

2016-09-16 11:27  dezperado

	* [r1082] src/DisplayDevice.cpp: Ooops: removing spurious comment
	  leftover.

2016-09-16 11:27  dezperado

	* [r1081] configure.ac, doc/fim.man, src/Browser.cpp,
	  src/DisplayDevice.cpp, src/fim.cpp: A configure check and a
	  placeholder for getdate().
	  A few entries in the man page.
	  Type correctness for read()'s ssize_t.

2016-09-16 09:02  dezperado

	* [r1080] src/Browser.cpp, src/CommandConsole.cpp,
	  src/Viewport.cpp: A few cleaner practices when dealing with
	  strings coming from temporary string's obtained from Var's.

2016-09-15 23:58  dezperado

	* [r1079] NEWS, doc/fim.man, src/Browser.cpp, src/Image.cpp,
	  src/Image.h, src/fim.cpp: Introduced a "#!fim:/=dir" special
	  description line to specify dir prepended to basename.
	  Introduced a "#!fim:\=dir" special description line to specify
	  dir prepended to filepath.

2016-09-15 21:48  dezperado

	* [r1078] NEWS, doc/fimrc.man, src/Browser.cpp,
	  src/CommandConsole.cpp, src/Image.h, src/Namespace.h: limit
	  '-list' will list existing variables identifiers as set via
	  'desc'.
	  limit '-list' 'id' will list existing values for instances of
	  variable 'id' as set via 'desc'.

2016-09-15 18:12  dezperado

	* [r1077] src/Browser.cpp, src/CommandConsole-var.cpp,
	  src/CommandConsole.h, src/Image.h, src/Namespace.cpp,
	  src/Namespace.h, src/Var.h, src/fim_string.h: Added a few
	  overloads and methods to Var and Namespace in order to be able to
	  avoid the many .c_str()'s in the code.

2016-09-15 16:20  dezperado

	* [r1076] NEWS, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole-var.cpp, src/DebugConsole.cpp,
	  src/DisplayDevice.cpp, src/FbiStuff.cpp, src/FbiStuffJpeg.cpp,
	  src/FbiStuffText.cpp, src/FimWindow.cpp,
	  src/FramebufferDevice.cpp, src/Image.cpp, src/common.cpp,
	  src/fim.cpp, src/fim_string.cpp: Misc fixes of minor things
	  causing compile warnings (mostly in trunk, a few in 0.5).

2016-09-15 16:03  dezperado

	* [r1075] NEWS, src/Image.cpp: fix: was likely using uninitialized
	  data in Image(). applying to 0.4, 0.5, trunk.

2016-09-15 15:26  dezperado

	* [r1074] NEWS, src/FbiStuffPcx.cpp: fix: a few more checks when
	  reading PCX files (in both 0.5 branch and trunk).

2016-09-15 15:21  dezperado

	* [r1073] NEWS, src/AADevice.cpp: bugfix: a function in AADevice
	  was missing return value (in both 0.5 and trunk).

2016-09-14 14:29  dezperado

	* [r1072] NEWS, doc/fimrc.man, src/Image.cpp, src/fim.h,
	  src/help.cpp: Documented the %k expando for _info_fmt_str (like
	  in the previous commit fixing %k, also in both trunk and 0.5
	  branch).

2016-09-14 14:14  dezperado

	* [r1071] NEWS, src/Image.cpp: bugfix: avoiding data corruption
	  when handling the %k expando.

2016-09-13 22:37  dezperado

	* [r1070] NEWS, doc/fimrc.man, src/Browser.cpp,
	  src/CommandConsole.cpp: No-argument versions of ~z and ~d: on
	  '~z' will limit to files having the current file's size; on '~d'
	  will limit to files having the current file's date +- one day.

2016-09-13 21:45  dezperado

	* [r1069] NEWS, doc/fimrc.man, src/Browser.cpp,
	  src/CommandConsole.cpp: Added "DD/MM/YYYY" as a date
	  specification format to "~d" "[MINTIME][-][MAXTIME]". Related doc
	  fixes.

2016-09-13 19:34  dezperado

	* [r1068] NEWS, doc/fimrc.man, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole.cpp: Added limiting on list indices: "limit
	  '~i' MINIDX[-MAXIDX]".

2016-09-13 17:14  dezperado

	* [r1067] NEWS, doc/fimrc.man, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole.cpp: Limiting / marking based on stat() info:
	  time and size:
	  "limit '~z' MINSIZE[-MAXSIZE]", with MINSIZE and MAXSIZE numbers
	  with eventually K or M, will act according to filesize.
	  "limit '~d' MINTIME[-MAXTIME]", with MINTIME and MAXTIME numbers,
	  will act according to file modify date.

2016-09-13 14:46  dezperado

	* [r1066] src/Browser.cpp, src/Browser.h, src/common.cpp: Small
	  improvements: error diagnostics of write_to_file, diagnostics of
	  do_filter_cmd, avoiding compilation warnings due to a few unused
	  variables or labels.

2016-09-13 08:40  dezperado

	* [r1065] NEWS, doc/fimrc.man, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole-cmd.cpp, src/CommandConsole.cpp, src/fim.h:
	  Now "limit '-refine' ..." will make 'limit' act on the current
	  list, rather than on the full anew.

2016-09-13 07:50  dezperado

	* [r1064] src/Browser.cpp, src/Browser.h: Using a few C++11 and
	  other constructs to improve code readability in Browser.

2016-09-12 21:40  dezperado

	* [r1063] NEWS, src/Browser.cpp, src/Browser.h: Command "list
	  'mark' {args}" accepts now exactly what "limit {args}" does.

2016-09-12 20:42  dezperado

	* [r1062] NEWS, doc/fimrc.man, src/Browser.cpp,
	  src/CommandConsole.cpp: '~1' -> '~^' in limit's documentation "if
	  with '~^', to the first of the files with duplicate basename".

2016-09-12 20:37  dezperado

	* [r1061] src/Browser.cpp, src/Browser.h: Introduced a class
	  fim_bitset_t:public std::vector<fim_bool_t> to deal with
	  selections/limiting/etc in a cleaner way. Introducing this into
	  Browser::do_filter. Further functions to be impacted soon.

2016-09-12 14:51  dezperado

	* [r1060] src/Browser.cpp, src/Browser.h,
	  src/CommandConsole-init.cpp, src/DisplayDevice.cpp: Making
	  Browser also extend Benchmarkable and its benchmark being invoked
	  by --sanity-check.
	  Minimal changes in DisplayDevice and CommandConsole benchmark
	  code messages.

2016-09-12 14:01  dezperado

	* [r1059] NEWS, doc/fim.man, src/fim.cpp: Doc fix: stating that
	  --sanity-check terminates the program, rather than continuing.

2016-09-12 13:54  dezperado

	* [r1058] src/Browser.cpp, src/Browser.h: A few little amendments
	  to flist_t.

2016-09-12 13:39  dezperado

	* [r1057] src/Browser.cpp, src/Browser.h: Moved a data member:
	  Browser::cf_ -> flist_t::cf_.

2016-09-12 08:00  dezperado

	* [r1056] NEWS, doc/fimrc.man, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole.cpp: New criteria for the "limit" command: If
	  invoked with '~!' will restrict to files with unique basename. If
	  with '~=', to files with duplicate basename; if with '~1', to the
	  first of the files with duplicate basename; if with '~$', to the
	  last of the files with duplicate basename.

2016-09-11 20:20  dezperado

	* [r1055] src/SDLDevice.cpp: Fix: The FIM_SDL_INPUT_DEBUG (off by
	  default) was casting to *fim_int rather than to *fim_key_t. This
	  is wrong since 0.5, where the two types can be much different.

2016-09-03 14:17  dezperado

	* [r1054] doc/fimrc.man, src/fimrc: Example in imposing a file
	  loader to an extension (with MatrixMarket to *.mtx.gz).

2016-09-03 14:11  dezperado

	* [r1053] NEWS, doc/fimrc.man, src/CommandConsole-init.cpp,
	  src/FbiStuffLoader.cpp, src/FbiStuffLoader.h, src/fim.h,
	  src/help.cpp: Added variable _all_file_loaders: space-separated
	  list of hardcoded file loaders usable with _file_loader.

2016-09-03 13:43  dezperado

	* [r1052] NEWS, doc/fim.man, src/fim.cpp: A refinement to the
	  previous commit: now optional -R/--recursive[=arg] argument,
	  overwrites (if set) or appends to (if beginning with + or |) the
	  "_pushdir_re" variable (recursed filename extensions).

2016-09-02 15:47  dezperado

	* [r1051] NEWS, doc/fim.man, src/fim.cpp: Optional
	  -R/--recursive[=arg] argument, overwrites "_pushdir_re" variable
	  (recursed filename extensions).

2016-08-31 22:35  dezperado

	* [r1050] NEWS, src/fim.h: Documented presence of 'desc' "-nooverw"
	  "-append" for "desc save"'..

2016-08-31 22:25  dezperado

	* [r1049] src/CommandConsole-cmd.cpp: in a few new tests.

2016-08-31 21:57  dezperado

	* [r1048] NEWS, doc/fimrc.man, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole-cmd.cpp, src/fim.h: 'desc "-append" "save"'
	  will work in append mode.

2016-08-31 21:47  dezperado

	* [r1047] NEWS, doc/fimrc.man, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole-cmd.cpp, src/fim.h: 'desc "-all" "save"' will
	  save also all descriptions file variables.

2016-08-31 21:02  dezperado

	* [r1046] NEWS, doc/fim.man, src/fim.cpp: Documenting in the man
	  page and NEWS file the "#!fim:^=" and "#!fim:+=" special
	  description lines.

2016-08-31 20:54  dezperado

	* [r1045] doc/fim.man, doc/fimrc.man, src/Browser.cpp, src/Image.h,
	  src/fim.cpp: Introduced a "#!fim:!=" special description line to
	  reset all variables of the cached namespace.
	  Using it in the yet not active "desc 'save'" subcase.

2016-08-31 19:53  dezperado

	* [r1044] NEWS, src/Browser.cpp, src/Namespace.cpp,
	  src/Namespace.h: functionality to save also all descriptions file
	  variables; still non active by default.

2016-08-31 15:53  dezperado

	* [r1043] NEWS, doc/fim.man, doc/fimrc.man, src/Browser.cpp,
	  src/Browser.h, src/CommandConsole-cmd.cpp, src/Image.h,
	  src/common.cpp, src/common.h, src/fim.h: 'desc "save"'
	  functionality to save descriptions file data from the currently
	  browsable images list.
	  Revamped append_to_file and renamed to write_to_file.
	  Consequent Man/doc page update.

2016-08-25 21:12  dezperado

	* [r1042] src/Image.cpp, src/Image.h: Two comments and a () ->
	  (void)

2016-08-25 20:59  dezperado

	* [r1041] src/FbiStuffJpeg.cpp: Using a new FIM_JPEGLIB_TRUE
	  instead of FIM_FBI_TRUE in FbiStuffJpeg.cpp to make sure that
	  jpeglib.h's routines get the right '1' as 'boolean'.

2016-08-25 09:24  dezperado

	* [r1040] Makefile.am, TODO: In all branches and trunk:
	  sed -i s/EF1258B8/0xE0E669C8EF1258B8/g trunk/Makefile.am
	  trunk/TODO branches/*/Makefile.am branches/*/TODO

2016-08-24 23:31  dezperado

	* [r1039] NEWS, doc/vim2html.pl, src/Makefile.am: To ease
	  reproducible builds: imposing LC_ALL=C to $(YACC) and $(SORT),
	  vim2html.pl reads SOURCE_DATE_EPOCH.
	  Applies to trunk and 0.5-rc3.
	  Following Alexis BienvenÃ¼e's recommendation attached as a patch
	  from https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=820932
	  Only one recommendation of him has not been implemented yet:
	  removal of __DATE__ use) and left for later.

2016-08-24 23:05  dezperado

	* [r1038] NEWS, configure.ac, src/FbiStuffPcx.cpp: fix: when
	  stdint.h is available use uint8_t, uint16_t, uint32_t instead of
	  non-portable __u8, __u16, __u32.
	  pertains branches/0.5 and trunk.

2016-08-24 22:34  dezperado

	* [r1037] NEWS, src/FbiStuffPcx.cpp: fix: ./configure --disable-pcx
	  was not properly disabling PCX format support.
	  this pertains branches/0.5 and trunk.

2016-08-24 22:20  dezperado

	* [r1036] NEWS, src/FramebufferDevice.h: fix: compilation was
	  broken without framebuffer (FIM_WITH_NO_FRAMEBUFFER) because of
	  dependency in FbiStuffJpeg.cpp; this pertains branches/0.5 and
	  trunk.

2016-06-04 14:18  dezperado

	* [r1035] NEWS, doc/fim.man, src/Browser.cpp, src/Browser.h,
	  src/fim.cpp, src/fim.h: Introduced
	  --mark-from-image-descriptions-file: read file names from a
	  description file and use them to mark current list files.

2016-05-31 20:19  dezperado

	* [r1034] doc/FIM.TXT: s/_prefetch/_want_prefetch/g in branches-0.3
	  and trunk, in the FIM.TXT file.

2016-05-31 20:00  dezperado

	* [r1033] doc/fim.man, doc/fimrc.man, src/fim.h: 'list' help
	  message adjustment, in both fim-0.5-rc3 and trunk.

2016-05-10 08:40  dezperado

	* [r1032] src/fim_wrappers.h: Comment about bzero (legacy since
	  POSIX.2001 and deprecated since POSIX.2004).

2016-03-17 23:10  dezperado

	* [r1031] doc/fim.man, doc/fimrc.man, src/fimrc: adjusting the '*'
	  binding: will display the console in any case now.

2016-03-17 23:00  dezperado

	* [r1030] NEWS, src/Image.h, src/common.cpp, src/common.h: fix:
	  introduced alphanumeric restriction in the shebang variables
	  (must begin with underscore or alphabetic, continue with
	  underscore or alphanumeric).

2016-03-14 10:17  dezperado

	* [r1029] src/CommandConsole-init.cpp: fix: compilation was broke
	  without FIM_WITH_LIBSDL configured in. in trunk and branches/0.5.

2016-03-06 14:30  dezperado

	* [r1028] NEWS, src/defaultConfiguration.cpp: Oops: forgot a "+1"
	  in r1025. bugfix. (trunk and branches/0.5)

2016-03-06 13:54  dezperado

	* [r1027] NEWS, doc/fim.man, src/fimrc: Keys '(' and ')' are now
	  bound respectively to "goto '^p'" and "goto '$p'"; that is jump
	  to first or last page (of a multipage document).

2016-03-06 13:44  dezperado

	* [r1026] NEWS, doc/fim.man, doc/fimrc.man,
	  src/CommandConsole-cmd.cpp, src/CommandConsole-help.cpp,
	  src/CommandConsole.cpp: Available symkeys are now documented in a
	  section of man fimrc.

2016-03-06 13:32  dezperado

	* [r1025] NEWS, doc/fim.man, doc/fimrc.man,
	  src/defaultConfiguration.cpp: fix: cleaned up the internal
	  keysyms initialization code. (in both trunk and 0.5-rc3).

2016-03-06 12:10  dezperado

	* [r1024] src/CommandConsole-cmd.cpp, src/CommandConsole-help.cpp,
	  src/CommandConsole.h: Changed the signature of
	  CommandConsole::do_dump_key_codes to support multiple output
	  modes.

2016-03-06 11:29  dezperado

	* [r1023] NEWS, doc/fim.man, doc/fimrc.man, src/fim.cpp, src/fim.h:
	  documentation consistency fix: command line option --sort-mtime
	  was annotated/documented as --sort-mdate in several places (same
	  with "list 'sort_mtime'").

2016-03-06 11:20  dezperado

	* [r1022] src/CommandConsole-cmd.cpp: invoking
	  CommandConsole::kstr_to_key from fim::string
	  CommandConsole::fcmd_bind.

2016-03-06 11:12  dezperado

	* [r1021] NEWS, doc/fim.man, src/CommandConsole-cmd.cpp,
	  src/CommandConsole.cpp, src/CommandConsole.h, src/fim.cpp,
	  src/fim.h: added switch --keysym-press to execute simulated press
	  of keysym at startup.

2016-03-06 10:03  dezperado

	* [r1020] NEWS, doc/fim.man, doc/fimrc.man, src/fim.cpp: Documented
	  command line switches -/ <pattern> and --// <pattern>.

2016-03-05 00:25  dezperado

	* [r1019] NEWS, configure.ac, src/Browser.cpp, src/Browser.h:
	  configure check and (for now, off) preliminary support for the
	  Linux calls glob, fnmatch, wordexp.

2016-03-01 18:10  dezperado

	* [r1018] NEWS, doc/fim.man, doc/fimrc.man, src/fim.cpp, src/fim.h:
	  Added command line switch -/ <arg> as short for -c /<arg> .
	  Added command line switch --// <arg> as short for -c /<arg> with
	  _re_search_opts='f' .

2016-03-01 18:09  dezperado

	* [r1017] src/Browser.cpp: Fix: with _re_search_opts='f' the
	  in-descriptions search was broken, now it's fine.
	  In the long run need a uniform decision on whether comments are
	  to be accessed by full path or basename.
	  Fix applies both of (unreleased) 0.5-rc3 and 0.6-trunk.

2016-03-01 17:41  dezperado

	* [r1016] src/common.cpp, src/common.h: fim_shell_arg_escape has
	  arg not to quote, optionally.

2016-02-29 23:44  dezperado

	* [r1015] NEWS, doc/fimrc.man, src/Browser.cpp, src/fim.h: will
	  emit a status message when limiting long lists.
	  reference to the _lastgotodirection and _re_search_opts variables
	  for the goto command.

2016-02-29 22:57  dezperado

	* [r1014] NEWS, doc/fimrc.man, src/fimrc: Default key for
	  'scrollforward' is now space (' ') instead of 's'.

2016-02-28 11:13  dezperado

	* [r1013] NEWS, src/Image.h, src/fim.h: Introduced context
	  prepend/append shebang syntax "#!fim:^=" and "#!fim:+=" in
	  description files.

2016-02-27 12:48  dezperado

	* [r1011] NEWS, doc/fimrc.man, src/FimWindow.cpp, src/fim.h: fix:
	  removed obsolete documentation for the "window" command, now
	  (actually, since a long while) disabled.

2016-02-27 11:26  dezperado

	* [r1010] NEWS, doc/fimrc.man, src/Browser.cpp, src/Browser.h,
	  src/fim.h: introduced the 'list "swap"' command.

2016-02-27 11:02  dezperado

	* [r1009] NEWS, src/CommandConsole.cpp, src/CommandConsole.h:
	  bugfix: repeating "recording 'repeat_last'" (default '.' key) by
	  prepending a number now works.
	  applies to both 0.5 and trunk.

2016-02-27 09:54  dezperado

	* [r1008] NEWS, configure.ac, doc/fim.man, src/common.cpp,
	  src/common.h, src/fim.cpp, src/fim.h: Switch
	  --read-from-stdin-elds accepts now the ASCII NUL as well (via
	  '').
	  Relying on getdelim (for fim_getline): configure check for it.
	  fim_getline has a fourth argument --- the delimiter.
	  The delimiter is now a character, not anymore a string.
	  Dox update.
	  Thanks to Christian Kalkhoff for suggesting support for a ASCII
	  NUL line terminator.

2016-02-25 23:50  dezperado

	* [r1007] NEWS, src/fim.cpp: switch -V (--version) will print out
	  libspectre version info.

2016-02-25 23:41  dezperado

	* [r1006] NEWS, doc/fim.man, doc/fimrc.man, src/FbiStuffLoader.cpp,
	  src/FbiStuffLoader.h, src/fim.cpp: switch -V (--version) will
	  print to stdout (not anymore to stderr).
	  dox rebuild.

2016-02-25 23:09  dezperado

	* [r1005] src/CommandConsole-help.cpp, src/CommandConsole-init.cpp,
	  src/CommandConsole.cpp, src/CommandConsole.h, src/FbiStuff.cpp,
	  src/FimWindow.h: Further "method" -> "member function"
	  corrections (in the C++ standard there is no such a thing as
	  "method"...).

2016-02-24 17:58  dezperado

	* [r1004] NEWS, src/Browser.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/fim.h: Introduced 'list "dumpmarked"'
	  and 'list "unmarkall"' commands, as well as
	  CommandConsole::marked_files_clear().

2016-02-24 17:34  dezperado

	* [r1003] NEWS, doc/fim.man, src/fim.cpp: The -B switch is now
	  short for --background-recursive. Docs update.

2016-02-24 17:27  dezperado

	* [r1002] NEWS, doc/fim.man, src/fim.cpp: The -S switch is now
	  short for --image-descriptions-file-separator (not anymore for
	  --sanity-check). Doc update.

2016-02-24 17:18  dezperado

	* [r1001] NEWS, doc/FIM.TXT, doc/fim.man, src/fim.cpp: The -D
	  switch is now short for --load-image-descriptions-file (not
	  anymore for --dump-default-fimrc).

2016-02-24 17:06  dezperado

	* [r1000] NEWS, doc/fim.man, src/fim.cpp: The -L option will be an
	  alias for --read-from-file. with doc update.

2016-02-24 16:59  dezperado

	* [r999] NEWS, doc/fim.man, doc/fimrc.man, src/fim.cpp: Introduced
	  --read-from-file switch: read an image list from file (just as
	  the - switch). With doc update.

2016-02-24 16:35  dezperado

	* [r998] src/fim.cpp: In a fim_load_filelist function; for now it
	  is used to load an images list from stdin.

2016-02-18 21:56  dezperado

	* [r997] configure.ac: configure will autodetect and turn aalib on
	  by default. (now in trunk as in 0.5 one commit ago)

2016-02-16 14:34  dezperado

	* [r995] debian/watch: corrected the debian/watch file by removing
	  the old "http://code.autistici.org/svn/fim/" entry.

2016-02-16 11:08  dezperado

	* [r994] src/fim_interpreter.h: svn ps svn:keywords LastChangedDate
	  src/fim_interpreter.h

2016-02-15 23:50  dezperado

	* [r993] src/fim.h: Corrected the contents of the FIM_DDN_VARS_IN
	  symbol (in 0.5-rc2 and trunk).

2016-02-15 23:36  dezperado

	* [r992] src/CommandConsole-init.cpp, src/fim.h: Will emit more
	  precise diagnostics on unsupported device string. (see
	  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=814673)
	  In both trunk and 0.5-rc2

2016-02-15 23:19  dezperado

	* [r991] src/CommandConsole-init.cpp: Will emit a specific message
	  if the specified output device has been disabled at buil time.
	  (trunk and 0.5).

2016-02-14 19:33  dezperado

	* [r990] configure.ac, src/fim.h: Adjusted the configure script to
	  better tolerate missing `svnversion` and set the SVN_REVISION and
	  SVN_REVISION_NUMBER symbols consequently.
	  Also removed the (int) cast before FIM_REVISION_NUMBER.
	  This applies to both the trunk and 0.5 branches.

2016-02-13 17:13  dezperado

	* [r989] src/fim_interpreter.cpp, src/fim_interpreter.h,
	  src/yacc.ypp: Moved part of the implementation of yacc.ypp into
	  fim_interpreter.cpp.

2016-02-13 16:27  dezperado

	* [r988] src/Makefile.am, src/yacc.ypp: Makefile and including file
	  adjustments to the previous two commits (interpreter.cpp ->
	  fim_interpreter.cpp, interpreter.h -> fim_interpreter.h).

2016-02-13 16:24  dezperado

	* [r987] src/fim_interpreter.h, src/interpreter.h: svn mv
	  svn+ssh://dezperado@svn.savannah.nongnu.org/fbi-improved/trunk/src/interpreter.h
	  svn+ssh://dezperado@svn.savannah.nongnu.org/fbi-improved/trunk/src/fim_interpreter.h

2016-02-13 16:23  dezperado

	* [r986] src/fim_interpreter.cpp, src/interpreter.cpp: svn mv
	  svn+ssh://dezperado@svn.savannah.nongnu.org/fbi-improved/trunk/src/interpreter.cpp
	  svn+ssh://dezperado@svn.savannah.nongnu.org/fbi-improved/trunk/src/fim_interpreter.cpp

2016-02-13 16:15  dezperado

	* [r985] src/fim_types.h, src/interpreter.cpp, src/interpreter.h,
	  src/yacc.ypp: Introducing macros to simplify/reoder the
	  interpreter and parser code.
	  Adding in an 'interpreter.h' file for this purpose.

2016-02-11 17:35  dezperado

	* [r984] src/interpreter.cpp: (further) first steps in generalising
	  the interpreter code.

2016-02-10 23:26  dezperado

	* [r983] src/interpreter.cpp: first steps in generalising the
	  interpreter code.

2016-02-10 23:11  dezperado

	* [r982] src/interpreter.cpp: introduced the FIM_NO_BREAK and
	  FIM_OPRND macros to make the code slimmer.
	  replacing plain 'int' occurrences with 'fim_int' where necessary.

2016-02-10 22:49  dezperado

	* [r981] src/interpreter.cpp, src/lex.h: Cleaning up the
	  interpreter code a little bit.

2016-02-04 22:46  dezperado

	* [r980] doc/fimrc.man, src/CommandConsole-help.cpp, src/Var.cpp:
	  Correcting the man pages in terms of roff consistency: disabling
	  output-line adjusting and inserting zero-width break point on
	  long hardcoded regexps.
	  This will avoid the errors encountered when man --html=cat (man
	  2.6.2).
	  Advancing version to 0.5-rc1 to 0.5-rc2.
	  Change applies to trunk and 0.5-rc2

2016-02-04 18:53  dezperado

	* [r979] debian/control, doc/fim.man, doc/fimrc.man, src/fimrc:
	  Addressing lintian diagnostics:
	  I: fim: spelling-error-in-manpage usr/share/man/man5/fimrc.5.gz
	  catched caught
	  W: fim: description-synopsis-starts-with-article

2016-02-04 17:19  dezperado

	* [r978] debian/control: Adjusted the debian/control text a bit.

2016-02-04 16:58  dezperado

	* [r977] debian/control: Updated the debian/control text and
	  removed typos.

2016-02-04 16:45  dezperado

	* [r976] debian/changelog, debian/control, debian/copyright,
	  debian/rules: replaced the old debian/* files with the ones
	  kindly provided by Gianfranco Costamagna.

2016-02-04 15:27  dezperado

	* [r975] doc/fim.man, src/fim.cpp: HDF5 dataset visualization
	  example (with h5topng) using fim in man fim.

2016-02-02 22:48  dezperado

	* [r974] src/Namespace.cpp, src/Namespace.h:
	  :%s/FIM_INDIPENDENT_NAMESPACE/FIM_INDEPENDENT_NAMESPACE/g

2016-02-02 18:29  dezperado

	* [r973] NEWS, doc/fim.man, doc/fimrc.man, src/fim.cpp:
	  --recursive-background -> --background-recursive

2016-02-02 18:17  dezperado

	* [r972] src/Image.cpp: Got rid of obsolete
	  FIM_WANT_BACKGROUND_LOAD code sections in src/Image.cpp.

2016-02-02 18:00  dezperado

	* [r971] NEWS, doc/fim.man, doc/fimrc.man, src/Cache.cpp,
	  src/fim.h, src/fimrc, src/help.cpp: introduced new variable
	  _cache_control to control the cache mechanism.
	  now caching of mipmaps on by default; can be turned off with
	  _cache_control.

2016-02-01 22:14  dezperado

	* [r970] src/Image.cpp, src/Image.h: Image::shred is out of the
	  destructor now.

2016-01-31 00:12  dezperado

	* [r969] doc/fimrc.man, src/Browser.cpp, src/CommandConsole.cpp,
	  src/fim.h, src/help.cpp: During the background loading the (new)
	  _loading_in_background variable will be set to 1.
	  dox update.

2016-01-30 23:21  dezperado

	* [r968] src/CommandConsole.cpp: In r965:966 accidentally
	  introducing an erase of the in-load filenames. fix.

2016-01-30 22:08  dezperado

	* [r967] src/CommandConsole.h: Oops: spurious 'static' keyword in
	  previous commit.

2016-01-30 22:02  dezperado

	* [r966] src/CommandConsole.cpp, src/CommandConsole.h: background
	  loader thread and file names pointers vector are now private
	  members of CommandConsole.

2016-01-30 21:50  dezperado

	* [r965] NEWS, doc/fimrc.man, src/Browser.cpp, src/Browser.h,
	  src/fim.h, src/help.cpp: if _push_pushes_dirs is 2, will also
	  push hidden files and directories; that is, ones whose names
	  begin with a dot (.).
	  docs update.

2016-01-30 21:07  dezperado

	* [r964] NEWS, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole.cpp, src/fim.h: Implemented synchronization
	  (thread join) at program termination with --recursive-background.

2016-01-30 20:44  dezperado

	* [r963] NEWS, doc/fim.man, doc/fimrc.man, src/Browser.cpp,
	  src/Browser.h, src/CommandConsole.cpp, src/CommandConsole.h,
	  src/fim.cpp: If configure'ing with --enable-c++11, the
	  --recursive-background switch will load images in the background
	  recursively, allowing viewing in the order they appear. So far
	  synchronization during loading and at program termination are
	  missing.

2016-01-30 15:39  dezperado

	* [r962] Makefile.am: `make help` message update.

2016-01-30 15:13  dezperado

	* [r961] NEWS, configure.ac, src/Browser.cpp: renamed configure
	  switch --enable-cxx11 to --enable-c++11.
	  got rid of a spurious print message.

2016-01-30 14:56  dezperado

	* [r960] src/CommandConsole.cpp: Using a cleaner way to set g:_rows
	  (and avoiding crashes in -t /-o aa mode).

2016-01-30 14:22  dezperado

	* [r959] src/Makefile.am: fix: enabled concurrent make, e.g.: make
	  -j 4.

2016-01-30 13:59  dezperado

	* [r958] doc/fim.man, doc/fimrc.man, src/fimrc: bug workaround: had
	  no console scroll if no command executed on
	  PostInteractiveCommand.

2016-01-30 12:18  dezperado

	* [r957] src/Browser.cpp, src/SDLDevice.h: Bugfix: in r950 was
	  using getIntVariable instead of getGlobalIntVariable.
	  This used to break post-scroll console refresh.

2016-01-30 02:06  dezperado

	* [r956] src/Cache.cpp, src/FbiStuff.cpp, src/Image.cpp, src/fim.h:
	  simplifying the FbiStuff::fim_mipmaps_compute(fimg_,&mm_)
	  contained checks.

2016-01-29 17:53  dezperado

	* [r955] NEWS, doc/fim.man, doc/fimrc.man, src/Image.cpp,
	  src/fim.h, src/help.cpp: new variable i:_file_load_time will
	  store the time taken to load the file and decode the image.

2016-01-29 16:23  dezperado

	* [r954] configure.ac, doc/fim.man, doc/fimrc.man, src/common.cpp:
	  fix: some systems don't have sys_errlist: using strerror there.

2016-01-29 16:15  dezperado

	* [r953] NEWS, doc/fimrc.man, src/FbiStuff.cpp, src/fim.h,
	  src/help.cpp: _use_mipmaps=2 will compute the mipmaps faster,
	  using every fourth source pixel. This can be a good solution for
	  photographs.

2016-01-29 09:06  dezperado

	* [r952] src/FbiStuff.cpp: bugfix: off-bounds reads in the new
	  mipmap code.

2016-01-28 23:37  dezperado

	* [r951] src/Image.h: fixed an error "cannot convert
	  'std::basic_istream<char>' to 'bool' in initialization" from
	  (std::getline(ls,ds,nl)) when compiling with -std=c++11 and
	  g++-5.3.

2016-01-28 17:21  dezperado

	* [r950] doc/fimrc.man, src/Browser.cpp, src/Browser.h, src/fim.h,
	  src/help.cpp: if _want_prefetch is 2 (and configured with
	  --enable-cxx11) will load in the background.
	  changed Browser::last_src_dir_ from int to fim_int.
	  dox update.

2016-01-28 16:42  dezperado

	* [r949] src/Cache.cpp, src/FbiStuff.cpp, src/FbiStuff.h,
	  src/Image.cpp, src/Image.h, src/fim.h: sed -i
	  s/FIM_WANT_EXPERIMENTAL_MIPMAPS/FIM_WANT_MIPMAPS/g `grep
	  FIM_WANT_EXPERIMENTAL_MIPMAPS src/*h src/*cpp -l`

2016-01-28 16:38  dezperado

	* [r948] NEWS, src/Browser.cpp, src/Browser.h, src/Cache.cpp,
	  src/Cache.h, src/Viewport.cpp, src/fim.h: If configure'ing with
	  --enable-cxx11, background image loading will be available.
	  Early version: need to handle failed loads and a controlling
	  variable.

2016-01-28 16:36  dezperado

	* [r947] NEWS, src/FbiStuff.cpp: mipmap computing (controlled by
	  _use_mipmaps) is now faster.

2016-01-25 16:54  dezperado

	* [r946] doc/fimrc.man, src/fim.h, src/help.cpp: Man page fix.

2016-01-25 16:51  dezperado

	* [r945] NEWS, src/FontServer.h, src/SDLDevice.cpp: Oops: last
	  commit had bug with --with-font-magnifying-factor=FACTOR and
	  negative FACTOR. fix.

2016-01-25 16:33  dezperado

	* [r944] NEWS, configure.ac, doc/fimrc.man, src/CommandConsole.cpp,
	  src/FontServer.cpp, src/FontServer.h, src/FramebufferDevice.cpp,
	  src/SDLDevice.cpp, src/fim.h, src/help.cpp: Run time control of
	  the font magnifying factor, either at build time with
	  --with-font-magnifying-factor=FACTOR or at runtime when FACTOR
	  is<1 and a factor is specified with the _fbfont_magnify_factor
	  variable. Overall default is 1.

2016-01-25 08:30  dezperado

	* [r943] src/FramebufferDevice.cpp: Ooops: typo fix.

2016-01-22 16:12  dezperado

	* [r942] NEWS, configure.ac, src/FontServer.h,
	  src/FramebufferDevice.cpp, src/fim.h: The new
	  --with-font-magnifying-factor=FACTOR option will render text
	  magnified by (hardcoded) FACTOR times.
	  Useful with very high resolutions and small fonts.

2016-01-21 21:20  dezperado

	* [r941] NEWS, doc/fim.man, doc/fimrc.man, src/Browser.h,
	  src/CommandConsole.cpp, src/CommandConsole.h, src/FbiStuff.cpp,
	  src/fim.h: Description files beginning with "#!fim:desc"
	  (whatever extension) can now be detected and loaded as they were
	  normal image files (FIXME: undocumented).

2016-01-21 21:12  dezperado

	* [r940] NEWS, src/common.cpp: fix: no zlib.h build time dependency
	  (this will be reintroduced in the future).

2016-01-21 21:00  dezperado

	* [r939] configure.ac: At the end of the configure will display
	  yes/no whether libexif is in.
	  Also added 'uncompressed' next to 'psf' to clarify a configure
	  switch option.

2016-01-21 20:28  dezperado

	* [r938] NEWS, configure.ac: Commented in the configure about the
	  ghost-feature (or non feature) behind --enable-unicode.

2016-01-21 20:12  dezperado

	* [r937] NEWS, doc/fim.man, src/fim.cpp, src/fim.h: Corrected the
	  quiet mode (-q) to be quieter.

2016-01-20 17:23  dezperado

	* [r936] NEWS, doc/fim.man, doc/fimrc.man, src/Browser.h,
	  src/fim.cpp: Added a --reverse option to reverse files list
	  before browsing. According documentation updates.

2016-01-20 17:03  dezperado

	* [r934] src/Browser.cpp: Using pass by const reference in the
	  operator() member functions of the sort predicates.

2016-01-20 16:32  dezperado

	* [r933] Makefile.am, NEWS, doc/fim.man, src/Browser.cpp,
	  src/Browser.h, src/fim.cpp, src/fim.h: Added --sort-mtime to sort
	  file list according to modification time.
	  Added --sort-fsize to sort file list according to file size.
	  To list command added subcommand 'sort_mtime' to sort file list
	  according to modification time.
	  To list command added subcommand 'sort_fsize' to sort file list
	  according to file size.
	  These changes required introduction of two new classes: 'flist_t'
	  and 'fle_t'.
	  Makefile.am fix (# comment used to break autogen.sh).

2016-01-19 21:24  dezperado

	* [r932] doc/fimrc.man, src/fimrc: assigned the '*' key to
	  displaying all the image variables, with "toggleVerbosity;echo
	  i:*".

2016-01-19 00:22  dezperado

	* [r931] NEWS, doc/fimrc.man, src/Browser.cpp, src/Browser.h,
	  src/fim.h, src/fimrc, src/help.cpp: key Enter will now mark and
	  then go forward or back according to _lastgotodirection.

2016-01-18 10:33  dezperado

	* [r930] Makefile.am, NEWS, var/Makefile: 0.5 NEWS cleanup and
	  minor www oriented Makefile changes.

2016-01-18 08:58  dezperado

	* [r929] VERSION, configure.ac: labeling the branch version as
	  0.5-rc0 and the trunk version as 0.6 trunk.

2016-01-18 07:47  dezperado

	* [r927] VERSION, configure.ac, doc/fim.man, src/fim.cpp: Let this
	  be a first candidate for 0.5-rc0.

2016-01-18 07:24  dezperado

	* [r926] NEWS, doc/fim.man, doc/fimrc.man, src/fim.h, src/help.cpp:
	  renamed internal variable i:_comment_over_image to
	  i:_caption_over_image .

2016-01-17 21:14  dezperado

	* [r925] NEWS, doc/fimrc.man, src/CommandConsole.cpp, src/fim.h,
	  src/fimrc: renamed the internal _want_caption_status variable to
	  _want_wm_caption_status.

2016-01-17 21:07  dezperado

	* [r924] NEWS, doc/fimrc.man, src/fim.h, src/help.cpp: changed
	  value of FIM_CNS_ARCHIVE_RE a bit.
	  minor documentation strings adjustments.

2016-01-14 23:00  dezperado

	* [r923] doc/fim.man, doc/fimrc.man, src/CommandConsole-help.cpp,
	  src/fim.cpp, var/index.html.in: Renaming a few sections names in
	  the man pages and added fimgs mention in fimrc man page. WWW page
	  update.

2016-01-14 20:28  dezperado

	* [r922] Makefile.am: Absence of the 'ulimit' BASH shell builtin
	  won't crash `make tests'.

2016-01-13 21:54  dezperado

	* [r921] doc/fimrc.man, src/fimrc: Small adjustment to the
	  toggleLimitMarked alias: it won't reset the current file index
	  anymore.

2016-01-13 21:44  dezperado

	* [r920] NEWS, doc/fimrc.man, src/fimrc: the '`' key is bound to
	  toggle limit'ing to the marked files list.

2016-01-13 20:52  dezperado

	* [r919] NEWS, doc/fim.man, src/fim.cpp, src/fim.h:
	  --load-image-descriptions-file will set _comment_over_image=2
	  (which can be overridden via the ~/.fimrc).

2016-01-13 18:14  dezperado

	* [r918] NEWS, doc/fim.man, src/Image.h, src/fim.cpp: Introduced
	  and documented the new "filename #!fim:s/f/t" syntax.

2016-01-13 17:50  dezperado

	* [r917] src/fim_string.cpp: Bug fix: std::basic_string::substr()
	  second parameter pos was being used wrongly in
	  fim::string::substitute.

2016-01-12 23:05  dezperado

	* [r916] doc/fim.man, doc/fimrc.man, src/CommandConsole.cpp,
	  src/fim.cpp, src/fim.h, var/index.html.in: Fix to documentation
	  mention of --image-descriptions-file-separator.
	  Fixes to documentation; among this, alphabetical reordering of
	  entries visible in man fimrc.
	  Documentation note about usage of converters with fim's stdin
	  feature in the HTML.

2016-01-12 22:25  dezperado

	* [r915] src/Image.h: Will propagate the i:variables namespace also
	  on an empty commentary string (but after the Tab).

2016-01-12 17:49  dezperado

	* [r914] src/DebugConsole.cpp, src/DisplayDevice.cpp,
	  src/FontServer.h, src/SDLDevice.cpp, src/Viewport.cpp, src/fim.h:
	  Introduced the FIM_FONT_MAGNIFY_FACTOR variable with a
	  preliminary magnified font rendering mechanism.
	  As a side effect, this shall slow down builds compiled without
	  inlining the new three member functions in fs_font and
	  FSXCharInfo.
	  This feature is not active at the moment, though.

2016-01-11 22:31  dezperado

	* [r913] var/Makefile, var/index.html.in, var/www/fim.css: Adjusted
	  a bit the headings in the CSS file.
	  Wrote a "VI/VIM-like feel in FIM" minitutorial for the web page.

2016-01-07 20:12  dezperado

	* [r912] NEWS, doc/fim.man, src/Image.h, src/fim.cpp: Introduced
	  and documented the new "filename #!fim+comment" and "filename
	  #!fim^comment" syntax.

2016-01-07 19:39  dezperado

	* [r911] NEWS, doc/fim.man, src/Image.h, src/fim.cpp, src/fim.h:
	  Introduced (and documented) special "#!fim:=" syntax to use last
	  comment when reading the descriptions file.

2015-12-29 17:43  dezperado

	* [r910] var/Makefile, var/index.html.in, var/www/fim.css: Wrote a
	  minitutorial about using fim with mutt.

2015-12-29 16:53  dezperado

	* [r909] src/FbiStuff.cpp, src/Image.cpp, src/common.cpp,
	  src/fim.cpp: fim_fread_tmpfile will print an errno-indexed error
	  out of sys_errlist if necessary.
	  Wrote stub brackets for handling file loading related errors.
	  Will complain with a warning (but nothing more) when attempting
	  loading an empty file from stdin.

2015-12-29 14:27  dezperado

	* [r908] src/Cache.cpp: Bugfix. Revision r905 brought a memory leak
	  to src/Cache.cpp, one could see it e.g. with src/fim --as-text
	  README .

2015-12-29 14:04  dezperado

	* [r907] NEWS, doc/fim.man, src/FbiStuffBit1.cpp,
	  src/FbiStuffBit24.cpp, src/fim.cpp: --binary=1/--binary=24 will
	  not pad tiny renderings to _preferred_rendering_width pixels
	  (with doc update).
	  Small fix to src/FbiStuffBit24.cpp and src/FbiStuffBit1.cpp:
	  using a long (instead of uint32) to get values from ftell().

2015-12-29 13:00  dezperado

	* [r906] src/Browser.cpp, src/FbiStuffBit24.cpp: Bug fix to
	  FbiStuffBit24.cpp: file size was not being used.
	  Using .erase(... .begin()) to remove the first of many args in
	  Browser.cpp.

2015-12-29 11:58  dezperado

	* [r905] configure.ac, src/Cache.cpp: Minor fixes in the Cache.cpp
	  file.
	  A better ./configure time warning against using unrecommended
	  options when building fim for a distro.

2015-12-28 14:33  dezperado

	* [r904] src/Browser.cpp: Will synchronize g:_filelistlen after
	  each execution of the limit command.

2015-12-28 13:55  dezperado

	* [r903] NEWS, src/Browser.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h, var/index.html.in: Application of "list
	  'mark'/'unmark'" will display count of marked/unmarked entries in
	  the console.
	  NEWS mention of the "list 'mark'/'unmark'" features.
	  Typo fix in the www page.

2015-12-28 13:42  dezperado

	* [r902] doc/fimrc.man, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole.cpp, src/CommandConsole.h, src/fim.h: Now
	  "list 'mark'" and "list 'unmark'" can take arguments just like
	  "limit".
	  Bug fix in CommandConsole::markCurrentFile, introduced
	  CommandConsole::markFile().
	  Renamed enum RemoveMode -> enum MatchMode and added enum
	  FilterAction.
	  Changed heavily Browser::do_remove -> Browser::do_filter.
	  Doc update.

2015-12-27 11:06  dezperado

	* [r901] doc/fim.man, src/fim.cpp, var/index.html.in,
	  var/www/fim.css: man / www / html page update.

2015-12-20 19:40  dezperado

	* [r900] NEWS, README, doc/fim.man, doc/fimrc.man, src/fim.cpp,
	  src/fim.h, src/help.cpp, var/Makefile, var/index.html.in,
	  var/www/fim.css: Adjusted the command/switches comments a bit.
	  The THANKS file will be expanded in the main HTML page.
	  Reordered the NEWS file and ignoring its #-beginning lines when
	  redirecting to the HTML file.
	  Compacted the CSS file.

2015-12-20 13:53  dezperado

	* [r899] src/Viewport.cpp: Fix to a missing check that would crash
	  e.g. './src/fim -o dumb media/'.

2015-12-20 11:24  dezperado

	* [r898] doc/Makefile.am, scripts/Makefile.am,
	  scripts/maintenance/htmlbody.awk, var/Makefile,
	  var/index.html.in, var/www/fim.css: In the generated HTML man
	  files will substitute &minus; for -.
	  Adding the HTML man file body contents verbatim in the www page
	  (using an extraction script for this).
	  CSS adjustments.

2015-12-20 09:27  dezperado

	* [r897] NEWS, src/Image.h, var/Makefile, var/index.html.in,
	  var/www/fim.css: Webpage update: moved the tutorial section up,
	  improved the CSS by making it slimmer; more abbreviations.
	  Minor NEWS adjustment.
	  Removed a spurious printout from Image.h.

2015-12-19 23:16  dezperado

	* [r896] var/Makefile, var/index.html.in, var/www/fim.css: Smaller
	  copies of the screenshots on the top page.

2015-12-19 22:46  dezperado

	* [r895] var/Makefile, var/index.html.in, var/www/fim.css: Wrote a
	  FIM tutorial in the main www index page.

2015-12-19 11:03  dezperado

	* [r894] src/fim.h, src/fim_types.h: If using C++11, the
	  FIM_ENUM_BASE macro will set the enum-base attribute of a number
	  of enums to specify a type explicitly.

2015-12-19 10:37  dezperado

	* [r893] configure.ac: Default shall be no C++11 construct assumed.

2015-12-19 10:31  dezperado

	* [r892] configure.ac, src/fim_types.h: Introduced the
	  --enable-cxx11 configure switch to switch to using C++11
	  constructs.
	  As of now, this will use nullptr instead of NULL for FIM_NULL.

2015-12-19 01:09  dezperado

	* [r891] src/Browser.cpp, src/fim.h, src/fim_types.h: Moved the
	  definition of FIM_NULL to a different file.
	  The Browser class had a non-C++11 compliang line: fix.

2015-12-19 00:58  dezperado

	* [r890] src/Browser.h, src/Command.h, src/CommandConsole.h,
	  src/DebugConsole.h, src/FbiStuff.h, src/FimWindow.h,
	  src/FontServer.h, src/FramebufferDevice.h, src/Image.h,
	  src/Namespace.h, src/fim.h, src/fim_string.h: Continued with
	  using FIM_NULL:
	  sed -i 's/\<NULL\>/FIM_NULL/g' Browser.h CommandConsole.h
	  Command.h DebugConsole.h FbiStuff.h fim.h fim_string.h
	  FimWindow.h FontServer.h FramebufferDevice.h Image.h Namespace.h.

2015-12-19 00:44  dezperado

	* [r889] src/AADevice.cpp, src/Browser.cpp, src/CACADevice.cpp,
	  src/CommandConsole-cmd.cpp, src/CommandConsole-init.cpp,
	  src/CommandConsole-var.cpp, src/CommandConsole.cpp,
	  src/DebugConsole.cpp, src/DisplayDevice.cpp, src/FbiStuff.cpp,
	  src/FbiStuffBit1.cpp, src/FbiStuffBit24.cpp, src/FbiStuffBmp.cpp,
	  src/FbiStuffDjvu.cpp, src/FbiStuffGif.cpp,
	  src/FbiStuffJasPer.cpp, src/FbiStuffJpeg.cpp,
	  src/FbiStuffLoader.cpp, src/FbiStuffMagick.cpp,
	  src/FbiStuffMatrixMarket.cpp, src/FbiStuffPcx.cpp,
	  src/FbiStuffPdf.cpp, src/FbiStuffPng.cpp, src/FbiStuffPpm.cpp,
	  src/FbiStuffPs.cpp, src/FbiStuffText.cpp, src/FbiStuffTiff.cpp,
	  src/FbiStuffUFRaw.cpp, src/FbiStuffXyz.cpp, src/FimWindow.cpp,
	  src/FontServer.cpp, src/FramebufferDevice.cpp, src/Image.cpp,
	  src/Imlib2Device.cpp, src/SDLDevice.cpp, src/Viewport.cpp,
	  src/common.cpp, src/fim.cpp, src/fim.h, src/fim_plugin.cpp,
	  src/fim_string.cpp, src/interpreter.cpp, src/readline.cpp:
	  Introduced FIM_NULL in fim.h and in *.cpp files.
	  Then: sed -i 's/\<NULL\>/FIM_NULL/g' AADevice.cpp Browser.cpp
	  CACADevice.cpp CACADevice.cpp CommandConsole-cmd.cpp
	  CommandConsole.cpp CommandConsole-init.cpp CommandConsole-var.cpp
	  common.cpp DebugConsole.cpp DisplayDevice.cpp FbiStuffBit1.cpp
	  FbiStuffBit24.cpp FbiStuffBmp.cpp FbiStuff.cpp FbiStuffDjvu.cpp
	  FbiStuffGif.cpp FbiStuffJasPer.cpp FbiStuffJpeg.cpp
	  FbiStuffJpeg.cpp FbiStuffLoader.cpp FbiStuffMagick.cpp
	  FbiStuffMatrixMarket.cpp FbiStuffPcx.cpp FbiStuffPdf.cpp
	  FbiStuffPng.cpp FbiStuffPpm.cpp FbiStuffPs.cpp FbiStuffText.cpp
	  FbiStuffTiff.cpp FbiStuffUFRaw.cpp FbiStuffXyz.cpp fim.cpp
	  fim_string.cpp FimWindow.cpp FontServer.cpp fim_plugin.cpp
	  FramebufferDevice.cpp Image.cpp Imlib2Device.cpp interpreter.cpp
	  readline.cpp SDLDevice.cpp Viewport.cpp

2015-12-18 23:54  dezperado

	* [r888] src/fim.cpp: Oops: had forgot this in r884.

2015-12-18 23:45  dezperado

	* [r887] doc/fim.man, src/Image.h, src/Namespace.cpp,
	  src/Namespace.h: Alloswing variables unsetting ("#!fim:var="
	  syntax).

2015-12-18 23:10  dezperado

	* [r886] src/Browser.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h: Got rid of unmarkCurrentFile(): extended
	  markCurrentFile() for that.

2015-12-18 08:45  dezperado

	* [r885] src/Browser.h: Oops: forgot to commit this file in r883.

2015-12-17 23:07  dezperado

	* [r884] src/Browser.cpp: Oops: forgot two output lines in the
	  code, commenting them.

2015-12-17 23:01  dezperado

	* [r883] NEWS, doc/fimrc.man, src/Browser.cpp,
	  src/CommandConsole.cpp, src/CommandConsole.h: Special syntax
	  ('!') to the limiting feature in order to allow limiting to
	  marked files.

2015-12-17 22:09  dezperado

	* [r882] NEWS, src/FramebufferDevice.cpp: Differently from the
	  other DisplayDevice classes, FramebufferDevice::display was not
	  calling clear_rect() to clear the screen.
	  So this is a bugfix: in some situations fim -o fb was not
	  clearing the screen before drawing the image.

2015-12-14 22:54  dezperado

	* [r881] src/Image.cpp, src/common.cpp, src/common.h, src/fim.h,
	  src/help.cpp: Introduced a call to getrusage and its usability
	  via the %R string info formatting code. Help update as well.

2015-12-14 22:25  dezperado

	* [r880] src/Cache.cpp, src/Cache.h: bug fix: non cacheable()
	  Image's will not be leaking in the prefetch case, as until now.

2015-12-14 21:46  dezperado

	* [r879] src/FbiStuffBit1.cpp, src/FbiStuffBit24.cpp,
	  src/FbiStuffJasPer.cpp, src/FbiStuffMatrixMarket.cpp,
	  src/FbiStuffXyz.cpp: Bug fix: a few further decoders
	  (binary=1,binary=24,MatrixMarket,JasPer, and the example Xyz)
	  were not setting the i->npages to 1 as they should have instead.

2015-12-14 21:38  dezperado

	* [r878] src/FbiStuffPcx.cpp: Bug fix: pcx_init was not setting
	  i->npages = 1 as it should. Consequently it was being treated as
	  uncacheable by Cache.

2015-12-14 16:38  dezperado

	* [r877] src/Image.cpp, src/Image.h: The
	  FIM_WANT_EXPERIMENTAL_MIPMAPS=0 case build was broken: fixed.

2015-12-13 23:37  dezperado

	* [r876] src/interpreter.cpp: Minimal adjustments of a debug Var
	  print. Comments for coming changes.

2015-12-13 23:31  dezperado

	* [r875] src/Var.h: Fix: The half-baked adoption of 'explicit' in
	  r838 broke test11. will reintegrate 'explicit' constructors more
	  systematically in the future.

2015-12-13 21:41  dezperado

	* [r874] src/CommandConsole.h: Comments about the friend classes of
	  CommandConsole.

2015-12-13 21:13  dezperado

	* [r873] src/AADevice.cpp, src/AADevice.h, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/readline.cpp: Commit r871 broke the
	  non-aa device (used to crash after using : to enter in the
	  console mode). Found a better alternative.

2015-12-13 20:51  dezperado

	* [r872] src/CommandConsole-init.cpp, src/CommandConsole.h,
	  src/Image.cpp: Removed friend dependency of Image on
	  CommandConsole.

2015-12-13 20:25  dezperado

	* [r871] src/AADevice.cpp, src/AADevice.h, src/CommandConsole.h,
	  src/readline.cpp: Modified the AA internals in order for
	  fim_rl_sdl_aa_getc_hook() not to require anymore access to
	  CommandConsole::displaydevice_->get_input() .

2015-12-13 19:58  dezperado

	* [r870] src/Browser.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/DisplayDevice.cpp, src/FbiStuff.cpp,
	  src/Viewport.cpp: Taking measures with the intention of making
	  CommandConsole::displaydevice_ private.

2015-12-13 19:05  dezperado

	* [r869] src/Browser.cpp: After successful limiting will reload the
	  current image and not emit any message.

2015-12-13 18:48  dezperado

	* [r868] src/DisplayDevice.h, src/FimWindow.cpp, src/FimWindow.h,
	  src/FramebufferDevice.cpp, src/Image.h, src/Viewport.cpp,
	  src/Viewport.h: A step into rationalizing the use of redraw_:
	  moving it (again) from FimWindow to Viewport.

2015-12-13 16:37  dezperado

	* [r867] src/Viewport.cpp, src/Viewport.h: Viewport has const
	  reference to Rect now.

2015-12-13 16:35  dezperado

	* [r866] src/FimWindow.cpp, src/FimWindow.h, src/Viewport.cpp,
	  src/Viewport.h: class Viewport uses now Rect instead of
	  FimWindow.

2015-12-13 15:59  dezperado

	* [r865] src/Viewport.cpp, src/Viewport.h: Viewport uses
	  FimWindow::corners_ directly now.

2015-12-13 15:47  dezperado

	* [r864] src/FimWindow.cpp, src/FimWindow.h, src/Viewport.cpp:
	  transferred to Rect a few member functions of FimWindow and
	  making (temporarily) FimWindow::corners_ public.

2015-12-13 15:36  dezperado

	* [r863] src/FimWindow.cpp, src/FimWindow.h: Prepending an
	  underscore (_) to the member variables of Rect.

2015-12-13 15:22  dezperado

	* [r862] src/FimWindow.cpp: Removed a few now unnecessary checks.

2015-12-13 12:55  dezperado

	* [r861] src/Namespace.cpp: Oops: Namespace::assign_ns was missing
	  the return statement.

2015-12-13 12:54  dezperado

	* [r860] src/DisplayDevice.h, src/FimWindow.cpp, src/FimWindow.h,
	  src/Image.cpp, src/Image.h, src/Viewport.cpp, src/Viewport.h:
	  Using a cleaner method to keep track of the need to redraw,
	  avoiding the public DisplayDevice::redraw_.

2015-12-13 10:59  dezperado

	* [r859] src/CommandConsole.h: CommandConsole::window_ is private
	  now.

2015-12-13 10:44  dezperado

	* [r858] src/CommandConsole.h: got rid of the friend declaration of
	  class FbiStuff for class CommandConsole.

2015-12-13 10:31  dezperado

	* [r857] src/Image.cpp, src/Image.h, src/Viewport.cpp: got rid of
	  the friend declaration of class Viewport for class Image.

2015-12-13 09:52  dezperado

	* [r856] src/Image.cpp, src/Namespace.cpp, src/Namespace.h: Added a
	  'variables assignment' member function: Namespace::assign_ns.

2015-12-12 11:20  dezperado

	* [r855] src/CommandConsole.cpp, src/fim.cpp, src/fim.h: Introduced
	  the FIM_OSW_LOAD_IMG_DSC_FILE symbol to replace several
	  "load-image-descriptions-file" occurrences.

2015-12-12 11:13  dezperado

	* [r854] doc/fim.man, doc/fimrc.man, src/Browser.cpp,
	  src/Browser.h, src/CommandConsole.cpp, src/fim.cpp, src/fim.h:
	  Documented, polished and enabled the limit browser file list
	  function ('limit').
	  Updated the documentation of --load-image-descriptions-file
	  accordingly.
	  man pages updated as well.

2015-12-10 23:17  dezperado

	* [r853] src/Browser.cpp: Oops: an assignment was meant here.
	  Fixing.

2015-12-10 23:08  dezperado

	* [r852] src/Browser.cpp, src/Browser.h: introduced options to
	  Browser::do_remove which are readily used by Browser::fcmd_limit.

2015-12-09 23:35  dezperado

	* [r851] src/Browser.cpp, src/Browser.h, src/CommandConsole.cpp,
	  src/fim.h: In first changes in implementing a limiting mechanism
	  for the browser file list (so far this is off via
	  FIM_WANT_PIC_LBFL=0).

2015-12-09 22:57  dezperado

	* [r850] src/Browser.cpp, src/Browser.h: Updated the
	  Browser::do_remove member function to accept optional parameters
	  'partial' ad 'negative' (defaults false and false).

2015-12-09 22:21  dezperado

	* [r849] NEWS, src/Browser.cpp: bugfix in Browser::do_remove ("list
	  'remove'" internals).

2015-12-09 07:54  dezperado

	* [r848] NEWS, doc/fim.man, src/Image.cpp, src/Image.h,
	  src/Namespace.h, src/fim.cpp, src/fim.h: load variables
	  description namespace from file ("#!fim:var=value" forms).

2015-11-25 00:19  dezperado

	* [r847] README.FIRST: Update (after 7 years!) of the README.FIRST
	  file.

2015-11-24 09:12  dezperado

	* [r846] README: Mention to `sh autogen.sh' was missing in the
	  README.

2015-11-08 18:42  dezperado

	* [r845] src/AADevice.cpp, src/Browser.cpp, src/CACADevice.cpp,
	  src/Cache.cpp, src/CommandConsole.cpp, src/CommandConsole.h,
	  src/DebugConsole.cpp, src/FbiStuffPng.cpp, src/FimWindow.cpp,
	  src/FimWindow.h, src/FramebufferDevice.cpp, src/Image.cpp,
	  src/Image.h, src/Viewport.h, src/common.cpp: Comments wording
	  correction: "method" -> "member function".

2015-11-08 18:22  dezperado

	* [r844] src/AADevice.cpp, src/AADevice.h, src/Viewport.cpp: made
	  AADevice::clear_rect_ a template member function.

2015-11-08 17:53  dezperado

	* [r843] src/Imlib2Device.cpp, src/SDLDevice.cpp, src/Viewport.cpp,
	  src/fim.h: Introduced the FIM_CNS_WHITE and FIM_CNS_BLACK
	  constants.

2015-11-08 17:51  dezperado

	* [r842] src/Viewport.cpp: Ooops: in the last commit one #endif was
	  misplaced. Fix.

2015-11-08 17:45  dezperado

	* [r841] src/Browser.h, src/Viewport.cpp, src/fim.h: Introduced a
	  file browser progress line functionality (off from the build at
	  the moment).

2015-11-08 17:26  dezperado

	* [r840] src/AADevice.h, src/CACADevice.h, src/DisplayDevice.h,
	  src/DummyDisplayDevice.h, src/FramebufferDevice.h: fill_rect() is
	  now a requirement of each DisplayDevice, although at the moment
	  is bogus except for SDLDevice.

2015-11-05 17:56  dezperado

	* [r839] src/Browser.h, src/CommandConsole.cpp, src/FimWindow.cpp,
	  src/Viewport.cpp: Corrected a few comments.

2015-11-05 16:56  dezperado

	* [r838] src/Var.h: All of the Var constructors were converting
	  constructors. Using the 'explicit' keyword to disable
	  copy-initialization during assignment to three of these
	  constructors.

2015-04-19 11:13  dezperado

	* [r837] var/index.html.in: www page update.

2015-04-18 21:45  dezperado

	* [r836] var/Makefile, var/index.html.in, var/www/fim.css: small
	  update to the webpage: changed the screenshots and a new comment
	  in.

2015-04-18 19:37  dezperado

	* [r835] doc/fimrc.man, src/CommandConsole-help.cpp, src/fim.cpp,
	  src/fim.h: introduced FIM_CNS_LCY /* latest copyright year */.
	  introduced an alias "rotate180".

2015-04-18 19:28  dezperado

	* [r834] src/Cache.cpp, src/Cache.h, src/CommandConsole-cmd.cpp,
	  src/Image.cpp, src/Image.h, src/SDLDevice.cpp, src/fim.h: in a
	  Image::desc_update function; using this, can update the comments
	  by reloading them.
	  this fim.h revision should have been commited in the last change.
	  upsi.
	  no-change in a SDLDevice method.

2015-04-18 19:25  dezperado

	* [r833] doc/fimrc.man, src/Viewport.cpp, src/Viewport.h,
	  src/fimrc, src/help.cpp: added a Viewport::fs_ml_puts method for
	  the multiline text overlay printout.
	  if _comment_over_image>1, the comment will have a black
	  background.

2015-04-16 08:01  dezperado

	* [r832] var/index.html.in: signature file link was wrong on www.
	  fix.

2015-03-15 11:06  dezperado

	* [r831] src/Image.h: typo fix to the FIM_ROT_R_C enum char
	  definition.

2015-03-01 10:49  dezperado

	* [r830] NEWS, src/CommandConsole.cpp: bugfix: in trunk and
	  branches/0.4: the read pipe() descriptors were not being closed.

2015-03-01 09:50  dezperado

	* [r829] src/Viewport.cpp: inner check preventing the
	  _comment_over_image pixels invading off-screen memory (partial
	  fix).

2015-02-15 19:21  dezperado

	* [r828] src/CommandConsole.cpp, src/Viewport.cpp: there was one
	  cast to (fim_int) in excess: got rid of it, as it caused
	  pollution of the steps_ variable.

2015-02-14 13:10  dezperado

	* [r827] src/Browser.cpp, src/fim.h, src/testdir/Makefile,
	  src/testdir/test7.in: test8 used to break on extra *.png files in
	  media/ : Makefile fix for this.
	  test7 used to break because of the "goto" not being capped to
	  100%.

2015-02-13 19:23  dezperado

	* [r825] src/testdir/test10.in, src/testdir/test10.ok,
	  src/testdir/test13.in, src/testdir/test13.ok,
	  src/testdir/test7.in: updated the test suite behind `make tests'
	  to the recent changes.

2015-02-13 15:58  dezperado

	* [r822] debian/control, debian/copyright: ran wrap-and-sort in
	  trunk and 0.4.

2015-02-13 14:15  dezperado

	* [r820] NEWS, README, debian/control: update of further details in
	  NEWS, README, and debian/control files.

2015-02-13 13:59  dezperado

	* [r819] debian/control: update of debian/control description
	  files; rc-3 notice in the 0.4 branch.

2015-02-12 23:24  dezperado

	* [r818] src/CommandConsole-var.cpp, src/Namespace.cpp, src/Var.h,
	  src/interpreter.cpp: got rid of Var(int) i favur got rid of
	  Var(bpplb)

2015-02-12 18:10  dezperado

	* [r817] src/CommandConsole-cmd.cpp, src/CommandConsole-init.cpp,
	  src/CommandConsole-var.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/common.cpp, src/common.h,
	  src/defaultConfiguration.cpp: got rid also of
	  CommandConsole::setVariable(...int).

2015-02-12 17:27  dezperado

	* [r816] src/Browser.cpp, src/Browser.h, src/Cache.cpp,
	  src/DebugConsole.cpp, src/Image.cpp, src/Image.h,
	  src/Namespace.cpp, src/Namespace.h, src/Viewport.cpp,
	  src/fim_types.h: got rid of Namespace::setVariable(..int) and
	  Namespace::setGlobalVariable(..int).

2015-02-12 17:06  dezperado

	* [r815] src/Namespace.cpp, src/Namespace.h: obsolete Namespace
	  comments cleanup.

2015-02-12 11:12  dezperado

	* [r814] doc/fimrc.man, src/Namespace.cpp, src/fimrc: minimal
	  change to the inner fimrc: moved rotation/orientation/mirror next
	  to size/scale info.

2015-02-12 11:09  dezperado

	* [r813] src/CommandConsole-var.cpp, src/CommandConsole.h:
	  simplifying the CommandConsole variable read/modify methods.

2015-02-12 11:07  dezperado

	* [r812] src/Image.cpp, src/Image.h: using exif-based rotation enum
	  values.

2015-02-12 11:06  dezperado

	* [r811] src/Viewport.cpp: small bugfix: Viewport was accessing a
	  Namespace variable of itself. this is forbidden now. shall
	  enforce this better.

2015-02-11 20:15  dezperado

	* [r809] src/CommandConsole-var.cpp: repaired the buggy g:
	  namespace access.

2015-02-11 19:03  dezperado

	* [r808] NEWS, doc/fimrc.man, src/CommandConsole-help.cpp,
	  src/Viewport.cpp, src/fim.h, src/help.cpp, src/lex.lex: put aside
	  the v: b: and w: namespaces until they make more sense.
	  annotated i:/g: for each variable.

2015-02-11 18:28  dezperado

	* [r807] NEWS, doc/fimrc.man, src/Image.cpp, src/fim.h,
	  src/help.cpp: got rid of i:pagecount for i:pages.
	  a first indication of the validity domain for the variables
	  (still a long long way to go ...).

2015-02-11 18:13  dezperado

	* [r806] NEWS, doc/fimrc.man, src/fim.h, src/help.cpp: removed the
	  'internal,' specifier to the internal variables: it is now
	  obsolete.

2015-02-11 17:59  dezperado

	* [r805] NEWS, doc/fimrc.man, src/Image.cpp, src/fim.h,
	  src/help.cpp: introduced helper variables: __exif_orientation,
	  __exif_mirrored, __exif_flipped

2015-02-11 17:05  dezperado

	* [r804] src/FbiStuff.cpp, src/Image.cpp, src/common.cpp:
	  conversions fixes.

2015-02-11 16:51  dezperado

	* [r803] src/AADevice.cpp, src/Arg.cpp, src/Arg.h, src/Browser.cpp,
	  src/FbiStuff.cpp, src/FbiStuff.h, src/Var.h, src/common.cpp,
	  src/common.h, src/fim.cpp, src/fim.h, src/fim_string.cpp,
	  src/fim_types.h, src/interpreter.cpp, src/lex.h, src/lex.lex,
	  src/yacc.ypp: further changes to allow freedom in the choice of
	  fim_int.

2015-02-11 16:42  dezperado

	* [r802] configure.ac: the last version of the configure was
	  incomplete: fix.

2015-02-11 07:49  dezperado

	* [r801] src/fim_stream.cpp, src/fim_string.cpp: avoiding a few
	  unwanted forced conversions with a compile-time-optimizable
	  switch.

2015-02-11 07:43  dezperado

	* [r800] configure.ac, src/AADevice.cpp,
	  src/CommandConsole-var.cpp, src/CommandConsole.h,
	  src/Namespace.cpp, src/Namespace.h, src/SDLDevice.cpp, src/Var.h,
	  src/fim.cpp, src/fim.h, src/fim_stream.cpp, src/fim_stream.h,
	  src/fim_string.cpp, src/fim_string.h, src/fim_types.h: preparing
	  the code for the option of using 64 bit integers in the internal
	  int representation.

2015-02-10 22:59  dezperado

	* [r799] doc/fimrc.man, src/FbiStuff.cpp, src/Image.cpp,
	  src/Image.h, src/fim.h, src/fimrc, src/help.cpp: the internal
	  rotation values will proceed clockwise now (instead of
	  counter-clockwise). documented this detail.

2015-02-08 00:26  dezperado

	* [r798] src/Image.cpp, src/Image.h, src/Viewport.cpp, src/fim.h:
	  added Image::is_flipped and Image::is_mirrored.

2015-02-07 22:37  dezperado

	* [r797] src/Image.cpp: The Bottom-right EXIF orientation case was
	  being handled wrongly: fix.

2015-02-07 15:13  dezperado

	* [r796] NEWS, doc/fimrc.man, src/FbiStuff.cpp, src/fim.h,
	  src/help.cpp: if an image has been opened with an offset,
	  i:_open_offset will be set accordingly

2015-02-07 14:58  dezperado

	* [r795] NEWS, doc/fim.man, doc/fimrc.man, src/FbiStuff.cpp,
	  src/fim.cpp, src/fim.h, src/help.cpp: --offset accepts a range
	  now (using the new _open_offset_retry variable).

2015-02-07 14:12  dezperado

	* [r794] src/FbiStuff.cpp: find_regexp_offset had a bug, thus
	  neutralizing the _seek_magic=.. mechanism. fix.

2015-02-07 13:08  dezperado

	* [r793] doc/fim.man, src/fim.cpp, src/fim.h: documentation fixes
	  (mostly adding a dot to each command option description
	  sentences).

2015-02-07 12:48  dezperado

	* [r792] src/fim.h: In r789 cut accidentally a line fraction of
	  documentation. Reintegrating it.

2015-02-07 12:39  dezperado

	* [r791] NEWS, src/CommandConsole-cmd.cpp, src/fim.cpp, src/fim.h:
	  the 'help' command will search also in fim command options
	  (r791*)

2015-02-07 11:17  dezperado

	* [r790] NEWS, doc/fim.man, doc/fimrc.man,
	  src/CommandConsole-cmd.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/fim.h: 'descload' -> 'desc "load"'.

2015-02-07 00:02  dezperado

	* [r789] debian/changelog, debian/compat, debian/control,
	  debian/copyright, debian/dirs, debian/files,
	  debian/fim.substvars, debian/menu.ex, debian/rules,
	  debian/substvars, debian/watch, src/fim.h: adapted the debian/*
	  files to be (mostly) like the ones in 0.4.
	  --
	  
	  D trunk/debian/menu.ex
	  M trunk/debian/control
	  D trunk/debian/dirs
	  D trunk/debian/files
	  M trunk/debian/compat
	  D trunk/debian/fim.substvars
	  M trunk/debian/watch
	  M trunk/debian/changelog
	  M trunk/debian/copyright
	  M trunk/debian/rules
	  D trunk/debian/substvars
	  M trunk/src/fim.h

2015-02-06 00:47  dezperado

	* [r788] doc/fim.man, src/FontServer.cpp: set a different font as
	  first one in the font search list (a nice bold one:
	  Uni3-TerminusBoldVGA14.psf.gz).

2015-02-05 23:32  dezperado

	* [r787] src/Browser.cpp, src/Browser.h, src/Cache.cpp,
	  src/Image.cpp, src/Image.h: before this revision opening a non
	  existent file with --no-stat-push would segfault; not now.

2015-02-05 21:50  dezperado

	* [r786] configure.ac: in the configure, renamed:
	  --enable-recursive-dirs to --enable-recursive-pushdir
	  and
	  --enable-read-dirs to --enable-pushdir

2015-02-05 21:40  dezperado

	* [r785] NEWS, doc/fim.man, doc/fimrc.man, src/AADevice.cpp,
	  src/fim.cpp, src/fim.h, src/fimrc, src/help.cpp: renamed the
	  internalvariable _preload_checks to _push_checks.
	  comment fix in AADevice.cpp.

2015-02-05 21:19  dezperado

	* [r784] NEWS, doc/fimrc.man, src/FbiStuff.cpp, src/fim.h,
	  src/help.cpp: i:_file loader will store the used loader string.

2015-02-05 20:41  dezperado

	* [r783] src/Image.cpp: a clone constructor of Image was not
	  initializing one member properly, leading to e.g. empty results
	  in getGlobalIntVariable: fix.

2015-02-05 18:57  dezperado

	* [r782] NEWS, doc/fimrc.man, src/fimrc: key Del bound to pop the
	  current image from the list.

2015-02-05 18:56  dezperado

	* [r781] src/Browser.cpp: fix to the "list 'pop'" command.

2015-02-05 18:15  dezperado

	* [r780] NEWS, doc/fimrc.man, src/Browser.cpp,
	  src/CommandConsole.cpp, src/CommandConsole.h, src/fim.h: added
	  list 'marked' to show the list of marked files.

2015-02-05 17:52  dezperado

	* [r779] doc/fim.man, doc/fimrc.man, src/fim.cpp: documentation
	  mention of zcat to uncompress the font file. minor doc
	  adjustments.

2015-02-05 17:39  dezperado

	* [r778] NEWS, doc/fim.man, doc/fimrc.man, src/Viewport.h,
	  src/defaultConfiguration.cpp, src/fim.cpp, src/fimrc: changed
	  default bindings of n/p (will cycle on file only),
	  PageUp,PageDown (files and pages).
	  bound the Menu key (just as Tab).
	  doc fixes.

2015-02-05 17:32  dezperado

	* [r777] src/CommandConsole-cmd.cpp, src/CommandConsole.cpp:
	  changed slightly the diagnostic message of bind-related commands
	  (now it will display the keysym as well).

2015-02-05 17:16  dezperado

	* [r776] src/SDLDevice.cpp, src/fim.h: Listing explicitly the
	  keycodes for events SDLK_BACKSPACE SDLK_TAB SDLK_RETURN
	  SDLK_PAUSE SDLK_INSERT SDLK_DELETE SDLK_MENU. Handling of
	  Backspace was broken and that of Insert and that of the Menu key
	  is now new in SDL mode.

2015-02-05 17:06  dezperado

	* [r775] NEWS, src/Viewport.cpp: extension of the recent (772)
	  patch to the mouse based pan.

2015-02-05 07:51  dezperado

	* [r774] configure.ac: --enable-hardcoded-font (hardcoded font) is
	  now default in configure.

2015-02-04 21:22  dezperado

	* [r773] src/Browser.cpp: bugfix: back search with '?' was ignoring
	  actual argument and using the cached one (last regexp..).

2015-02-04 20:47  dezperado

	* [r772] NEWS, src/Viewport.cpp, src/Viewport.h: mirror/flip is now
	  being applied with respect to the viewport borders.

2015-02-02 21:53  dezperado

	* [r771] doc/fimrc.man, src/fim.h, src/fimrc, src/help.cpp: the
	  default _want_caption_status value now contains also %L.

2015-02-02 21:53  dezperado

	* [r770] src/Image.cpp: changed the %L specifier to contain also
	  orientation information.

2015-02-02 21:38  dezperado

	* [r769] NEWS, doc/fimrc.man, src/Image.cpp, src/fim.h, src/fimrc,
	  src/help.cpp: if _want_exif_orientation is set, images will be
	  reoriented according to EXIF metadata.

2015-02-02 18:56  dezperado

	* [r768] README, doc/fimrc.man, src/fim.h, src/help.cpp:
	  documentation fixes (~/fim_history -> ~/.fim_history).
	  and in trunk, README adjustment.

2015-02-02 18:48  dezperado

	* [r767] NEWS, doc/fimrc.man, src/FontServer.cpp, src/fim.h,
	  src/help.cpp: the _fbfont variable will contain the current
	  console font file string.

2015-02-02 18:10  dezperado

	* [r766] src/Image.cpp: If ascale is set and rotating orthogonally,
	  image proportions shall now be preserved during rotation.

2015-02-01 11:01  dezperado

	* [r765] src/CommandConsole.cpp: unused variables warnings fix.

2015-02-01 10:18  dezperado

	* [r763] src/CommandConsole.cpp: changes to the command repeat
	  feature limit: using min between upper limit and value as a limit
	  (not mod()), a message will be displayed on exceeding of
	  _max_iterated_commands, and a check to avoid negative repeat
	  values.

2015-02-01 09:44  dezperado

	* [r762] doc/fim.man, doc/fimrc.man, src/fim.cpp, src/fim.h:
	  Documented with examples the repeat command feature.

2015-01-31 23:23  dezperado

	* [r761] src/FbiStuff.cpp: equipping FbiStuff::fim_mipmaps_compute
	  to NULL src arguments.

2015-01-31 22:31  dezperado

	* [r760] src/Browser.cpp, src/Cache.cpp, src/Cache.h,
	  src/FbiStuff.cpp, src/Image.cpp: early adaptations to browse
	  multiple multi-page documents (still inefficient and clumsy).

2015-01-31 16:25  dezperado

	* [r759] BUGS, src/AADevice.cpp, src/CommandConsole-init.cpp,
	  src/SDLDevice.cpp: barely relevant fix to AADevice::get_input.
	  aalib PageUp/PageDown problems note.

2015-01-31 15:07  dezperado

	* [r758] src/Browser.cpp: since a few commits, Browser::fcmd_list
	  was returning the wrong argument. fix.

2015-01-31 15:01  dezperado

	* [r757] src/Browser.cpp, src/Cache.cpp, src/FbiStuff.cpp,
	  src/Image.cpp: on multipage, rotating list on pages if moving
	  outwards from extremal pages.
	  commented shred lines in the img destructor.

2015-01-31 12:11  dezperado

	* [r756] doc/fimrc.man, src/Browser.cpp, src/Cache.cpp,
	  src/Cache.h, src/FbiStuff.cpp, src/Image.cpp, src/Image.h,
	  src/fim.h, src/help.cpp: extended the inspection printout macros
	  to Image and the FbiStuff.
	  working to get Image::load not depend on current page.
	  added an i:pages variable.

2015-01-31 09:24  dezperado

	* [r755] src/Browser.cpp: oops: one thing was missing from
	  Browser::find_file_index.

2015-01-31 09:19  dezperado

	* [r754] src/Browser.cpp, src/Browser.h: Browser::present and
	  Browser::find_file_index are now const.

2015-01-31 09:06  dezperado

	* [r753] src/Browser.cpp: in a diagnostic printout for the Browser
	  class, like for Cache.

2015-01-30 21:57  dezperado

	* [r752] doc/fimrc.man, src/Browser.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h: will update caption even if status bar
	  display is off.

2015-01-30 20:45  dezperado

	* [r751] src/Browser.cpp, src/Browser.h,
	  src/CommandConsole-cmd.cpp, src/Image.cpp: now on
	  Browser::display_status takes one argument only.

2015-01-30 20:30  dezperado

	* [r750] src/fim.h, src/fimrc: removed wrong documentation
	  reference to XWD format (part of fbida, not in fim).
	  typo fix in trunk.

2015-01-30 20:15  dezperado

	* [r749] src/fim.cpp, src/fim.h: in two new documentation helper
	  macros: FIM_MAN_fR and FIM_MAN_fB.

2015-01-30 08:03  dezperado

	* [r748] doc/fim.man, src/fim.cpp, src/fim.h: man page dox fixes

2015-01-29 21:03  dezperado

	* [r747] doc/fim.man, doc/fimrc.man, src/fim.cpp, src/fim.h: doc
	  fixes for 'list'.

2015-01-27 22:08  dezperado

	* [r746] NEWS, configure.ac, doc/fim.man, doc/fimrc.man,
	  src/Browser.cpp, src/Browser.h, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/fim.cpp, src/fim.h: -R/--recursive
	  switch to turn on recursive push of command line specified
	  directories.
	  added a 'list "pushdirr"' command, working like "pushdir" but
	  recursive.
	  configure script default won't disable the recursive push
	  anymore.

2015-01-27 01:19  dezperado

	* [r745] NEWS, doc/fimrc.man, src/FbiStuff.cpp, src/fim.h,
	  src/help.cpp: added a _archive_files variable to specify which
	  file names specify archives.

2015-01-26 22:33  dezperado

	* [r744] NEWS, doc/fimrc.man, src/grammar.h, src/yacc.ypp: added a
	  ':- INTEGER' syntax, so one can specify the file in the list
	  counting from the end.

2015-01-26 17:58  dezperado

	* [r743] doc/fim.man, src/fim.cpp: doc fix.

2015-01-25 18:06  dezperado

	* [r742] Makefile.am, doc/fim.man, doc/fimgs.man, doc/fimrc.man,
	  src/Cache.cpp: oops: forgot a diagnostic printout in the cache
	  mechanisms. now it's off.
	  in a trick to substitute -'s with \-'s in the man files (for
	  lintian...).

2015-01-25 17:44  dezperado

	* [r739] src/Cache.cpp, src/Image.cpp, src/Image.h: multipage
	  support seems back to life (introduced 'uncacheable' images).
	  tested ith djvu.

2015-01-25 16:18  dezperado

	* [r738] src/Image.cpp, src/Image.h: moved the mipmap related
	  methods definitions of Image to the cpp file.

2015-01-25 16:13  dezperado

	* [r737] configure.ac: unrecommended features will be annotated in
	  the configure script output.

2015-01-25 14:56  dezperado

	* [r736] doc/fimrc.man, src/Cache.cpp, src/Image.cpp, src/Image.h,
	  src/fim.h, src/help.cpp: the mipmaps won't be cached.

2015-01-25 14:02  dezperado

	* [r735] src/fim.cpp: avoiding narrowing conversion of the
	  numerical getopt() codes associated to --dump-reference-help and
	  --offset by choosing smaller numbers.

2015-01-25 13:52  dezperado

	* [r734] doc/fimrc.man, src/fim.h: Readjusted a documentation
	  string becaue of a lamentation of `man --html=cat': "<standard
	  input>:374: warning [p 1, 53.7i]: cannot adjust line <standard
	  input>:374: warning [p 1, 53.8i]: cannot adjust line"

2015-01-25 13:22  dezperado

	* [r733] NEWS, src/Image.cpp: the %C expando will also display
	  cached images count.

2015-01-25 13:21  dezperado

	* [r732] doc/fimrc.man, src/Cache.cpp, src/Cache.h, src/fim.h,
	  src/fim_string.cpp, src/fim_string.h, src/help.cpp: housekeeping
	  of the cache mechanism and better reporting. dox fixes.

2015-01-24 22:04  dezperado

	* [r731] src/CommandConsole-cmd.cpp: extendend the search domain of
	  the 'help "/.."' syntax.

2015-01-24 21:05  dezperado

	* [r730] doc/fimrc.man, src/CommandConsole.cpp, src/FbiStuff.cpp,
	  src/Image.cpp: extended desaturation and colors invert to mipmap
	  as well.
	  desaturation document fix.

2015-01-24 20:39  dezperado

	* [r729] NEWS, doc/fimrc.man, src/FbiStuff.cpp, src/FbiStuff.h,
	  src/Image.cpp, src/fim.h, src/fimrc, src/help.cpp: _use_mipmaps=1
	  is now default and will be enough to use mipmaps in downscaling.
	  code tidyness, documentation fixes.

2015-01-24 16:41  dezperado

	* [r728] configure.ac: --enable-custom-status-bar is now implied
	  default.

2015-01-24 16:27  dezperado

	* [r727] NEWS, README, configure.ac: libexif autodetection by
	  default in the configure. doc notes.

2015-01-24 15:52  dezperado

	* [r726] NEWS, configure.ac, doc/fimrc.man, src/fim.h, src/fimrc,
	  src/help.cpp: properly documenting _want_caption_status,
	  _display_status_fmt, and _info_fmt_str.
	  the configure will declare whether libexif has been configured
	  in.

2015-01-24 14:17  dezperado

	* [r725] src/CommandConsole-cmd.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h: bind commands will now be recorded in the
	  internal documentation database.

2015-01-24 13:11  dezperado

	* [r724] NEWS, doc/fimrc.man, src/CommandConsole-help.cpp,
	  src/Namespace.cpp, src/fim.h, src/lex.lex: special variable i:*
	  expanding to all the variable name/value pairs of an image

2015-01-24 13:09  dezperado

	* [r723] src/FbiStuffJpeg.cpp: will read all the EXIF tags present
	  in a file iterating through them.

2015-01-24 11:04  dezperado

	* [r722] src/SDLDevice.cpp, src/SDLDevice.h: on window manager
	  resize will update the variables to be read by the text console.

2015-01-24 11:02  dezperado

	* [r721] src/DebugConsole.cpp: it seems like r602 without the
	  present patch introduced a bug impeding MiniConsole access to
	  global variables..

2015-01-24 09:21  dezperado

	* [r720] NEWS, doc/fimrc.man, src/CommandConsole-cmd.cpp,
	  src/fim.h: the 'help' command will search in help items if
	  argument starts with /.

2015-01-23 23:09  dezperado

	* [r718] BUGS, NEWS, README, doc/fim.man, doc/fimrc.man,
	  src/AADevice.cpp, src/Browser.cpp, src/CommandConsole.cpp,
	  src/FbiStuffGif.cpp, src/Image.cpp, src/fim.cpp, src/fim.h,
	  src/help.cpp: improving the documentation: NEWS, README, internal
	  help and man pages.

2015-01-23 18:32  dezperado

	* [r717] src/FbiStuffGif.cpp: Adapted the gif decoder to build
	  with: giflib-4.1.6, giflib-4.2.3, giflib-5.0.0, giflib-5.1.1
	  (their APIs differ).

2015-01-23 18:16  dezperado

	* [r716] src/FbiStuffJpeg.cpp, src/FramebufferDevice.cpp,
	  src/FramebufferDevice.h: prepending FIM_FBI_ to two simple old
	  macros for TRUE and FALSE.

2015-01-22 22:09  dezperado

	* [r715] doc/fimrc.man, src/fim.h: documentation update of 'scale'
	  command, now with mention of the '*{value}' syntax (last commit
	  here).

2015-01-22 21:49  dezperado

	* [r713] BUGS, src/Browser.cpp: fixed a bug in which the syntax of
	  relative scaling (e.g.; '*1.2') was being ignored by 'scale'.
	  added mention of bugfix from r688 to BUGS.

2015-01-22 07:58  dezperado

	* [r712] src/Image.cpp: fortifying Image::getInfoCustom.

2015-01-21 01:03  dezperado

	* [r706] src/Image.cpp: accidentally the last commit introduced
	  trigraphs --- got rid of that.
	  wrote a warning note for Image::getInfoCustom's quality.

2015-01-21 00:52  dezperado

	* [r705] src/FbiStuffJpeg.cpp, src/Image.cpp: changed the format of
	  the conditional expando for _display_status_fmt.
	  added four further EXIF tags being extracted and making it into
	  image variables.

2015-01-20 22:59  dezperado

	* [r704] ChangeLog: ChangeLog update.

2015-01-20 08:03  dezperado

	* [r703] NEWS, doc/fim.man, src/fim.cpp: added a --autowindow
	  switch to adapt window size to picture size.

2015-01-19 22:02  dezperado

	* [r702] src/Browser.cpp: enforcing reorientation after before
	  scaling.

2015-01-19 20:21  dezperado

	* [r701] src/Browser.cpp, src/SDLDevice.cpp: on "display 'resize'",
	  will space for status line only if status line verbosity is on.

2015-01-19 19:58  dezperado

	* [r700] src/SDLDevice.cpp: setting also resizeable window and
	  mouse pointer active as default for SDL.

2015-01-19 19:34  dezperado

	* [r699] src/SDLDevice.cpp, src/fimrc: added a missing check after
	  the SDL window resize.

2015-01-19 19:01  dezperado

	* [r698] NEWS, src/Browser.cpp, src/CommandConsole.cpp,
	  src/SDLDevice.cpp, src/fimrc: added a "display 'resize'" to
	  resize the SDL window.
	  default SDL mode is windowed now.
	  default 'C-w' key will resize the SDL window to the original
	  image size.
	  default 'W' key will resize the SDL window to the image size.
	  if unspecified, the initial window size will be half of the
	  screen.

2015-01-19 00:27  dezperado

	* [r697] NEWS, TODO, doc/fim.man, doc/fimrc.man, src/Browser.cpp,
	  src/Image.cpp, src/fim.cpp: --load-image-descriptions-file will
	  override the comment eventually directly read from the file.

2015-01-18 23:45  dezperado

	* [r696] NEWS, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole.cpp, src/fim.h, src/fimrc: when repeating
	  searching with repeat_last, will use last direction.
	  '?' key is now assigned to backward search.
	  default 'C-p' key is now assigned to repeat last backward search.

2015-01-18 12:37  dezperado

	* [r694] src/readline.cpp: directing the output stream of readline
	  to /dev/null: it seems like for some reason rl_erase_empty_line
	  emits a newline after e.g.: ":<something>".

2015-01-18 11:53  dezperado

	* [r693] src/CommandConsole.cpp, src/SDLDevice.cpp: when dumping
	  selected filenames will not emit the first newline to stdout
	  anymore, but to stderr instead.

2015-01-18 11:39  dezperado

	* [r692] src/Makefile.am, src/SDLDevice.cpp,
	  src/default_icon_byte_array.h: will display a (hardcoded) icon
	  when running in SDL mode.

2015-01-18 09:31  dezperado

	* [r691] src/CommandConsole-cmd.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/fim.h: avoiding command console buffer
	  pollution after a search.

2015-01-18 00:58  dezperado

	* [r690] NEWS, doc/fimrc.man, src/CommandConsole-cmd.cpp,
	  src/CommandConsole.cpp, src/CommandConsole.h, src/fim.h: Added
	  the 'descload' command.

2015-01-17 14:47  dezperado

	* [r688] NEWS, src/CommandConsole-init.cpp, src/CommandConsole.cpp,
	  src/readline.cpp, src/readline.h: overwriting rl_instream with a
	  bogus stream for the situations when no stdin causes readline()
	  to fail (e.g.: invoking fim from an X menu).

2015-01-17 13:28  dezperado

	* [r687] src/CommandConsole.cpp: when attempting entering in
	  command line mode with no stdin (e.g. fim < /dev/null), instead
	  of cowardly exiting the program, just displaying a message.

2015-01-17 11:27  dezperado

	* [r686] configure.ac, doc/fimrc.man, src/CACADevice.cpp,
	  src/CACADevice.h: resuscicated the partial libcaca driver based
	  device to compile. before making it working, shall migrate to the
	  1.0 interface.

2015-01-17 10:02  dezperado

	* [r685] NEWS, src/fimrc: key r is bound to 'rotate90', key R to
	  'rotate270', both in trunk and 0.4.

2015-01-17 09:22  dezperado

	* [r684] src/help.cpp: had forgotten one (this) line of text in the
	  previous commit.

2015-01-17 09:21  dezperado

	* [r683] NEWS, doc/fimrc.man, src/Viewport.cpp, src/fim.h: added a
	  _comment_over_image variable and the capability of displaying
	  comment/description text over the image.

2015-01-17 08:53  dezperado

	* [r682] NEWS, doc/fim.man, src/Image.h, src/fim.cpp: Added a
	  --image-descriptions-file-separator option to specify an
	  arbitrary separator character to --load-image-descriptions-file.

2015-01-13 23:10  dezperado

	* [r681] doc/fim.man, src/Image.h, src/fim.cpp: added a
	  --read-from-stdin-elds option to allow endline delimiters
	  specification in the filenames text.
	  --load-image-descriptions-file will now associate to basename.
	  corresponding documentation updates.

2015-01-13 22:13  dezperado

	* [r680] src/fim.cpp: replacing read_one_file_from_stdin with an
	  enum.

2014-12-11 00:10  dezperado

	* [r679] NEWS, doc/fim.man, doc/fimrc.man, src/Browser.cpp,
	  src/CommandConsole.cpp, src/fim.cpp, src/fim.h, src/help.cpp:
	  introduced --no-stat-push, which sets _preload_checks=0 before
	  files push'ing.

2014-12-09 21:41  dezperado

	* [r678] NEWS, doc/fim.man, doc/fimrc.man, src/Browser.cpp,
	  src/common.cpp, src/common.h, src/fim.cpp, src/fim.h, src/fimrc,
	  src/help.cpp: stat() checking of files on load can be disabled
	  with _preload_checks.
	  commented out the still unused append_to_file function.
	  terminal clear term code (commented) for future use.

2014-12-07 17:55  dezperado

	* [r677] src/Image.cpp: In a check to prevent the ? expando from
	  working in case of empty variable.

2014-12-07 14:16  dezperado

	* [r676] NEWS, src/Image.cpp, src/fim.h: introduced special image
	  variable expandos.

2014-12-07 13:17  dezperado

	* [r675] src/FbiStuff.cpp, src/FbiStuff.h, src/FbiStuffJpeg.cpp,
	  src/FbiStuffLoader.h, src/Image.cpp, src/fim.h: EXIF tags will
	  make it into the Image's Namespace.

2014-12-06 13:48  dezperado

	* [r674] NEWS, src/Browser.cpp: a rudimentary mechanism for search
	  (and jump) on image descriptions.

2014-12-06 13:10  dezperado

	* [r673] doc/fim.man, src/CommandConsole.h, src/fim.cpp: In the man
	  file will not indent anymore the long options.

2014-12-06 12:58  dezperado

	* [r672] NEWS, doc/fim.man, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/Image.cpp, src/Image.h, src/fim.cpp,
	  src/fim.h: Implemented an experimental
	  --load-image-descriptions-file function.

2014-12-04 18:46  dezperado

	* [r671] NEWS, doc/fimrc.man, src/Browser.cpp,
	  src/CommandConsole.cpp, src/CommandConsole.h, src/fim.h,
	  src/fimrc, src/help.cpp: introduced _re_search_opts to allow
	  regexp searches on basename (default) or full pathname.

2014-12-04 18:34  dezperado

	* [r670] src/common.cpp: using strrchr in fim_basename_of().

2014-12-03 22:22  dezperado

	* [r669] NEWS, doc/fim.man, src/Browser.cpp, src/Browser.h,
	  src/fim.cpp: added --sort program switch; then --sort-basename
	  and its internal "sort 'b'".

2014-11-30 18:19  dezperado

	* [r668] README, var/Makefile, var/index.html.in: update of the www
	  stuff

2014-11-30 16:46  dezperado

	* [r667] NEWS, doc/fim.man, doc/fimrc.man, src/Browser.cpp,
	  src/fim.h, src/fimrc, src/help.cpp: jump back and forth from the
	  last viewed image with the ' key and the _lastfileindex variable.

2014-11-30 12:03  dezperado

	* [r666] NEWS, README, THANKS, TODO, configure.ac,
	  src/FbiStuffPcx.cpp, src/Makefile.am: Now supporting PCX files
	  reading thanks to code contributed by Mohammed Isam.

2014-11-30 11:21  dezperado

	* [r665] NEWS, TODO, configure.ac, src/FbiStuff.cpp: made the
	  configure output a little more informative/readable/compact.
	  added .tar.gz to the (sic!) hardcoded libarchive handled
	  extensions.

2014-11-30 10:29  dezperado

	* [r664] NEWS, TODO, configure.ac, src/FbiStuffBmp.cpp,
	  src/Makefile.am: introduced the ability to disable BMP file
	  support with --disable-bmp.

2014-11-30 00:44  dezperado

	* [r663] configure.ac, src/FbiStuffXyz.cpp: Added a --enable-xyz
	  switch to enable the bogus xyz sample format decoder.

2014-11-29 14:37  dezperado

	* [r662] src/FbiStuffJasPer.cpp: svn ps svn:keywords
	  LastChangedDate src/FbiStuffJasPer.cpp

2014-11-29 14:35  dezperado

	* [r661] src/FbiStuffJasPer.cpp: ooops: removed a hardcoded
	  '#define FIM_WITH_LIBJASPER 1'.

2014-11-29 14:14  dezperado

	* [r660] NEWS, TODO, configure.ac, src/FbiStuffJasPer.cpp,
	  src/Makefile.am: A first, experimental JPEG-2000 support via
	  JasPer.

2014-11-29 14:09  dezperado

	* [r659] src/FbiStuffXyz.cpp: Got rid of a risky conversion in
	  FbiStuffXyz.cpp.

2014-11-29 00:04  dezperado

	* [r658] TODO, src/CommandConsole-cmd.cpp,
	  src/CommandConsole-help.cpp, src/CommandConsole-init.cpp,
	  src/CommandConsole.cpp, src/FbiStuff.cpp, src/Image.cpp,
	  src/Viewport.cpp, src/defaultConfiguration.cpp, src/fim.cpp,
	  src/fim.h, src/readline.cpp: enabled the code to be compiled with
	  -std=gnu++11.

2014-11-28 22:49  dezperado

	* [r657] TODO, src/CommandConsole.cpp, src/FbiStuffJpeg.cpp,
	  src/Image.cpp: Using snprintf instead of sprintf in accepting the
	  'desc' string.
	  Thinking about the future of JPEG/EXIF and background loaders.

2014-11-27 19:45  dezperado

	* [r656] src/Image.cpp: Fixing a segfault case.

2014-11-27 09:34  dezperado

	* [r655] doc/fimrc.man, src/fim.h, src/fimrc, src/help.cpp:
	  yesterday forgot to version this change of defaults. C-k binding
	  (comments display) and a nice (nicer than %v)
	  _want_caption_status are now the default.

2014-11-26 20:28  dezperado

	* [r654] doc/fimrc.man, src/Image.cpp, src/fim.h: added two
	  variables (_use_exiftool,_exiftool_comment) that respectively
	  control and use exiftool's capabilities.

2014-11-26 20:17  dezperado

	* [r653] TODO, configure.ac, src/Image.cpp: added an exiftool
	  interface, which can be activated via --enable-exiftool and
	  updates the _comment variable with output from exiftool.

2014-11-25 22:55  dezperado

	* [r652] src/Image.cpp: Builds without
	  FIM_WANT_CUSTOM_INFO_STATUS_BAR set were broken. Fix.

2014-11-24 10:13  dezperado

	* [r651] src/Browser.cpp, src/fim.h, src/help.cpp:
	  _display_status_fmt is now a customizable format string.

2014-11-23 02:50  dezperado

	* [r650] src/Image.cpp: the last commit used to show a quantity to
	  be zero in the format string function. fix.

2014-11-23 01:53  dezperado

	* [r649] src/FbiStuffJpeg.cpp: A few changes in the (non active)
	  libexif code.

2014-11-23 01:52  dezperado

	* [r648] TODO, doc/fimrc.man, src/Image.cpp, src/fim.h, src/fimrc,
	  src/help.cpp: Now the caption as well can be set to a custom
	  format string.

2014-11-23 01:28  dezperado

	* [r647] TODO, src/CommandConsole.cpp, src/Image.cpp, src/Image.h,
	  src/help.cpp: generalized a bit the custom info string mechanism
	  and enabling it for the window caption.

2014-11-23 01:25  dezperado

	* [r646] src/Image.cpp, src/Image.h: made a few Image accessors
	  const.

2014-11-23 00:17  dezperado

	* [r645] doc/fimrc.man, src/CommandConsole.cpp, src/Namespace.cpp,
	  src/Namespace.h, src/fim.h: FIM_VID_WANT_CAPTION_STATUS now
	  allows specification of a custom fixed string.

2014-11-22 22:45  dezperado

	* [r644] src/Browser.cpp, src/fim.h, src/help.cpp: introduced an
	  experimental FIM_VID_DISPLAY_STATUS_FMT variable.

2014-11-22 22:25  dezperado

	* [r643] src/Browser.cpp, src/common.cpp, src/common.h, src/fim.h:
	  an internal experimental switch for optionally displaying
	  basename of displayed filenames (instead of full path) in the
	  status bar.

2014-11-20 11:45  dezperado

	* [r642] TODO, doc/FIM.TXT: Added mention to FbiStuffXyz.cpp to the
	  FAQ.

2014-11-19 22:53  dezperado

	* [r641] TODO, src/FbiStuffXyz.cpp, src/Makefile.am: A working
	  sample file format decoder example (disabled).

2014-11-19 22:49  dezperado

	* [r640] src/FbiStuffXyz.cpp: Introducing a sample file format
	  decoder source, FbiStuffXyz.cpp .

2014-11-17 18:50  dezperado

	* [r639] src/Image.cpp: for some weird reason the scaling routine
	  used to display a notice about prefetching... got rid of this.

2014-11-17 18:47  dezperado

	* [r638] src/Image.cpp: an ugly way to force the proper status
	  display after prefetch after load.

2014-11-17 18:22  dezperado

	* [r637] src/FbiStuff.cpp, src/FbiStuffBit1.cpp,
	  src/FbiStuffBit24.cpp, src/FbiStuffBmp.cpp, src/FbiStuffDjvu.cpp,
	  src/FbiStuffGif.cpp, src/FbiStuffJpeg.cpp,
	  src/FbiStuffMatrixMarket.cpp, src/FbiStuffPdf.cpp,
	  src/FbiStuffPng.cpp, src/FbiStuffPpm.cpp, src/FbiStuffPs.cpp,
	  src/FbiStuffText.cpp, src/FbiStuffTiff.cpp,
	  src/FbiStuffUFRaw.cpp, src/FontServer.cpp, src/fim_wrappers.h:
	  may have improved alignment properties (towards this end
	  fim_calloc still needs a revamp) of a few allocatable structs,
	  with changes like e.g.:
	  - h = (struct jpeg_state *)fim_calloc(sizeof(*h),1);
	  + h = (struct jpeg_state *)fim_calloc(1,sizeof(*h));

2014-11-17 18:05  dezperado

	* [r636] src/CommandConsole.cpp, src/FramebufferDevice.cpp,
	  src/common.cpp, src/fim_wrappers.h: introduced a handy macro
	  'fim_stralloc'.

2014-11-17 08:03  dezperado

	* [r635] src/SDLDevice.cpp: four SDL hardcoded bindings for mouse
	  wheel and extra buttons.

2014-11-16 22:16  dezperado

	* [r634] TODO, src/CommandConsole.cpp, src/FbiStuffJpeg.cpp,
	  src/FbiStuffPng.cpp, src/Image.cpp: added (in a rather quick,
	  incomplete and dirty way) a way to display JPEG (and, not anymore
	  the laconical "Exif" reminder) and PNG comments, via the %k
	  specifier for _info_fmt_str.

2014-11-16 22:13  dezperado

	* [r633] README, configure.ac, doc/FIM.TXT,
	  scripts/maintenance/cron-rsync.sh.in: First commit on the
	  Savannah SVN repository.
	  Changes to accommodate transition from
	  http://code.autistici.org/svn/fim/trunk/
	  to
	  http://svn.savannah.nongnu.org/svn/fbi-improved/

2014-09-24 23:23  dezperado

	* [r632] NEWS, configure.ac: the configure script use to advertise
	  a non-existent `make fim' target. eliminated this. (missing
	  target noticed by Arturo Rinaldi).

2014-09-14 19:04  dezperado

	* [r631] NEWS, src/SDLDevice.cpp, src/Viewport.cpp, src/Viewport.h,
	  src/fim.h: wrote a mouse-driven image panning functionality for
	  sdl (non active by default).
	  bugfix to Viewport::pan_left and Viewport::pan_right.

2014-09-01 17:41  dezperado

	* [r629] TODO, src/fim.cpp: Updated the mention to _scale_style=' '
	  in branches/0.4 .

2014-09-01 17:24  dezperado

	* [r628] TODO, doc/fim.man, doc/fimrc.man, src/fim.cpp: fixed
	  documentation note about _scale_style and changed the hardcoded
	  default memory cache occupation limit.

2014-08-31 10:44  dezperado

	* [r627] NEWS, src/Cache.cpp, src/fim.h: The viewport info /
	  position cache will now be freed slightly independently from
	  images; after the triggering of a (for now) hardcoded cache size
	  limit threshold.

2014-08-31 01:14  dezperado

	* [r626] TODO, src/Cache.cpp, src/fim.h, src/fimrc, src/help.cpp:
	  Effectively activated the max cached memory (_max_cached_memory)
	  cache eviction mechanism.

2014-08-30 12:43  dezperado

	* [r625] src/FbiStuffMagick.cpp, src/Viewport.cpp, src/fim.cpp: Fix
	  to when a single, non-decodeable file is (unsuccessfully)
	  attempted to be loaded.
	  Extended (or rather, resuscitated) the workaround for
	  libGraphicsMagick failing in rendering txt files.

2014-08-30 08:31  dezperado

	* [r624] src/Browser.cpp, src/Cache.cpp, src/CommandConsole.cpp,
	  src/DebugConsole.cpp, src/DebugConsole.h, src/FimWindow.cpp,
	  src/Namespace.h, src/SDLDevice.cpp, src/Viewport.cpp, src/fim.h:
	  Adjusting to respect the proper classes members initialization
	  order.

2014-08-29 23:47  dezperado

	* [r623] NEWS, TODO, src/Browser.cpp, src/Cache.cpp, src/Cache.h,
	  src/Viewport.cpp, src/Viewport.h, src/fim.h: Implemented a first,
	  rudimentary 'viewport' cache.

2014-08-29 21:42  dezperado

	* [r622] src/Browser.cpp: Small readability fixes of Browser
	  methods code.

2014-08-29 20:50  dezperado

	* [r621] Makefile.am, THANKS, configure.ac, doc/Makefile.am,
	  scripts/Makefile.am, scripts/tests/font.sh, src/Makefile.am:
	  Adapted the trunk to the last two revisions of 0.4.
	  Removed a couple of spurious lines from a script in 0.4.

2014-07-23 20:30  dezperado

	* [r618] src/Makefile.am: Better notation in the Makefile.am.

2014-04-08 07:18  dezperado

	* [r614] src/FbiStuff.cpp: avoiding using a pipe with libarchive.

2014-04-07 22:43  dezperado

	* [r613] configure.ac, src/FbiStuff.cpp: preliminary, unfinished
	  toy interfacing with libarchive.

2014-04-05 20:35  dezperado

	* [r612] configure.ac, src/FbiStuff.cpp, src/FbiStuffUFRaw.cpp:
	  initial experimental support for decoding files with ufraw.

2013-12-12 20:43  dezperado

	* [r611] src/Browser.cpp: ghost patch for proof-of-concept testing
	  of sort-by-date possibility.

2013-12-12 20:15  dezperado

	* [r610] NEWS, TODO, configure.ac: changed librsb library
	  detection.

2013-11-07 22:37  dezperado

	* [r609] TODO, src/AADevice.cpp, src/CommandConsole.cpp,
	  src/FramebufferDevice.cpp, src/fim.h: fixes for build broken
	  --disable-scripting. however, `make tests' fails so more is
	  needed.

2013-11-07 21:57  dezperado

	* [r608] TODO, doc/fimrc.man, src/CommandConsole-init.cpp,
	  src/CommandConsole.cpp, src/CommandConsole.h, src/fim.h,
	  src/help.cpp: cleaning up a little CommandConsole internals.

2013-11-07 20:27  dezperado

	* [r607] src/Browser.cpp, src/CommandConsole-init.cpp,
	  src/CommandConsole.cpp, src/FimWindow.cpp, src/fim.h: introduced
	  macro "FIM_AUTOCMD_EXEC autocmd_exec", active only if
	  FIM_AUTOCMDS is defined (thus saving much #ifdef/#endif code).

2013-11-07 19:55  dezperado

	* [r606] TODO, src/Browser.cpp, src/Browser.h: introduced backward
	  regexp based search for regexp_goto. got rid of regexp_goto_next
	  (merged in regexp_goto).

2013-11-06 20:52  dezperado

	* [r605] NEWS, src/FbiStuff.cpp, src/fim_types.h: with gcc,
	  declaring the scaling functions pointers as __restrict__'ed,
	  resulting in a slightly (e.g. I see 10% here) faster scaling
	  code.

2013-11-06 18:33  dezperado

	* [r604] src/AADevice.cpp, src/AADevice.h, src/Arg.cpp, src/Arg.h,
	  src/Benchmarkable.h, src/Browser.h, src/CACADevice.cpp,
	  src/CACADevice.h, src/Cache.h, src/Command.h,
	  src/CommandConsole.cpp, src/CommandConsole.h,
	  src/DebugConsole.cpp, src/DebugConsole.h, src/DisplayDevice.cpp,
	  src/DisplayDevice.h, src/DummyDisplayDevice.h, src/FimWindow.cpp,
	  src/FimWindow.h, src/FramebufferDevice.h, src/Image.cpp,
	  src/Image.h, src/Imlib2Device.h, src/Namespace.h,
	  src/SDLDevice.h, src/Var.h, src/Viewport.cpp, src/Viewport.h,
	  src/fim_string.cpp, src/fim_string.h: (except for
	  FramebufferDevice) moving a lot of method definitions from the
	  header to the respective cpp file.
	  () -> (void) in the headers method declarations.

2013-11-06 17:43  dezperado

	* [r603] src/Namespace.cpp, src/Namespace.h, src/Var.cpp,
	  src/Var.h, src/grammar.h: easing printout of Var and Namespace
	  instances.
	  added an option to Namespace's get variables method.

2013-11-02 22:35  dezperado

	* [r602] src/Namespace.cpp, src/Namespace.h: introduced a
	  preprocessor symbol (for now undefined) to disable CommandConsole
	  existence requirement in Namespace...

2013-11-01 18:01  dezperado

	* [r601] src/Browser.cpp, src/Browser.h, src/Cache.cpp,
	  src/DebugConsole.h, src/FimWindow.cpp, src/Image.cpp,
	  src/Namespace.cpp, src/Namespace.h, src/Viewport.cpp, src/fim.h:
	  working to decouple Namespace from CommandConsole.

2013-11-01 16:43  dezperado

	* [r600] TODO, src/CommandConsole-var.cpp, src/CommandConsole.h,
	  src/Makefile.am, src/Namespace.cpp, src/Namespace.h:
	  CommandConsole now extends Namespace.
	  moved Namespace.cpp's CommandConsole:: stuff to new
	  CommandConsole-var.cpp.
	  and of course, "svn ps svn:keywords LastChangedDate
	  src/CommandConsole-var.cpp"

2013-11-01 15:18  dezperado

	* [r599] configure.ac, src/FontServer.cpp, src/FontServer.h,
	  src/FramebufferDevice.h:
	  :%s/FIM_X_DISPLAY_MISSING/FIM_USE_X11_FONTS/g
	  (inverted preprocessor conditionals consequently)

2013-11-01 15:13  dezperado

	* [r598] src/Makefile.am, src/common.cpp, src/fim.h,
	  src/fim_string.cpp, src/fim_string.h, src/string.cpp,
	  src/string.h: string.h -> fim_string.h
	  string.cpp -> fim_string.cpp

2013-11-01 15:07  dezperado

	* [r597] src/CommandConsole-cmd.cpp, src/CommandConsole-help.cpp,
	  src/Var.cpp, src/Var.h, src/fim.cpp: moved the help db-related
	  methods of Var to separate functions.

2013-10-30 17:17  dezperado

	* [r596] src/AADevice.cpp, src/Browser.cpp, src/CACADevice.cpp,
	  src/Cache.cpp, src/CommandConsole-cmd.cpp,
	  src/CommandConsole-help.cpp, src/CommandConsole-init.cpp,
	  src/CommandConsole.cpp, src/DebugConsole.cpp,
	  src/DisplayDevice.cpp, src/FbiStuff.cpp, src/FbiStuffLoader.cpp,
	  src/FbiStuffMagick.cpp, src/FbiStuffPs.cpp, src/FimWindow.cpp,
	  src/FontServer.cpp, src/FramebufferDevice.cpp, src/Image.cpp,
	  src/Imlib2Device.cpp, src/Namespace.cpp, src/SDLDevice.cpp,
	  src/Var.cpp, src/Viewport.cpp, src/common.cpp, src/fim.cpp,
	  src/readline.cpp, src/string.cpp: sed -i 's/() *$/(void)/g' *.cpp
	  sed -i 's/() *const *$/(void)const/g' *.cpp
	  and some fixes where that was not correct.

2013-10-30 17:08  dezperado

	* [r595] src/AADevice.h, src/Browser.h, src/CACADevice.h,
	  src/Cache.h, src/CommandConsole.h, src/DebugConsole.h,
	  src/DisplayDevice.h, src/FbiStuff.h, src/FbiStuffLoader.h,
	  src/FimWindow.h, src/FontServer.h, src/FramebufferDevice.h,
	  src/Image.h, src/Imlib2Device.h, src/SDLDevice.h, src/Viewport.h,
	  src/common.h, src/readline.h, src/string.h: petty substitution of
	  '();' with '(void);' in method/function declarations/definitions
	  in *.h files.

2013-10-30 16:59  dezperado

	* [r594] NEWS, src/AADevice.cpp, src/AADevice.h,
	  src/DisplayDevice.h, src/DummyDisplayDevice.h,
	  src/FramebufferDevice.cpp, src/FramebufferDevice.h,
	  src/Imlib2Device.cpp, src/Imlib2Device.h, src/SDLDevice.cpp,
	  src/SDLDevice.h, src/Viewport.cpp: the status bar will not always
	  cover image space.

2013-10-30 16:06  dezperado

	* [r593] doc/fim.man, src/fim.cpp: removed an obsolete
	  documentation line.

2013-10-26 13:18  dezperado

	* [r592] src/FbiStuff.cpp: allocating pixelmaps through the newly
	  introduced fim_pm_alloc (I forgot this file in last commit).

2013-10-26 13:17  dezperado

	* [r591] src/Image.cpp, src/common.cpp, src/common.h: allocating
	  pixelmaps through the newly introduced fim_pm_alloc.

2013-10-26 10:34  dezperado

	* [r590] src/FbiStuffPng.cpp: fix to the png code according to new
	  versions: assuming no definition (only declaration) of
	  png_structp.
	  tested with PNG_LIBPNG_VER 10249 and 10606.

2013-10-26 09:47  dezperado

	* [r589] NEWS, TODO, src/FbiStuffGif.cpp: the previous fix to
	  FbiStuffGif.cpp was insufficient: this should be (tested with
	  5.0.5 and 4.1); trunk and 0.4 branch.
	  update to NEWS.

2013-10-25 16:04  dezperado

	* [r588] src/FbiStuffGif.cpp: a change to fix effects of removal of
	  PrintGifError since giflib-4.2, still keeping backward
	  compatibility.

2013-10-22 17:25  dezperado

	* [r587] src/FbiStuff.cpp, src/SDLDevice.cpp, src/fim.h: bypassing
	  a possible bug in sdl image display when invoking SDL_UpperBlit
	  with extra large images (0.4 branch, trunk).
	  readability changes in trunk.
	  byte_size of mipmap type correction in trunk.

2013-10-20 19:02  dezperado

	* [r586] doc/fimrc.man, src/fimrc: commented the window-related
	  aliases in the default fimrc.
	  added a binding of 'H' to to-image-height scaling.

2013-10-20 18:30  dezperado

	* [r585] src/Browser.cpp, src/Viewport.cpp, src/Viewport.h,
	  src/fimrc: beefed the align functionality by enbling left/right
	  and adding left,right,top,bottom,center default aliases, as well
	  as binding 'c' to the center alignment.

2013-10-20 17:56  dezperado

	* [r584] doc/fimrc.man, src/Browser.cpp, src/Image.cpp,
	  src/Viewport.cpp, src/Viewport.h, src/fim.h, src/help.cpp:
	  enabled image centering on redisplay (this may be a problem so it
	  shall be reviewed).
	  added %c specifier for centering information.

2013-10-20 15:45  dezperado

	* [r583] src/Browser.cpp, src/Cache.cpp, src/CommandConsole.cpp,
	  src/DebugConsole.cpp, src/FimWindow.cpp, src/Image.cpp,
	  src/Imlib2Device.cpp, src/Viewport.cpp, src/fim.cpp, src/fimrc,
	  src/lex.lex: introduced default key bindings for ^ and $. apart
	  from this, only readability changes.

2013-10-20 15:04  dezperado

	* [r581] src/Browser.cpp, src/common.h, src/fim.h, src/lex.lex:
	  fixed a bug (repeated input of '$' line leading to hopping images
	  back).

2013-10-19 21:11  dezperado

	* [r580] doc/fimrc.man, src/Image.cpp, src/fim.h, src/help.cpp:
	  added %m specifier for getting mipmap mem info.

2013-10-19 20:33  dezperado

	* [r579] NEWS, src/Cache.cpp, src/FbiStuff.cpp, src/FbiStuff.h,
	  src/FbiStuffMatrixMarket.cpp, src/Image.cpp, src/Image.h,
	  src/fim.h, src/help.cpp: completed and activated mip map
	  mechanism.

2013-10-19 12:19  dezperado

	* [r578] src/FbiStuff.cpp, src/FbiStuff.h, src/FbiStuffLoader.h:
	  declaring as const the arguments of many pixel manipulating
	  functions.

2013-10-19 11:19  dezperado

	* [r577] src/Browser.cpp, src/Browser.h, src/Cache.cpp,
	  src/Cache.h, src/Image.cpp, src/Image.h, src/Viewport.cpp,
	  src/fim.h: introduced commandConsole.browser_.cache_.dummy_img_ .

2013-10-19 08:23  dezperado

	* [r576] src/Browser.cpp, src/Browser.h, src/Viewport.cpp,
	  src/fim.h: petty optimizations; code readability changes; in
	  browser/vieweport.

2013-10-19 06:53  dezperado

	* [r575] src/Image.cpp, src/Image.h: an enum to express rotation
	  values.

2013-10-18 22:29  dezperado

	* [r574] configure.ac, src/CommandConsole.cpp, src/Image.cpp,
	  src/Image.h, src/common.cpp, src/common.h, src/fim.h: formatting
	  changes + return pruning + conditional GB/PG support in
	  fim_snprintf_XB.

2013-10-18 21:46  dezperado

	* [r573] NEWS, doc/fim.man, doc/fimrc.man, src/Browser.cpp,
	  src/Browser.h, src/Cache.cpp, src/Cache.h,
	  src/CommandConsole.cpp, src/CommandConsole.h,
	  src/DebugConsole.cpp, src/DebugConsole.h, src/FimWindow.cpp,
	  src/FimWindow.h, src/Image.cpp, src/Image.h, src/Namespace.h,
	  src/Viewport.cpp, src/Viewport.h, src/fim.h, src/help.cpp:
	  introduced %C and %T specifiers to get memory usage info.

2013-10-15 16:41  dezperado

	* [r572] VERSION, configure.ac, src/Browser.cpp, src/Cache.cpp,
	  src/FramebufferDevice.cpp, src/Namespace.cpp: mostly code
	  readability measures and extra 'return' statements pruning.

2013-10-14 21:08  dezperado

	* [r571] NEWS, README, configure.ac, src/AADevice.cpp,
	  src/Browser.cpp, src/Cache.cpp, src/CommandConsole.cpp,
	  src/DisplayDevice.cpp, src/FbiStuff.cpp,
	  src/FramebufferDevice.cpp, src/Namespace.cpp, src/SDLDevice.cpp,
	  src/fim.cpp: cleaning up the code; mainly making it more
	  readable.

2013-10-12 16:54  dezperado

	* [r569] INSTALL, README, configure.ac,
	  scripts/maintenance/yacc2grammar.awk, src/Makefile.am,
	  src/b2ba.c, src/fim.cpp, src/fimgs: modest README update, with
	  Debian install info.
	  removed INSTALL file.
	  corrected some dates/version information.
	  Imlib2 configure reporting and makefile fixes.
	  adapting an awk script to mawk (we were using only gawk, until
	  now).

2013-10-12 14:31  dezperado

	* [r568] configure.ac: updating configure.ac for autoconf-2.69.

2013-10-11 15:44  dezperado

	* [r565] ChangeLog, NEWS, doc/fimrc.man, src/fim.h, src/help.cpp:
	  better documentation string for the status bar format string.
	  changelog update.

2013-10-10 22:15  dezperado

	* [r564] src/FbiStuffText.cpp, src/Image.cpp: fixing the 0-byte
	  corner case in the --as-text rendering mode; refining the
	  memory/file occupation s
	  tatus bar text printing code to display either B,KB,MB, or GB
	  alongside with the number.

2013-10-10 18:52  dezperado

	* [r563] README: restoring README tainted in last commit.

2013-10-10 18:43  dezperado

	* [r562] README, configure.ac, doc/fim.man, doc/fimrc.man,
	  src/FbiStuff.cpp, src/FbiStuffText.cpp, src/FontServer.cpp,
	  src/FontServer.h, src/Makefile.am, src/fim.cpp, src/fim.h,
	  src/help.cpp: implemented a for-fun --as-text mode; that is,
	  rendering printable text of files (almost) as in a text file
	  viewer.

2013-10-10 16:39  dezperado

	* [r561] TODO, configure.ac, src/Image.cpp, src/fim.h,
	  src/help.cpp: introduced the --enable-custom-status-bar configure
	  option to enable printf-like customizable status bar info.

2013-10-09 22:42  dezperado

	* [r560] TODO, doc/fim.man, src/CommandConsole.cpp,
	  src/Imlib2Device.cpp, src/fim.h: leftovers of some tests for
	  future work.

2013-10-09 22:37  dezperado

	* [r559] src/FbiStuffPdf.cpp, src/testdir/test7.in: minor
	  modifications for my poppler-0.24 installatio.
	  change to a test case: I'm unsure whether this is correct.

2013-09-02 18:56  dezperado

	* [r558] src/AADevice.cpp, src/Cache.cpp,
	  src/CommandConsole-cmd.cpp, src/CommandConsole-help.cpp,
	  src/CommandConsole.cpp, src/FbiStuffBmp.cpp,
	  src/FbiStuffJpeg.cpp, src/FbiStuffPdf.cpp, src/fim.cpp: comment
	  changes.

2013-07-11 12:58  dezperado

	* [r557] src/FramebufferDevice.h: fixed a bug in which in 16 bit
	  mode lines and text were displayed in the wrong colour (one byte
	  was being written to pixel memory instead of two).

2013-07-04 21:07  dezperado

	* [r556] src/AADevice.h, src/Arg.h, src/Benchmarkable.h,
	  src/Browser.h, src/CACADevice.h, src/Cache.h, src/Command.h,
	  src/CommandConsole.h, src/DebugConsole.h, src/DisplayDevice.h,
	  src/DummyDisplayDevice.h, src/FbiStuff.h, src/FbiStuffFbtools.h,
	  src/FbiStuffList.h, src/FbiStuffLoader.h, src/FimWindow.h,
	  src/FontServer.h, src/FramebufferDevice.h, src/Image.h,
	  src/Imlib2Device.h, src/Namespace.h, src/SDLDevice.cpp,
	  src/SDLDevice.h, src/Var.h, src/Viewport.cpp, src/Viewport.h,
	  src/common.h, src/fim.h, src/fim_limits.h, src/fim_plugin.h,
	  src/fim_stream.h, src/fim_types.h, src/fim_wrappers.h, src/lex.h,
	  src/readline.cpp, src/readline.h, src/string.cpp, src/string.h:
	  putting commented preprocessor symbol information after every
	  #endif and #else, for the remaining *.cpp and *.h files, third
	  round.

2013-07-04 19:56  dezperado

	* [r555] src/DebugConsole.cpp, src/DisplayDevice.cpp,
	  src/FbiStuff.cpp, src/FbiStuffBit1.cpp, src/FbiStuffBit24.cpp,
	  src/FbiStuffBmp.cpp, src/FbiStuffFbtools.cpp,
	  src/FbiStuffJpeg.cpp, src/FbiStuffLoader.cpp,
	  src/FbiStuffMagick.cpp, src/FbiStuffPdf.cpp, src/FbiStuffPng.cpp,
	  src/FbiStuffPpm.cpp, src/FbiStuffTiff.cpp, src/FimWindow.cpp,
	  src/FontServer.cpp, src/FramebufferDevice.cpp, src/Image.cpp,
	  src/Imlib2Device.cpp, src/Makefile.am, src/Namespace.cpp,
	  src/fim.cpp, src/fim_plugin.cpp, src/interpreter.cpp: putting
	  commented preprocessor symbol information after every #endif and
	  #else, for many *.cpp files, second round.

2013-07-04 17:38  dezperado

	* [r554] src/AADevice.cpp, src/Browser.cpp, src/CACADevice.cpp,
	  src/Cache.cpp, src/Command.cpp, src/CommandConsole-cmd.cpp,
	  src/CommandConsole-help.cpp, src/CommandConsole-init.cpp,
	  src/CommandConsole.cpp, src/common.cpp: putting commented
	  preprocessor symbol information after every #endif and #else, for
	  each [ABCc]*cpp file.

2013-07-04 09:28  dezperado

	* [r553] NEWS, doc/fim.man, doc/fimrc.man, src/Browser.cpp,
	  src/Browser.h, src/fim.cpp: using seeding before random
	  shuffling.
	  differentiating --random from --random-no-seed.

2013-06-20 11:23  dezperado

	* [r552] src/Browser.cpp: restoring Browser.cpp: previous commit's
	  change was unintented.

2013-06-20 11:21  dezperado

	* [r551] src/Browser.cpp, src/FbiStuff.cpp, src/FbiStuffBmp.cpp,
	  src/FbiStuffJpeg.cpp, src/FbiStuffPng.cpp, src/FbiStuffPpm.cpp,
	  src/Image.cpp, src/common.cpp, src/common.h, src/fim.h,
	  src/help.cpp: first changes towards the integration of zlib, for
	  reading transparently gz-compressed files.

2013-05-20 10:28  dezperado

	* [r550] NEWS, TODO, src/AADevice.cpp, src/AADevice.h,
	  src/Browser.cpp, src/CommandConsole-cmd.cpp,
	  src/CommandConsole-init.cpp, src/CommandConsole.cpp,
	  src/common.cpp: formatting/readability oriented code changes.

2013-05-11 13:28  dezperado

	* [r549] src/CommandConsole.cpp, src/Image.cpp, src/fim.h,
	  src/help.cpp: implemented a custom image info string
	  functionality (off by default).

2013-05-01 20:40  dezperado

	* [r548] TODO, src/Image.cpp, src/Image.h, src/fim.h: first sketch
	  of support for image file size and memory occupation display (off
	  by default).

2013-04-27 07:50  dezperado

	* [r547] src/Browser.cpp, src/SDLDevice.cpp, src/fim.h: just
	  readability changes.

2013-04-26 22:38  dezperado

	* [r546] TODO, src/CommandConsole.cpp, src/DisplayDevice.cpp: just
	  readability changes.

2013-04-09 17:09  dezperado

	* [r545] src/DisplayDevice.cpp: Added Brian Murray's suggested
	  patch to use sleep() when !isatty(stdin) in
	  DisplayDevice::catchInteractiveCommand.

2013-04-07 20:43  dezperado

	* [r544] src/AADevice.cpp, src/Browser.cpp,
	  src/CommandConsole-cmd.cpp, src/CommandConsole.cpp,
	  src/FbiStuff.cpp, src/FbiStuffBit24.cpp, src/FbiStuffDjvu.cpp,
	  src/FbiStuffJpeg.cpp, src/FbiStuffPdf.cpp, src/FimWindow.cpp,
	  src/FontServer.cpp, src/Image.cpp, src/Imlib2Device.cpp,
	  src/SDLDevice.cpp, src/Viewport.cpp, src/common.cpp, src/fim.h,
	  src/interpreter.cpp, src/readline.cpp, src/string.cpp: several
	  minor language standard adherence fixes.
	  in two cases, fixed if-if-else branch ambiguities.
	  in one case, preventing an uninitialized variable from being
	  used.

2013-03-31 17:31  dezperado

	* [r543] ChangeLog, NEWS, configure.ac, src/FbiStuffPdf.cpp: patch
	  for POPPLER_VERSION_MINOR>=22.
	  updating to NEWS and ChangeLog.

2013-03-22 23:05  dezperado

	* [r538] doc/fim.man, src/AADevice.cpp, src/AADevice.h,
	  src/CommandConsole-cmd.cpp, src/CommandConsole-init.cpp,
	  src/fim.cpp: extended the AADevice as well to get reinit options.

2013-03-22 20:08  dezperado

	* [r537] configure.ac, distros/Makefile.am,
	  src/FbiStuffMatrixMarket.cpp, src/FramebufferDevice.cpp: fix to
	  wrong rule in makefile.
	  update of configure.ac librsb-related doc string, and matrix
	  rendering code.
	  comment typo fix.

2012-12-26 15:13  dezperado

	* [r536] src/FbiStuffMatrixMarket.cpp, src/fimgs: adapting to the
	  new rsb.h interface.
	  added 'shopt -s nocasematch' to fimgs.

2012-12-25 00:33  dezperado

	* [r535] src/FbiStuffMatrixMarket.cpp: updated way of invoking
	  rsb_util_get_matrix_dimensions

2012-08-10 23:51  dezperado

	* [r534] Makefile.am, TODO, configure.ac, src/FbiStuffJpeg.cpp:
	  slightly better jpeglib errors handling.
	  configure typo fix.
	  TODO notes.
	  using 'ulimit' from within Makefile testing.

2012-08-04 12:02  dezperado

	* [r533] doc/fimrc.man, src/Image.cpp: trunk: less stringent rules
	  in inner desaturate() and negate() options in Image class.
	  man page update.

2012-08-04 11:38  dezperado

	* [r532] TODO, doc/fimrc.man, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole.cpp, src/Image.cpp, src/Image.h,
	  src/Viewport.cpp, src/fim.h, src/fimrc, src/help.cpp: trunk:
	  introduced a 'desaturate' command, and implemented bindings for
	  image desaturation and negation.

2012-07-21 12:30  dezperado

	* [r531] src/FbiStuffPs.cpp: in the ps decoder, inverted r and b
	  channels.

2012-07-18 20:30  dezperado

	* [r530] BUGS, INSTALL.TXT, README, TODO, configure.ac,
	  debian/control, distros/fedora/fim.spec, doc/fim.man,
	  src/fim.cpp, src/fimrc, var/index.html.in: implementing Justin B
	  Rye's (debian Bug#679622) suggestions about english for
	  documentation and metadata.

2012-07-18 18:44  dezperado

	* [r529] TODO, src/FbiStuffPdf.cpp: trunk: minimal hack to allow
	  build with poppler 0.20.2 (that is, update to new poppler's API
	  (though it's difficult to compile-time chck whether using an
	  older poppler version because of missing appropriate preprocessor
	  symbols)).

2012-03-08 11:54  dezperado

	* [r528] doc/fim.man, src/fim.h: trunk: the imlib2 device was not
	  in the list of the ones available in the man page and help
	  output.

2012-03-02 14:19  dezperado

	* [r527] src/FbiStuff.cpp, src/common.cpp, src/common.h: trunk:
	  empty regular files will not be given graphicsmagick as a loader
	  (this shall be fixed in version 1.3.13 of graphicsmagick)

2012-02-11 00:27  dezperado

	* [r526] configure.ac, scripts/Makefile.am: trunk:
	  adding the font.sh script to the list of distributed files.
	  configure modification to allow (cut-down) static builds.

2012-02-10 23:47  dezperado

	* [r525] Makefile.am, TODO, scripts/tests/version.sh,
	  src/testdir/Makefile: trunk: adjusted some error reporting
	  printout.

2012-02-10 23:41  dezperado

	* [r524] Makefile.am, scripts/tests/font.sh: trunk: adding a script
	  for testing (basics) of font handling.

2012-01-29 16:08  dezperado

	* [r523] TODO, src/FbiStuff.cpp: notes in the TODO.
	  when scaling to 1, will use copy instead of scaling.

2011-12-17 17:36  dezperado

	* [r522] src/FbiStuffMatrixMarket.cpp: trunk: changed the call to
	  librsb responsible for matrix rendering (adapted to the new API).

2011-11-06 10:22  dezperado

	* [r521] configure.ac: configure fix: better `svnversion` parsing,
	  and some more commentary to a configure option.

2011-11-06 09:19  dezperado

	* [r520] src/FontServer.cpp: added
	  /usr/lib/kbd/consolefonts/lat9-16.psf.gz to the list of default
	  fonts.

2011-11-05 22:07  dezperado

	* [r519] doc/fim.man: man page update according to last commit.

2011-11-05 21:56  dezperado

	* [r518] configure.ac, src/FontServer.cpp, src/Makefile.am,
	  src/fim.h: configure options to specify a custom font to hardcode
	  ar build time (--custom-hardcoded-consolefont), or a custom font
	  to check for as first in the fonts list (--default-consolefont).

2011-11-04 16:29  dezperado

	* [r517] Makefile.am, NEWS, README, configure.ac, doc/fim.man,
	  src/FontServer.cpp, src/Makefile.am, src/b2ba.c,
	  src/default_font_byte_array.h, src/fim.cpp, src/fim.h, var/fonts,
	  var/fonts/Lat15-Terminus16.psf: added a new, valuable feature:
	  that of a hardcoded font file.
	  this enables font display on non-Linux or
	  non-consolefonts-equipped setups.
	  added the appropriate copyright notice for the font file (in the
	  README).

2011-11-01 12:33  dezperado

	* [r516] src/FontServer.cpp: on bad magic numbers found, the
	  console font loading mechanism did not probe the remaining fonts
	  in the supplied list. fixed this.

2011-10-04 22:23  dezperado

	* [r515] src/Imlib2Device.cpp: the imlib2 stub code does not hand
	  loops now while reporting input.

2011-10-04 22:13  dezperado

	* [r514] src/CommandConsole-init.cpp, src/Imlib2Device.cpp,
	  src/Imlib2Device.h: enabling basic fullscreen mode to the imlib2
	  device.

2011-10-03 20:56  dezperado

	* [r513] src/Imlib2Device.cpp, src/fim.h: the imlib2/X input system
	  recognize most of the useful keys.
	  preventing from updating the caption (since the status line is
	  active by default, for now) in imlib2 mode.

2011-10-02 19:53  dezperado

	* [r512] src/CommandConsole-init.cpp, src/Imlib2Device.cpp,
	  src/Imlib2Device.h, src/fim.cpp, src/fim.h, src/readline.cpp: the
	  imlib2 fim visualization device is not yet complete, but has its
	  main features working.

2011-10-02 19:30  dezperado

	* [r511] src/SDLDevice.cpp: typo fix to the previous commit.

2011-10-02 19:23  dezperado

	* [r510] src/SDLDevice.cpp: minifix to the fill_rect function of
	  SDL.

2011-10-01 10:28  dezperado

	* [r509] src/Imlib2Device.cpp, src/Imlib2Device.h: actually, the
	  previous commit did not contain the Imlib2Device (so, it won't
	  build, either).

2011-10-01 10:24  dezperado

	* [r508] configure.ac, src/CommandConsole-init.cpp,
	  src/FontServer.cpp, src/FontServer.h, src/FramebufferDevice.h,
	  src/SDLDevice.cpp, src/fim.cpp, src/fim.h: configure fixes for
	  imlib.
	  empty (stub) source files for an imlib-based display device.
	  corrected using a symbolic return value in the sdl device code.
	  renamed X_DISPLAY_MISSING to FIM_X_DISPLAY_MISSING, as it clashes
	  with non-fim X code.

2011-10-01 10:10  dezperado

	* [r507] src/AADevice.cpp, src/Command.h,
	  src/CommandConsole-init.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/FimWindow.cpp, src/FimWindow.h,
	  src/Makefile.am, src/Viewport.cpp, src/Viewport.h,
	  src/Window.cpp, src/Window.h, src/fim.h: renaming Window to
	  FimWindow (also sources).

2011-10-01 08:46  dezperado

	* [r506] configure.ac: adapted the configure script to recognize
	  imlib2.

2011-09-24 08:56  dezperado

	* [r505] TODO, src/FbiStuff.cpp, src/common.cpp: update (or let's
	  say, fix) to the is_file function.
	  in some mipmap computing code (still inactive, though).
	  TODO massive update.

2011-09-21 21:22  dezperado

	* [r504] src/FbiStuff.cpp, src/Makefile.am, src/fim.h,
	  src/fim_plugin.cpp, src/fim_plugin.h: writing an embryonic
	  version of what shall be a plugin interface for fim, featuring an
	  opencv-based example.

2011-09-18 18:58  dezperado

	* [r503] doc/fim.man, doc/fimrc.man, src/CommandConsole-help.cpp,
	  src/FbiStuffFbtools.cpp, src/fim.cpp, src/fim.h: doc fixes:
	  documented signal-triggered return code; man pages references are
	  now underlined, in the fim/fimrc man pages.

2011-09-18 16:27  dezperado

	* [r502] src/SDLDevice.cpp: using function SDL_UpperBlit in SDL
	  driver's common, unmirrored, unflipped display case.

2011-09-17 22:20  dezperado

	* [r501] src/CommandConsole-help.cpp, src/common.cpp, src/common.h,
	  src/fim.cpp: slight code changes for reducing total code size.

2011-09-17 21:17  dezperado

	* [r500] TODO, scripts/Makefile.am,
	  scripts/maintenance/configure-minimal.sh,
	  scripts/maintenance/configure-only-fb-mini.sh,
	  src/CommandConsole-cmd.cpp, src/CommandConsole-init.cpp,
	  src/FbiStuffBit1.cpp, src/FbiStuffBit24.cpp, src/fim.cpp: in two
	  new configure wrapper scripts; one for a minimal build, another
	  for a fb-only one.
	  fixes to work well with the fimrc disabled (it was handled
	  wrong).
	  fixes to not compile the bitmap rendering code at all, if
	  deselected.
	  misc (related) compilation fixes.

2011-09-17 20:15  dezperado

	* [r499] configure.ac, scripts/maintenance/configure-live.sh,
	  src/CommandConsole.cpp: added a configure option to disable
	  fim_history file load/save.
	  updated the live configure wrapper script.

2011-09-17 09:55  dezperado

	* [r498] src/FbiStuffMatrixMarket.cpp: fix to the matrix market
	  decoder: detecting invalid (negative) matrix sizes.
	  still need a memory exhaustion prevention check.

2011-09-12 23:40  dezperado

	* [r497] src/FbiStuffMagick.cpp: circumventing libgraphicsmagick's
	  bug #3408130: NULL pointer referencing while loading an empty
	  *.txt/*.text file.

2011-09-10 14:04  dezperado

	* [r496] src/AADevice.cpp, src/AADevice.h, src/DisplayDevice.cpp,
	  src/DisplayDevice.h, src/DummyDisplayDevice.h, src/SDLDevice.cpp,
	  src/SDLDevice.h, src/fim_types.h: more strictness and typedef
	  based diversification of different integer types.

2011-09-10 13:28  dezperado

	* [r495] src/AADevice.cpp, src/AADevice.h, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/DisplayDevice.cpp, src/DisplayDevice.h,
	  src/FramebufferDevice.cpp, src/Image.cpp, src/SDLDevice.cpp,
	  src/SDLDevice.h, src/Viewport.cpp, src/Window.cpp, src/fim.h,
	  src/fim_stream.cpp, src/fim_stream.h, src/fim_types.h: extending
	  the use of fim_err_t, fim_int, and introduced an enum for redraw
	  states and an int typedef.

2011-09-10 12:48  dezperado

	* [r494] src/DebugConsole.cpp, src/DebugConsole.h: enforcing use of
	  fim_err_t in the DebugConsole class.

2011-09-10 10:47  dezperado

	* [r493] src/AADevice.cpp, src/Browser.cpp,
	  src/CommandConsole-cmd.cpp, src/CommandConsole-init.cpp,
	  src/CommandConsole.cpp, src/DebugConsole.cpp,
	  src/FbiStuffBmp.cpp, src/FbiStuffDjvu.cpp,
	  src/FramebufferDevice.cpp, src/SDLDevice.cpp, src/common.cpp,
	  src/fim.cpp, src/yacc.ypp: :%s/char/fim_char_t/gc
	  in more files.

2011-09-10 10:38  dezperado

	* [r492] src/CACADevice.h, src/DisplayDevice.cpp,
	  src/FontServer.cpp, src/defaultConfiguration.cpp, src/examples.h,
	  src/fim.cpp, src/fim.h, src/fim_stream.cpp, src/fim_stream.h,
	  src/lex.h, src/lex.lex, src/readline.cpp, src/string.cpp,
	  src/string.h: :%s/char/fim_char_t/gc
	  in more files.

2011-09-10 10:23  dezperado

	* [r491] src/CommandConsole.cpp, src/CommandConsole.h,
	  src/DebugConsole.h, src/FbiStuffList.h, src/FontServer.h,
	  src/FramebufferDevice.cpp, src/FramebufferDevice.h,
	  src/Makefile.am, src/Var.h, src/Viewport.cpp, src/Viewport.h,
	  src/grammar.h, src/readline.h: enforcing the use of fim_char_t in
	  further source files.

2011-09-10 10:04  dezperado

	* [r490] src/FbiStuff.cpp, src/FbiStuff.h, src/FbiStuffBit1.cpp,
	  src/FbiStuffBit24.cpp, src/FbiStuffBmp.cpp, src/FbiStuffDjvu.cpp,
	  src/FbiStuffGif.cpp, src/FbiStuffJpeg.cpp, src/FbiStuffLoader.h,
	  src/FbiStuffMagick.cpp, src/FbiStuffMatrixMarket.cpp,
	  src/FbiStuffPdf.cpp, src/FbiStuffPng.cpp, src/FbiStuffPpm.cpp,
	  src/FbiStuffPs.cpp, src/FbiStuffTiff.cpp, src/Image.cpp,
	  src/Image.h: enforcing the use of fim_char_t in the image decoder
	  sources.
	  changed the decoder init function pointer signature to const
	  char.

2011-09-10 09:39  dezperado

	* [r489] src/DebugConsole.cpp, src/DebugConsole.h,
	  src/FbiStuffBit1.cpp, src/FbiStuffBmp.cpp, src/FbiStuffDjvu.cpp,
	  src/FbiStuffGif.cpp, src/FbiStuffJpeg.cpp,
	  src/FbiStuffLoader.cpp, src/FbiStuffLoader.h,
	  src/FbiStuffMatrixMarket.cpp, src/FbiStuffPdf.cpp,
	  src/FbiStuffPpm.cpp, src/FbiStuffPs.cpp, src/FbiStuffTiff.cpp,
	  src/FontServer.h, src/FramebufferDevice.cpp, src/Image.cpp,
	  src/fim_stream.cpp, src/fim_stream.h, src/readline.cpp:
	  :%s/unsigned char/fim_byte_t/gc
	  in more files.

2011-09-10 09:17  dezperado

	* [r488] src/FbiStuff.cpp, src/FbiStuff.h, src/common.cpp:
	  :%s/\<char\>/fim_char_t/gc
	  :%s/unsigned char/fim_byte_t/gc
	  in FbiStuff.{h,cpp}
	  and some type change in internal buffers in common.c.

2011-09-10 09:03  dezperado

	* [r487] src/common.cpp, src/common.h, src/fim_types.h:
	  :%s/\<char\>/fim_char_t/gc
	  :%s/unsigned char/fim_byte_t/gc
	  in common.{h,cpp}
	  fim_.*_t are no more in namespace fim (for now).

2011-09-09 20:40  dezperado

	* [r486] src/AADevice.cpp, src/AADevice.h, src/FontServer.cpp,
	  src/FramebufferDevice.cpp, src/FramebufferDevice.h,
	  src/SDLDevice.cpp, src/SDLDevice.h: enforcing more type
	  strictness, especially in drawing devices code.

2011-09-09 20:14  dezperado

	* [r485] src/CommandConsole-help.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/Namespace.cpp, src/Namespace.h,
	  src/fim.cpp, src/fim_types.h: enforcing more type strictness,
	  especially in Namespace & co.

2011-09-09 19:54  dezperado

	* [r484] src/Browser.cpp, src/Browser.h, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/fim.cpp, src/interpreter.cpp,
	  src/readline.cpp, src/readline.h: enforcing type safety,
	  especially for fim_int, fim_char_t.

2011-09-04 14:02  dezperado

	* [r483] configure.ac, src/FbiStuff.cpp, src/common.cpp,
	  src/common.h, src/fim.h, src/fim_types.h: implementing an
	  alternate file buffering method, based on fmemopen (not
	  activating it yet, though).
	  configure check for fmemopen.

2011-09-04 13:49  dezperado

	* [r482] src/fim.cpp: in the previous commit forgot a conditional
	  check, leading to an infinite read wait for an image in stdin.

2011-09-04 13:44  dezperado

	* [r481] src/fim.cpp: the file load from stdin is postponed after
	  config loading, now.

2011-09-04 11:01  dezperado

	* [r480] doc/fimrc.man, src/FbiStuff.cpp, src/fim.h, src/help.cpp:
	  in a new user variable to have more information over the file
	  load process.

2011-09-04 10:31  dezperado

	* [r479] NEWS, src/Var.h, src/grammar.h: in the last commit, forgot
	  to add the NEWS and the Var.h modifications.

2011-09-04 10:27  dezperado

	* [r478] doc/fim.man, doc/fimrc.man, src/Var.cpp, src/fim.cpp,
	  src/interpreter.cpp, src/lex.lex, src/testdir/test1.in,
	  src/testdir/test1.ok, src/yacc.ypp: language modifications:
	  implemented bitwise OR and AND (| and &) operators.
	  documentation fix (backtick to tick).
	  bitwise OR/AND test case in.

2011-09-01 19:28  dezperado

	* [r477] doc/fim.man, src/CommandConsole-init.cpp,
	  src/CommandConsole.cpp, src/CommandConsole.h, src/fim.cpp,
	  src/fim.h, src/fim_types.h: introduced a separate type for
	  program error codes, documenting them in the man page, and using
	  them in the code.

2011-08-31 23:17  dezperado

	* [r476] doc/fim.man, doc/fimrc.man, src/CommandConsole.cpp,
	  src/fim.cpp: documenting the return status code of the program.
	  slight update to the 'quit' command documentation.

2011-08-31 22:55  dezperado

	* [r475] src/SDLDevice.cpp, src/testdir/Makefile,
	  src/testdir/test15.in, src/testdir/test16.in,
	  src/testdir/test16.ok: in a new (rather brittle) test for testing
	  the dir load capability.
	  some more verbosity for the sdl code.

2011-08-28 12:43  dezperado

	* [r474] src/AADevice.cpp, src/FbiStuff.cpp, src/FbiStuffBit1.cpp,
	  src/FbiStuffBit24.cpp, src/FbiStuffMagick.cpp,
	  src/FramebufferDevice.cpp, src/Makefile.am, src/SDLDevice.cpp,
	  src/fim.h, src/fim_wrappers.h: bzero -> fim_bzero in all sources.
	  introduced a header file with wrappers to bzero & co.
	  set some missing svn ps.

2011-08-28 11:55  dezperado

	* [r473] src/Browser.cpp, src/FbiStuffMagick.cpp: some more error
	  handling with the graphicsmagick file loader.
	  a bit of more potential efficiency when pushing files.

2011-08-28 01:23  dezperado

	* [r472] src/CommandConsole-init.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/FbiStuff.cpp, src/Image.cpp: mainly
	  cosmetics (macro preprocessor symbols instead of constants) &
	  related changes.

2011-08-28 00:54  dezperado

	* [r471] src/Benchmarkable.h, src/CommandConsole-init.cpp,
	  src/CommandConsole.h, src/DisplayDevice.cpp, src/DisplayDevice.h,
	  src/Makefile.am, src/common.cpp, src/fim.h, src/fim_types.h,
	  src/string.cpp, src/string.h: generalized the per-object
	  benchmarking code by introducing a specialized interface.

2011-08-27 13:35  dezperado

	* [r470] src/FbiStuff.cpp, src/fim.h, src/help.cpp: introduced a
	  user-accessible variable to get the last loaded image loader
	  string.

2011-08-21 11:17  dezperado

	* [r469] Makefile.am, configure.ac, doc/fim.man, doc/fimrc.man,
	  src/fim.cpp, src/fim.h, src/help.cpp: documentation oriented
	  fixes: the previous revision did not compile well.
	  now using environment variables substitution in the Makefile
	  while generating man pages.

2011-08-21 10:24  dezperado

	* [r468] configure.ac, doc/fim.man, src/fim.cpp, src/fim.h:
	  miscellaneous documentation fixes, especially with constant
	  strings.

2011-08-20 10:17  dezperado

	* [r467] src/DebugConsole.cpp, src/FbiStuffBmp.cpp,
	  src/FramebufferDevice.cpp, src/SDLDevice.cpp, src/fim_types.h:
	  substituting memset with fim_memset.
	  removed a duplicate typedef from a header file.
	  substituting numerical constants with a symbolic macro for a char
	  buffer size.

2011-08-20 10:04  dezperado

	* [r466] src/CACADevice.cpp, src/FbiStuff.cpp,
	  src/FbiStuffBit1.cpp, src/FbiStuffBit24.cpp, src/FbiStuffBmp.cpp,
	  src/FbiStuffFbtools.cpp, src/FbiStuffGif.cpp,
	  src/FbiStuffJpeg.cpp, src/FbiStuffLoader.cpp,
	  src/FbiStuffPng.cpp, src/FbiStuffPpm.cpp, src/FbiStuffTiff.cpp,
	  src/FontServer.cpp, src/FramebufferDevice.cpp, src/SDLDevice.cpp,
	  src/fim.h, src/fim_limits.h, src/string.cpp: substituting
	  memset(x,0,y) calls with fim_bzero(x,y) calls (boiling down to
	  memset(x,0,y)).

2011-08-20 09:44  dezperado

	* [r465] TODO, VERSION, src/DisplayDevice.cpp, src/FbiStuff.cpp,
	  src/FbiStuffJpeg.cpp, src/FbiStuffPdf.cpp, src/FbiStuffTiff.cpp,
	  src/FramebufferDevice.cpp, src/Makefile.am, src/fim.h,
	  src/fim_limits.h, src/fim_types.h, src/readline.cpp,
	  src/string.cpp: moved basic type definitions to a separate header
	  file.
	  added an include file with type inquiry macros.
	  substituted several numerical constants with preprocessor
	  symbols.
	  added fim_types.h to the Makefile.am (it was missing, by
	  accident).

2011-08-20 08:44  dezperado

	* [r464] configure.ac, src/FbiStuff.cpp, src/fim.h: loader string
	  specification can be disabled at build time, now.

2011-08-20 08:32  dezperado

	* [r463] configure.ac, src/FbiStuff.cpp, src/fim.cpp, src/fim.h:
	  the raw bits rendering feature is compile time optional now.

2011-08-20 08:15  dezperado

	* [r462] src/FbiStuff.cpp: some temporary code for a future full
	  probing file loader.
	  moved an image converting loop to a separate function.

2011-08-18 07:43  dezperado

	* [r461] TODO, src/FbiStuff.cpp: bugfix: the only
	  zero-mlen-signature loader took precedence; now it does not
	  anymore.

2011-08-17 22:30  dezperado

	* [r460] TODO, doc/fimrc.man, src/FbiStuff.cpp, src/FbiStuffList.h,
	  src/FbiStuffLoader.cpp, src/FbiStuffLoader.h, src/fim.cpp,
	  src/fim.h, src/help.cpp: introduced a variable to force a
	  particular file loader.
	  -V output will list available file loaders.
	  dox update.

2011-08-17 22:20  dezperado

	* [r459] src/FbiStuffBit1.cpp, src/FbiStuffBit24.cpp,
	  src/FbiStuffMatrixMarket.cpp, src/FbiStuffPng.cpp,
	  src/FbiStuffPpm.cpp, src/FbiStuffTiff.cpp: renamed the file
	  loader constant strings, so each loader has a unique name now,
	  without spaces in it.
	  code readability fix in FbiStuffPng.cpp.

2011-08-17 22:16  dezperado

	* [r458] src/FbiStuffGif.cpp: opening gifs from stdin seems to
	  cause DGifOpenFileHandle=NULL: an extra check for this case.

2011-08-17 17:50  dezperado

	* [r457] configure.ac, src/FbiStuffMagick.cpp, src/Makefile.am,
	  src/fim_types.h: a first interfacing to the GraphicsMagick
	  library (for loading files).

2011-08-11 22:11  dezperado

	* [r455] ChangeLog, doc/Makefile.am: specified the right fimrc man
	  section in Makefile.am.

2011-08-11 21:57  dezperado

	* [r454] ChangeLog, doc/fimrc.man: updated fimrc.man.
	  ChangeLog update.

2011-08-11 21:28  dezperado

	* [r453] BUGS, README, TODO, VERSION, scripts/Makefile.am,
	  src/Browser.cpp, src/Browser.h, src/CommandConsole-help.cpp:
	  setting VERSION again to 0.3-beta.
	  added the 'list clear' command.
	  man fimrc goes to man section 5, not 1.
	  including the yacc -> grammar script and header file.
	  README update (thanks Marco).
	  notes

2011-07-12 09:14  dezperado

	* [r452] doc/fimrc.man, src/fim.h, src/readline.cpp: the previous
	  fix was flawed, too, so we restrict the Esc based approach to sdl
	  only.

2011-07-12 08:44  dezperado

	* [r451] doc/fimrc.man, src/CommandConsole-help.cpp,
	  src/CommandConsole.cpp, src/fim.h, src/readline.cpp,
	  src/readline.h: workaround to the ESC inconvenience in non-sdl
	  mode: one may press the ESC key twice (introduced a trivial state
	  machine).

2011-07-12 07:59  dezperado

	* [r450] THANKS, TODO, doc/fimrc.man, src/CommandConsole-help.cpp,
	  src/fimrc, src/readline.cpp: the previos esc-exits-readline
	  change introduced a problem: in framebuffer mode, arrows (among
	  others) are emitted as sequence of keys, the first of which is
	  the ESC char. therefore the arrows did emit an ESC key, exiting
	  the command line.
	  fixing limiting the esc-exits-readline do SDL mode only.
	  a real fix would encompass a state machine and interpretation of
	  sequences of input chars, but this is a major feature.
	  changed the order in the THANKS file.
	  docs update.
	  minor fimrc changes.

2011-07-11 09:30  dezperado

	* [r449] doc/fimrc.man, src/CommandConsole-help.cpp,
	  src/readline.cpp: re-enabling windowed mode x11 input by using
	  native aalib input routines.
	  doc fixes

2011-07-11 09:24  dezperado

	* [r448] ChangeLog, TODO, doc/fimrc.man,
	  src/CommandConsole-help.cpp, src/fim.h, src/readline.cpp: the Esc
	  key will now both clear and terminate command line mode.

2011-07-11 00:14  dezperado

	* [r447] doc/fimrc.man, src/Browser.cpp, src/Viewport.cpp,
	  src/Viewport.h, src/fim.cpp, src/fim.h, src/fimrc: added a
	  further scaling style: 'b', scaling like 'a' when image is bigger
	  than screen size.
	  invoking fim with no options will display a very short, two lines
	  help message.

2011-07-10 23:21  dezperado

	* [r446] Makefile.am, TODO, src/SDLDevice.cpp, src/fim.h: makefile
	  fix.
	  space binding works again.

2011-07-10 12:39  dezperado

	* [r445] ChangeLog, Makefile.am, NEWS, configure.ac,
	  doc/Makefile.am, src/Makefile.am: some comments fixes in
	  makefiles and documentation. changelog/news update.

2011-07-10 11:09  dezperado

	* [r444] Makefile.am, configure.ac, doc/Makefile.am, doc/fimrc.man,
	  src/Makefile.am: introducing variables for external utilities's
	  path used in the makefiles, and configure checks to detect the
	  proper path.

2011-07-10 10:26  dezperado

	* [r443] src/Makefile.am: a horrible hack to bypass the isatty
	  redeclaration in flex, using sed.

2011-07-09 17:45  dezperado

	* [r442] src/DisplayDevice.h, src/Makefile.am, src/lex.lex: trying
	  to bypass the flex isatty bug.

2011-07-06 00:03  dezperado

	* [r441] src/Image.cpp: bypassing a certain error condition
	  throwing an exception on failed image cloning; instead, setting
	  the image invalid flag.

2011-07-05 21:12  dezperado

	* [r440] doc/fimrc.man, src/CommandConsole.cpp,
	  src/DisplayDevice.h, src/SDLDevice.cpp, src/SDLDevice.h,
	  src/fim.h, src/fimrc, src/help.cpp: in a hack to allow control of
	  window caption (and display there the command/status line).

2011-07-02 08:33  dezperado

	* [r439] ChangeLog, doc/Makefile.am, var/index.html.in: www page
	  update.
	  doc (man -> html) generation fix in the makefile.

2011-07-02 08:01  dezperado

	* [r438] doc/fimrc.man, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/SDLDevice.cpp,
	  src/defaultConfiguration.cpp: updating the symbol keys table also
	  after sdl initialization.

2011-07-02 00:20  dezperado

	* [r437] ChangeLog, README, TODO, VERSION, configure.ac,
	  doc/FIM.TXT, src/CommandConsole.cpp, src/FramebufferDevice.cpp,
	  src/Makefile.am, src/fim.cpp, src/fim.h, src/fimrc,
	  src/interpreter.cpp, src/readline.cpp, var/Makefile,
	  var/index.html.in: updated VERSION.
	  by default, trying to avoid floating point exceptions.
	  verbose keys will prefix 0x to hex key dump.
	  indenting ifdefs and removed a double include in
	  src/FramebufferDevice.cpp.
	  with cd-and-readdir, will exit on empty dir.
	  fix to avoid unwanted readline-triggered echoing in sdl mode.
	  some new default bindings.
	  hardcoded fimrc will accept backslashes (although the language
	  has still some problems with them).
	  changelog update.
	  doc fix.

2011-06-29 14:19  dezperado

	* [r436] TODO, doc/fimrc.man, src/FbiStuffBit1.cpp,
	  src/FbiStuffBit24.cpp, src/FbiStuffDjvu.cpp, src/FbiStuffPdf.cpp,
	  src/FbiStuffPs.cpp, src/fim.h, src/help.cpp: introduced two
	  variables to control djvu,pdf,ps rendering dpi as well as
	  bit-based image width.

2011-06-28 09:41  dezperado

	* [r435] TODO, src/Browser.cpp, src/fim.h, src/testdir/test8.in,
	  src/testdir/test8.ok: enriched the 'goto' test case. fixes to
	  'goto'.

2011-06-22 12:06  dezperado

	* [r434] TODO, doc/fimrc.man, src/Browser.cpp, src/Browser.h,
	  src/Cache.cpp, src/CommandConsole.cpp, src/Image.cpp,
	  src/Image.h, src/fim.h, src/fimrc, src/help.cpp,
	  src/testdir/test7.in, src/testdir/test7.ok: a horrible,
	  untellable hack to make the cache and multipage features look as
	  they both work together.

2011-06-21 22:08  dezperado

	* [r433] doc/fimrc.man, src/fimrc: typo fix: the default fimrc had
	  an outdated 'repeat_last' binding.
	  p.s.: the previous commit adopted the usage of command tokens for
	  the --cd-and-readdir option.

2011-06-21 21:37  dezperado

	* [r432] TODO, doc/fim.man, src/CommandConsole-cmd.cpp,
	  src/CommandConsole-init.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/SDLDevice.cpp, src/fim.cpp,
	  src/readline.cpp: restricting terminal control to the framebuffer
	  driver only.
	  replacing the quit() from inside the interactive loop with a much
	  more elegant goto.
	  irrelevant code and dox fixes.

2011-06-21 11:26  dezperado

	* [r431] NEWS, doc/fimrc.man, src/AADevice.cpp, src/SDLDevice.cpp,
	  src/fimrc: fix: sdl did not reinitialize mouse cursor display on
	  reinit.
	  fix: sdl did not handle CTRL + key in a correct manner.
	  fix: sdl/aa did not update the screen size variables on resize.
	  fix: the fullscreen toggle key commands are collapsed in a single
	  one (F11)

2011-06-21 10:32  dezperado

	* [r430] TODO, doc/fimrc.man, src/AADevice.cpp, src/AADevice.h,
	  src/DisplayDevice.cpp, src/DisplayDevice.h, src/SDLDevice.cpp,
	  src/SDLDevice.h, src/fimrc, src/readline.cpp: in sdl mode,
	  consulting the 'best available' video mode when resizing to 0 0.
	  introduced wait-based input mode in sdl (no more pollingb).
	  enabled F1..F12 keys in sdl.
	  introduced handy key bindings for toggle fullscreen sdl.

2011-06-21 08:38  dezperado

	* [r429] TODO, doc/fim.man, src/CommandConsole.cpp,
	  src/SDLDevice.cpp, src/fim.cpp: added a --no-commandline command
	  switch.
	  implemented redisplaying (so, rescaling) on window resize.

2011-06-20 16:09  dezperado

	* [r428] TODO, doc/fim.man, doc/fimrc.man, src/Browser.cpp,
	  src/Browser.h, src/CommandConsole-cmd.cpp,
	  src/CommandConsole.cpp, src/CommandConsole.h, src/common.cpp,
	  src/common.h, src/fim.cpp, src/fim.h: added a --cd-and-readdir
	  option.
	  added a basedir command.

2011-06-20 13:11  dezperado

	* [r427] TODO, src/fim.h, src/fimrc: unified _device_string to the
	  command line switch strings.

2011-06-20 13:07  dezperado

	* [r426] NEWS, TODO, configure.ac, doc/fim.man, doc/fimrc.man,
	  src/Browser.cpp, src/CommandConsole-cmd.cpp, src/Makefile.am,
	  src/defaultConfiguration.cpp, src/fim.cpp, src/fim.h,
	  src/help.cpp: enabling loading of files from a supplied
	  directory.
	  change to che 'cd' command: now it will support change to a
	  file's dir.

2011-06-19 14:50  dezperado

	* [r425] TODO, src/readline.cpp: bugfix: readline hooks for
	  option-furnished sdl specification did not activate.

2011-06-19 14:21  dezperado

	* [r424] TODO, doc/fim.man, doc/fimrc.man, src/Browser.cpp,
	  src/CommandConsole.cpp, src/CommandConsole.h,
	  src/DisplayDevice.h, src/SDLDevice.cpp, src/SDLDevice.h,
	  src/fim.cpp: allowing command line triggered display reinit.
	  doc fixes.
	  a bugfix in the man dumping code.

2011-06-18 09:14  dezperado

	* [r423] TODO, doc/fim.man, src/AADevice.cpp,
	  src/CommandConsole-init.cpp, src/DebugConsole.cpp,
	  src/SDLDevice.cpp, src/SDLDevice.h, src/fim.cpp: fixing oddities
	  (output console not showing up) related to resizing, in aa and
	  sdl modes (enforcing a minimal size).
	  doc fixes.

2011-06-18 01:16  dezperado

	* [r422] TODO, src/AADevice.cpp, src/CommandConsole.cpp,
	  src/DebugConsole.cpp, src/SDLDevice.cpp: adapted both the sdl and
	  aa modes to support any window size (aa will revert on zero,
	  though).

2011-06-17 23:17  dezperado

	* [r421] TODO, src/AADevice.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/SDLDevice.cpp: taking the common code
	  subset in aa/sdl's resizing code in a separate routine.

2011-06-17 20:44  dezperado

	* [r420] TODO, src/AADevice.cpp: inserted some (deactivated) code
	  using aa facilities for character proportion detection (but aa
	  fails guessing).
	  notes.

2011-06-17 20:28  dezperado

	* [r419] TODO, src/AADevice.cpp, src/AADevice.h,
	  src/DisplayDevice.cpp: utterly horrible hack allowing the window
	  resize in aalib windowed mode.

2011-06-17 19:44  dezperado

	* [r418] doc/fim.man, src/CommandConsole.h, src/DisplayDevice.cpp,
	  src/DisplayDevice.h, src/SDLDevice.cpp, src/SDLDevice.h,
	  src/Window.cpp, src/Window.h, src/fim.cpp, src/fim.h: utterly
	  horrible hack allowing the window resize in SDL windowed mode.

2011-06-16 11:42  dezperado

	* [r417] Makefile.am, TODO, doc/Makefile.am, doc/fim.man,
	  doc/fimrc.man, src/Browser.cpp, src/CommandConsole-help.cpp,
	  src/CommandConsole.cpp, src/Viewport.cpp,
	  src/defaultConfiguration.cpp, src/fim.cpp, src/fim.h, src/fimgs,
	  src/help.cpp: forcing some variables to have some strict values
	  to be effective.
	  reactivated and documented some debug variables.
	  documented several internal variables.
	  cleaning up the minimal hardcoded config file.
	  added an USAGE section in man fim.
	  misc automake and doc fixes.
	  TODO file re-sorting and cleanup.

2011-06-16 00:54  dezperado

	* [r416] TODO, doc/fimrc.man, src/CommandConsole-help.cpp,
	  src/Makefile.am, src/examples.h, src/fim.h, src/help-acm.cpp,
	  src/help.cpp: adding three auto-generated files.
	  automake fixes.
	  doc fixes: documenting the existing autocommands.

2011-06-15 17:23  dezperado

	* [r415] TODO, doc/fimrc.man, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole.cpp, src/common.cpp, src/common.h, src/fim.h,
	  src/yacc.ypp: got rid of fcmd_scale_multiply,
	  fcmd_scale_increment, fcmd_scale_factor_grow,
	  fcmd_scale_factor_increase, fcmd_scale_factor_decrease,
	  fcmd_scale_factor_shrink.
	  renamed set_console_mode to set_commandline_mode.
	  heavy fixes to the 'scale' implementation (impacting the parser)

2011-06-15 11:46  dezperado

	* [r414] TODO, doc/fimrc.man, src/Browser.cpp,
	  src/CommandConsole.cpp, src/defaultConfiguration.cpp, src/fim.h:
	  inhibited a number of obsolete scale commands, and replacing them
	  with aliases.
	  doc update.

2011-06-15 11:09  dezperado

	* [r413] TODO, src/Browser.cpp, src/defaultConfiguration.cpp,
	  src/fim.cpp, src/fim.h: enriching the 'scale' command parser, in
	  this way obsoleting some scale factors manipulating commands.

2011-06-15 10:07  dezperado

	* [r412] doc/fimrc.man, src/CommandConsole.cpp, src/fim.h: commands
	  are now listed in sorted order, in the man page.

2011-06-15 09:49  dezperado

	* [r411] Makefile.am, TODO, doc/fim.man, doc/fimrc.man,
	  src/Browser.cpp, src/Browser.h, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/Image.cpp,
	  src/defaultConfiguration.cpp, src/fim.h: renamed the internal
	  alias command.
	  deleted obsolete *next* machinery.
	  documentation updates for the goto command.
	  some new preprocessor macros for aliases.
	  documenting hardcoded aliases.
	  a test case for the status returning quit.

2011-06-14 22:53  dezperado

	* [r410] TODO, doc/fimrc.man, src/CommandConsole-cmd.cpp,
	  src/CommandConsole.cpp, src/CommandConsole.h, src/fim.h,
	  src/testdir/test1.in, src/testdir/test13.in,
	  src/testdir/test3.in, src/testdir/test4.in, src/testdir/test5.in,
	  src/testdir/test6.in, src/testdir/test6.ok, src/testdir/test7.in:
	  removed the 'return' command. functionality now absolved by
	  'quit'

2011-06-14 22:08  dezperado

	* [r409] TODO, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole.cpp, src/defaultConfiguration.cpp,
	  src/fim.cpp, src/fim.h, src/fimrc: making aliases out of the
	  next_picture, prev_picture, next_image, prev_image commands.

2011-06-14 21:31  dezperado

	* [r408] src/Browser.cpp, src/Browser.h, src/CommandConsole.cpp,
	  src/defaultConfiguration.cpp, src/fim.h, src/fimrc,
	  src/testdir/test14.ok: shortening definition, but still
	  preserving operation of 'next'/'prev' commands (now hardcoded
	  aliases).

2011-06-14 20:46  dezperado

	* [r407] TODO, doc/fimrc.man, src/Browser.cpp, src/Browser.h,
	  src/Image.cpp, src/Image.h, src/fim.h, src/fimrc,
	  src/testdir/test8.in: empowering an inner "goto" function.
	  fimrc fix.

2011-06-13 11:31  dezperado

	* [r406] TODO, src/SDLDevice.cpp: bugfix to the sdl resolution
	  specification reading mechanism: it used to lead to segfaults
	  with bad specification strings.

2011-06-13 11:02  dezperado

	* [r405] TODO, configure.ac, doc/fim.man, doc/fimrc.man,
	  src/Browser.cpp, src/CommandConsole-init.cpp,
	  src/CommandConsole.cpp, src/DebugConsole.cpp, src/FbiStuff.cpp,
	  src/Var.h, src/defaultConfiguration.cpp, src/fim.cpp, src/fim.h,
	  src/fimrc: introducing stricter value requirements on of some
	  on-off integer variables.
	  introduced a FIM_VID_VERSION variable.
	  introduced a FIM_WANT_HISTORY preprocessor switch for history
	  load/save.
	  introduce a fim_int typedef, to be extended in use.
	  introduced --no-history-save,--no-history-load,--no-history
	  command switches.
	  --version will print out the readline library version.
	  yacc/bison checks (with no implication) in the configure.
	  added a --no-auto-scale switch.
	  doc fixes and TODO cleanup.

2011-06-13 00:56  dezperado

	* [r404] Makefile.am, TODO, doc/fim.man, doc/fimrc.man,
	  src/CommandConsole.cpp, src/CommandConsole.h,
	  src/defaultConfiguration.cpp, src/fim.cpp, src/fim.h: introduced
	  the --no-internal-config switch.
	  coherence fixes to a manual section listing common keys.

2011-06-12 23:41  dezperado

	* [r403] VERSION, doc/fim.man, src/AADevice.cpp, src/AADevice.h,
	  src/CACADevice.cpp, src/CACADevice.h, src/CommandConsole-cmd.cpp,
	  src/CommandConsole-init.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/DisplayDevice.h,
	  src/DummyDisplayDevice.h, src/FramebufferDevice.h,
	  src/SDLDevice.cpp, src/SDLDevice.h, src/defaultConfiguration.cpp,
	  src/fim.cpp, src/fim.h: batch identifier change: key_bindings ->
	  sym_keys; inverse_key_bindings -> key_syms.
	  doc fixes.

2011-06-12 22:59  dezperado

	* [r402] TODO, doc/fimrc.man, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole.cpp, src/common.cpp, src/common.h, src/fim.h,
	  src/fimrc, src/readline.cpp, src/readline.h, src/yacc.ypp:
	  regexp_goto,regexp_goto_next commands are now collapsed in the
	  goto command.
	  renamed last_regex to last_regexp_.

2011-06-12 19:55  dezperado

	* [r401] TODO, doc/fimrc.man, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole-cmd.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/fim.h, src/fimrc: collapsed the
	  files,mark,unmark commands as subcommands of the list command.

2011-06-12 19:30  dezperado

	* [r400] TODO, doc/fimrc.man, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole.cpp, src/fim.h, src/fimrc: collapsed
	  align_top,align_bottom to the single align command.

2011-06-12 18:57  dezperado

	* [r399] TODO, doc/fimrc.man, src/CommandConsole-cmd.cpp,
	  src/CommandConsole.cpp, src/CommandConsole.h, src/fim.cpp,
	  src/fim.h, src/fimrc: collapsed the *recording* commands into a
	  single 'recording' command.

2011-06-12 18:01  dezperado

	* [r398] TODO, doc/fimrc.man, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole.cpp, src/fim.h, src/fimrc,
	  src/testdir/test13.in: collapsed the pop,push,remove commands
	  into the list command

2011-06-12 17:12  dezperado

	* [r397] TODO, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole-cmd.cpp, src/CommandConsole-init.cpp,
	  src/CommandConsole.cpp, src/CommandConsole.h, src/Window.cpp,
	  src/Window.h: prepending with 'fcmd_' all the remaining command
	  routine identifiers.

2011-06-12 16:47  dezperado

	* [r396] src/CommandConsole-cmd.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h: prepending all fim command routines names
	  with 'fcmd_', for the CommandConsole class.

2011-06-12 16:04  dezperado

	* [r395] TODO, src/CommandConsole-cmd.cpp,
	  src/CommandConsole-init.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/fim.h: renamed execute(char*,bool,bool)
	  to execute_internal(char*,flags), for a more flexible execution
	  specification.

2011-06-12 15:16  dezperado

	* [r394] TODO, src/Browser.cpp, src/Browser.h, src/Cache.cpp,
	  src/CommandConsole-cmd.cpp, src/CommandConsole-init.cpp,
	  src/CommandConsole.cpp, src/FbiStuff.cpp, src/Image.cpp,
	  src/Var.cpp, src/common.cpp, src/fim.cpp, src/string.cpp:
	  enforcing the use of the FIM_CNS_EMPTY_STRING macro instead of
	  the "" constant.

2011-06-12 15:04  dezperado

	* [r393] TODO, doc/fimrc.man, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole.cpp, src/fim.h, src/fimrc: collapsed the
	  random_shuffle, sort, and reverse commands as subcommands of the
	  list command.
	  dox fixes.

2011-06-12 14:25  dezperado

	* [r392] TODO, doc/fim.man, doc/fimrc.man,
	  src/CommandConsole-help.cpp, src/CommandConsole.cpp, src/fim.cpp,
	  src/fim.h, src/fimrc: introduced a variable for the control of
	  autocompletion.
	  doc typo fix.

2011-06-12 12:40  dezperado

	* [r391] TODO, doc/fim.man, doc/fimrc.man,
	  src/defaultConfiguration.cpp, src/fim.cpp, src/fim.h,
	  src/fim_stream.cpp, src/fim_stream.h, src/fimrc,
	  src/testdir/test13.in, src/testdir/test7.in,
	  src/testdir/test8.in: no more aliases defined by fim defaults
	  before any config.
	  prepended with _ even more internal variables, and commented them
	  more.
	  adapted the tests suite consequently.
	  some more support for other streams in the fim_stream class.
	  doc fixes.

2011-06-12 00:07  dezperado

	* [r390] src/Browser.cpp, src/Browser.h, src/CommandConsole.cpp,
	  src/fim.h: enforcing FIM_WANT_SINGLE_PAN_COMMAND by removing
	  redundant, dead code.

2011-06-11 23:57  dezperado

	* [r389] doc/fimrc.man, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole.cpp, src/fim.h: removing
	  FIM_WANT_SINGLE_SCALE_COMMAND and enforcing a single scaling
	  command.
	  doc fixes.

2011-06-11 23:49  dezperado

	* [r388] TODO, doc/fimrc.man, src/CommandConsole-cmd.cpp,
	  src/CommandConsole.cpp, src/fim.h, src/fimrc: removed the double
	  'info' command registration.
	  documented the 'set' command.
	  fimrc fixes.

2011-06-11 23:07  dezperado

	* [r387] TODO, doc/fimrc.man, src/defaultConfiguration.cpp,
	  src/fim.h, src/fimrc: prepending an underscore (_) to a number of
	  internal variables.

2011-06-11 21:42  dezperado

	* [r386] TODO, doc/fim.man, doc/fimrc.man,
	  src/CommandConsole-cmd.cpp, src/CommandConsole-init.cpp,
	  src/CommandConsole.cpp, src/CommandConsole.h, src/fim.cpp,
	  src/fim.h, src/fimrc: added a -C (--execute-commands-early)
	  switch for adding commands to execute before any config.
	  renamed by prepending with underscore some fim variables.
	  fixed a critical bug in the 'return' command (used to segfault).
	  now on, the fimrc will set (internal) variables only if not
	  already set.
	  doc/notes update.

2011-06-10 21:33  dezperado

	* [r385] Makefile.am, doc/fimgs.man,
	  scripts/maintenance/buildbot-master.cfg.sample, src/fimgs: an
	  update to the fimgs script and man file.
	  update to the buildbot master config file (doing 'make clean'
	  now).
	  makefile fix.

2011-06-10 18:45  dezperado

	* [r384] TODO, doc/fim.man, doc/fimrc.man, src/CommandConsole.cpp,
	  src/defaultConfiguration.cpp, src/fim.h, src/fimrc: doc fixes for
	  the pan command.
	  the pan aliases are now declared in the fimrc.
	  some obsolete variables are now undeclared and ready for removal.
	  cleanup in the fimrc.
	  documented the --autoheight fim command option (added in the
	  previous commit).
	  documented the _scale_style variable.

2011-06-10 18:07  dezperado

	* [r383] src/defaultConfiguration.cpp, src/fim.cpp, src/fim.h,
	  src/fimrc: the hardcoded fimrc (and the code) will now use a
	  single variable for the user preferred scaling option.
	  renamed some other variable, some cleanup in the fimrc.

2011-06-10 17:11  dezperado

	* [r382] TODO, doc/fimrc.man, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole.cpp, src/fim.h, src/testdir/Makefile,
	  src/testdir/test14.ok: gracefully replaced three commands with
	  three aliases and some more interpretation of scaling specifiers.

2011-06-10 13:40  dezperado

	* [r381] TODO, doc/fim.man, doc/fimrc.man, src/Browser.cpp,
	  src/Browser.h, src/Viewport.cpp, src/Viewport.h, src/fim.cpp,
	  src/fim.h, src/fimrc: the new panning code is active by default
	  now.
	  updated the scroll* commands to use the new panning code.
	  disabled the aalib fix: it seems obsolete, now.
	  some key rebindings.

2011-06-10 12:34  dezperado

	* [r380] TODO, doc/fimrc.man, src/Browser.cpp, src/Browser.h,
	  src/CommandConsole.cpp, src/FramebufferDevice.cpp,
	  src/FramebufferDevice.h, src/Viewport.cpp, src/Viewport.h,
	  src/fim.h: introduced a single panning function, interpreting the
	  % specifier.

2011-06-09 19:20  dezperado

	* [r379] TODO, doc/fimrc.man, src/Browser.cpp,
	  src/CommandConsole.cpp: implemented the % specifier
	  interpretation in the goto command.

2011-06-09 13:45  dezperado

	* [r378] TODO, configure.ac, doc/fim.man, doc/fimgs.man,
	  src/fim.cpp: minor doc fixes: the config line will be displayed
	  in --version; stdin handling docs.

2011-06-03 09:06  dezperado

	* [r377] BUGS, NEWS, VERSION, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/Window.cpp, src/Window.h: fixed the
	  missing command replacing in addCommand.
	  temporarily disabling the internal windowing splitting.

2011-06-02 18:28  dezperado

	* [r376] BUGS, ChangeLog, Makefile.am, NEWS, README, VERSION,
	  doc/FIM.TXT, doc/Makefile.am, doc/fim.man, doc/fimrc.man,
	  src/fim.cpp, src/fim.h, var/Makefile, var/index.html.in,
	  var/www/fim.css: massive documentation update: www page/scripts,
	  man pages, FIM.TXT, ChangeLog, etc.

2011-06-02 12:23  dezperado

	* [r375] configure.ac, src/FbiStuffPdf.cpp, src/fim.cpp, src/fimrc:
	  implemented a hack for viewing (one-page) pdf files from stdin
	  (poppler needs seekable files (with filenames)) on /proc-equipped
	  systems.
	  some doc typo fixes.

2011-06-01 23:33  dezperado

	* [r374] README, TODO, configure.ac, doc/fimrc.man,
	  src/CommandConsole-cmd.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/Image.cpp, src/fim.cpp: enabling back
	  the 'pread' command, which reads images from a piped descriptor.
	  docfixes.

2011-06-01 21:33  dezperado

	* [r373] TODO, src/FramebufferDevice.cpp, src/FramebufferDevice.h:
	  fix to a serious bug: 32 bit framebuffer mode used to segfault on
	  64 bit builds.

2011-05-31 22:43  dezperado

	* [r372] TODO, doc/fim.man, doc/fimrc.man, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/fim.cpp, src/fim.h: implemented a
	  trivial slideshow command switch.
	  doc fies.

2011-05-31 22:07  dezperado

	* [r371] README, TODO, src/FramebufferDevice.cpp,
	  src/FramebufferDevice.h: removed a spurios class member, thus
	  eliminating an useless compilation warning.

2011-05-30 00:31  dezperado

	* [r370] TODO, configure.ac, doc/FIM.TXT, doc/fim.man, src/fim.cpp:
	  documentation oriented updates.

2011-05-29 23:32  dezperado

	* [r369] Makefile.am, configure.ac, doc/fim.man, doc/fimrc.man,
	  src/CommandConsole-cmd.cpp, src/CommandConsole-init.cpp,
	  src/CommandConsole.cpp, src/FbiStuff.cpp, src/fim.cpp, src/fim.h,
	  src/fimrc, src/testdir/Makefile: honouring /etc/fimrc loading.
	  cd implies pwd and update of the PWD variable.
	  introduced new autocommands.
	  updating the no-configuration command switches (an applying in
	  the test suite).
	  the hardcoded config now comes first, before the /etc/fimrc file.
	  the ~/.fimrc config file now comes after /etc/fimrc.
	  avoiding double loading of the hardcoded config.
	  fixed the getopt string: the 'f:' option was missing.
	  added a --no-etc-rc-file switch.
	  corrected the semantics of the -f option.
	  checking for failure after the lexer allocation.
	  doc update.
	  configure update, in the matrix marked switch handling.

2011-05-29 13:01  dezperado

	* [r368] TODO, doc/fim.man, doc/fimrc.man,
	  src/CommandConsole-init.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/FbiStuff.cpp, src/fim.cpp, src/fim.h:
	  set up a autocommand keywords, to correctly handle command line
	  options which imply autocommands (e.g.: --offset).

2011-05-29 11:38  dezperado

	* [r367] TODO, doc/fim.man, src/DisplayDevice.cpp,
	  src/FontServer.cpp, src/FontServer.h, src/FramebufferDevice.cpp,
	  src/fim.cpp, src/fim.h: the SDL driver will now be fully affected
	  by font selection mechanism, just as the framebuffer driver does.
	  auto-documenting the font search path.
	  doc/man fixes.

2011-05-28 12:48  dezperado

	* [r366] configure.ac, src/FbiStuffMatrixMarket.cpp: the matrix
	  market renderer is active again (if `configure`d).

2011-05-28 11:50  dezperado

	* [r365] TODO, doc/fimrc.man, src/CommandConsole-cmd.cpp,
	  src/CommandConsole.cpp, src/CommandConsole.h, src/Makefile.am,
	  src/fim.h, src/fimrc: fixed the bound keys dumpout problem.
	  added functionality to allow binding commands to raw keys.

2011-05-28 09:57  dezperado

	* [r364] TODO, doc/fimrc.man, src/FbiStuff.cpp, src/Image.cpp,
	  src/fim.h, src/fimrc: introduced a variable, so the user may turn
	  off external decoding of an unknown image file by piping it
	  through an external program.

2011-05-28 09:30  dezperado

	* [r363] TODO, configure.ac, doc/fimrc.man, scripts/Makefile.am,
	  src/CommandConsole-cmd.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/FbiStuffFbtools.cpp,
	  src/FramebufferDevice.cpp, src/fim.h, src/fimrc: small makefile
	  (distributing some more files) and configure (checking for some
	  headers) fixes.
	  added an 'unmark' command.

2011-05-23 18:39  dezperado

	* [r362] doc/fim.man, doc/fimrc.man, src/CommandConsole-help.cpp,
	  src/CommandConsole-init.cpp, src/CommandConsole.cpp, src/fim.cpp,
	  src/fim.h: set up a hack for producing man documention for the
	  "window" command.
	  the -V version string will print also versions of jpg,png,gif
	  libraries, as declared in their headers.
	  doc updates.

2011-05-23 12:51  dezperado

	* [r361] AUTHORS, BUGS, COPYING, ChangeLog, autogen.sh,
	  configure.ac, debian/watch, doc/FIM.TXT, doc/Makefile.am,
	  doc/Makefile.old, doc/doctags.c, doc/fim.man, doc/fimgs.man,
	  doc/fimrc.man, doc/vim2html.pl, scripts/benchmark.sh,
	  src/AADevice.cpp, src/AADevice.h, src/Arg.cpp, src/Arg.h,
	  src/Browser.cpp, src/Browser.h, src/CACADevice.cpp,
	  src/CACADevice.h, src/Cache.cpp, src/Cache.h, src/Command.cpp,
	  src/Command.h, src/CommandConsole-cmd.cpp,
	  src/CommandConsole-help.cpp, src/CommandConsole-init.cpp,
	  src/CommandConsole.cpp, src/CommandConsole.h,
	  src/DebugConsole.cpp, src/DebugConsole.h, src/DisplayDevice.cpp,
	  src/DisplayDevice.h, src/DummyDisplayDevice.h, src/FbiStuff.cpp,
	  src/FbiStuff.h, src/FbiStuffBit1.cpp, src/FbiStuffBit24.cpp,
	  src/FbiStuffBmp.cpp, src/FbiStuffDjvu.cpp,
	  src/FbiStuffFbtools.cpp, src/FbiStuffFbtools.h,
	  src/FbiStuffGif.cpp, src/FbiStuffJpeg.cpp, src/FbiStuffList.h,
	  src/FbiStuffLoader.cpp, src/FbiStuffLoader.h,
	  src/FbiStuffMatrixMarket.cpp, src/FbiStuffPdf.cpp,
	  src/FbiStuffPng.cpp, src/FbiStuffPpm.cpp, src/FbiStuffPs.cpp,
	  src/FbiStuffTiff.cpp, src/FontServer.cpp, src/FontServer.h,
	  src/FramebufferDevice.cpp, src/FramebufferDevice.h,
	  src/Image.cpp, src/Image.h, src/Namespace.cpp, src/Namespace.h,
	  src/SDLDevice.cpp, src/SDLDevice.h, src/Var.cpp, src/Var.h,
	  src/Viewport.cpp, src/Viewport.h, src/Window.cpp, src/Window.h,
	  src/common.cpp, src/common.h, src/defaultConfiguration.cpp,
	  src/fim.cpp, src/fim.h, src/fim_stream.cpp, src/fim_stream.h,
	  src/grammar.h, src/interpreter.cpp, src/lex.h, src/readline.cpp,
	  src/readline.h, src/string.cpp, src/string.h: substituting svn
	  property LastChangedDate with property Id.

2011-05-23 11:46  dezperado

	* [r360] TODO, doc/fim.man, doc/fimrc.man,
	  src/CommandConsole-cmd.cpp, src/CommandConsole-help.cpp,
	  src/CommandConsole.cpp, src/fim.cpp, src/fim.h: fixing many
	  documentation strings, also using preprocessor substring symbols.
	  man update.

2011-05-22 22:47  dezperado

	* [r359] TODO, doc/fimrc.man, src/CommandConsole-cmd.cpp,
	  src/CommandConsole-init.cpp, src/CommandConsole.cpp, src/fim.h:
	  making variables accessible from within the help system.

2011-05-22 17:56  dezperado

	* [r358] src/CommandConsole.cpp, src/Namespace.cpp,
	  src/Namespace.h, src/fim.h, src/readline.cpp, src/string.h:
	  enabling autocompletion of individual namespace-prefixed
	  variables.
	  std::string -> fim::string constructor compatibility.

2011-05-22 14:39  dezperado

	* [r357] TODO, src/CommandConsole-cmd.cpp, src/CommandConsole.cpp,
	  src/CommandConsole.h, src/common.cpp, src/common.h,
	  src/readline.cpp, src/readline.h: the autocompletion mechanism
	  won't autocomplete strings with filename proposals unless double
	  quoted.
	  on the other hand, a double quote will be proposed for
	  autocompletion, when autocompleting the empty string.

2011-05-22 13:35  dezperado

	* [r356] src/string.cpp: bugfix to the regexp substitution
	  function.

2011-05-17 16:48  dezperado

	* [r355] BUGS, TODO, doc/fim.man, doc/fimrc.man,
	  src/CommandConsole-help.cpp, src/CommandConsole.cpp, src/fim.cpp,
	  src/fimrc: documenting fim commands.
	  adding the default hardcoded fimrc inline in fimrc.man.
	  updated the short fim description in fim.man.

2011-05-17 15:53  dezperado

	* [r354] src/fimrc, src/testdir/test12.in, src/testdir/test7.in:
	  fix to the failing tests: the test cases had to be updated to use
	  a now renamed variable.

2011-05-17 15:34  dezperado

	* [r353] Makefile.am, TODO, doc/fim.man, doc/fimrc.man,
	  scripts/example, scripts/example/oneline.fim,
	  src/CommandConsole-help.cpp, src/CommandConsole-init.cpp,
	  src/Makefile.am, src/fim.cpp, src/fim.h, src/grammar.h:
	  documenting the internal variables.
	  misc documentation fixes.
	  seems like a bug was introduced, inducing test 7 to fail. shall
	  fix this soon.

2011-05-17 13:17  dezperado

	* [r352] doc/fimrc.man, src/CommandConsole-help.cpp, src/yacc.ypp:
	  did some swaps in the grammar specification, in order to make
	  grammar documentation more understandable.
	  doc updates.

2011-05-17 12:59  dezperado

	* [r351] configure.ac, doc/fimrc.man, src/CommandConsole-help.cpp,
	  src/Makefile.am, src/lex.lex, src/yacc.ypp: renamed a number of
	  grammar elements to be more understandable in plain english.
	  more textual descriptions of the fim language.

2011-05-17 09:49  dezperado

	* [r350] doc/fimrc.man, scripts/maintenance/yacc2grammar.awk,
